<?php 
	include '../config/config.php';
	$isAdmin = true;
	include_once 'log_check.php';
	Kernel::includeObject('lib/classes/ClientClass.inc');
	Kernel::includeObject('lib/classes/FileClass.inc');
	Kernel::includeObject('lib/classes/ps_pagination');
	Kernel::includeObject('lib/xajax/xajax.inc');
	if (($_SESSION['access'] == 1) or ($_SESSION['access'] == 3)) //lawyer or secretary
	{
		void_redirect_url('homepage.php', 2, 'Redirecting to Homepage. Please wait...');
	}
	function keywordSearch($keyword)
	{
		$fileType = !isset($_SESSION['cFileType']) || $_SESSION['cFileType'] == ''? NULL: $_SESSION['cFileType'];
		$fileNumber = !isset($_SESSION['cFileNumber']) || $_SESSION['cFileNumber'] == ''? NULL: $_SESSION['cFileNumber'];
		$objResponse = new xajaxResponse();
		$client = new ClientClass();
		$table = $client->getClientList(1, $keyword, $fileType, $fileNumber);
		$objResponse->addAssign("client_list","innerHTML",$table);
		$_SESSION['cKeyword'] = $keyword;
		return $objResponse;
	}
	
	function fileTypeSearch($fileType)
	{
		$keyword = !isset($_SESSION['cKeyword']) || $_SESSION['cKeyword'] == ''? NULL: $_SESSION['cKeyword'];
		$fileNumber = !isset($_SESSION['cFileNumber']) || $_SESSION['cFileNumber'] == ''? NULL: $_SESSION['cFileNumber'];
		$objResponse = new xajaxResponse();
		$file = new ClientClass();
		$table = $file->getClientList(1, $keyword, $fileType, $fileNumber);
		$objResponse->addAssign("client_list","innerHTML",$table);
		$_SESSION['cFileType'] = $fileType;
		return $objResponse;
	}

	function fileNumberSearch($fileNumber)
	{
		$keyword = !isset($_SESSION['cKeyword']) || $_SESSION['cKeyword'] == ''? NULL: $_SESSION['cKeyword'];
		$fileType = !isset($_SESSION['cFileType']) || $_SESSION['cFileType'] == ''? NULL: $_SESSION['cFileType'];
		$objResponse = new xajaxResponse();
		$file = new ClientClass();
		$table = $file->getClientList(1, $keyword, $fileType, $fileNumber);
		$objResponse->addAssign("client_list","innerHTML",$table);
		$_SESSION['cFileNumber'] = $fileNumber;
		return $objResponse;
	}
	
	function pageSearch($page)
	{
		$keyword = !isset($_SESSION['cKeyword']) || $_SESSION['cKeyword'] == ''? NULL: $_SESSION['cKeyword'];
		$fileType = !isset($_SESSION['cFileType']) || $_SESSION['cFileType'] == ''? NULL: $_SESSION['cFileType'];
		$fileNumber = !isset($_SESSION['cFileNumber']) || $_SESSION['cFileNumber'] == ''? NULL: $_SESSION['cFileNumber'];
		$objResponse = new xajaxResponse();
		$client = new ClientClass();
		$table = $client->getClientList($page, $keyword, $fileType, $fileNumber);
		$objResponse->addAssign("client_list","innerHTML",$table);
		return $objResponse;
	}
	
	function deleteClient($id)
	{
		unset($_SESSION['cKeyword']);
		unset($_SESSION['cFileType']);
		unset($_SESSION['cFileNumber']);
		$objResponse = new xajaxResponse();
		$client = new ClientClass();
		$client->deleteClient($id);
		$objResponse->addAlert("Delete successful");
		$table = $client->getClientList();
		$objResponse->addAssign("client_list","innerHTML",$table);
		return $objResponse;
	}
	
	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("keywordSearch");
	$xajax->registerFunction("fileTypeSearch");
	$xajax->registerFunction("fileNumberSearch");
	$xajax->registerFunction("pageSearch");
	$xajax->registerFunction("deleteClient");
	$xajax->processRequests();
	$title = 'Client List';
	include_once 'header.php';

	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);
	
	$client = new ClientClass();
	$file = new FileClass();
?>
</head>
<script>
	function events(eventType, id)
	{
		switch (eventType){
			case 'add':
				window.location = 'client_add.php';
				break;
			case 'edit':
				window.location = 'client_edit.php?clid=' + id;
				break;
			case 'view':
				window.location = 'client_view.php?clid=' + id;
				break;
			case 'delete':
				var response = confirm('Are you sure you want to delete this record?');
				if (response)
					xajax_deleteClient(id);
				break;
		}
	}
	
	function confirmDelete()
	{
	}
</script>
<body>
<div id="wrapper" class="client">
	<?php include("menu_bar.php"); ?>
<div id="main">
		<h2 class="title_a">| Client List</h2>
		<div id="main_info">
			<div class="col_holder">
				<div class="four_col text_r f_left title_b">
					Keyword Search :&nbsp; 
				</div>
				<div class="four_col f_left">
					<input type="text" name="txtKywrd" id="txtKywrd" maxlength="50" size="25" value="" onKeyUp="xajax_keywordSearch(this.value)" placeholder="Client name, contact last name, first name"><br>&nbsp;
				</div>
				<!--<div class="four_col text_r f_left title_b">
					File : &nbsp;
				</div>
				<div class="four_col f_left">
				<?php 
					// $events = array('onchange' => 'xajax_fileTypeSearch(this.value)');
					// print $file->getFileTypeCombo(NULL, $events);
				?>&nbsp;&nbsp;<input type="text" name="txtFile" id="txtFile" maxlength="50" size="25" value="" onKeyUp="xajax_fileNumberSearch(this.value)"><br>&nbsp;
				</div>-->
			</div>
			<div id="client_list">
				<?php print $client->getClientList();?>
			</div>
<?php include("footer.php"); ?>
</body>
</html>
