<?php 
	include '../config/config.php';
	$isAdmin = true;
	include_once 'log_check.php';
	Kernel::includeObject('lib/classes/ClientClass.inc');
	Kernel::includeObject('lib/classes/ContactClass.inc');
	Kernel::includeObject('lib/classes/RateAdjustClass.inc');
	Kernel::includeObject('lib/classes/FileClass.inc');
	Kernel::includeObject('lib/xajax/xajax.inc');
	if (($_SESSION['access'] == 1) or ($_SESSION['access'] == 3)) //lawyer or secretary
	{
		void_redirect_url('homepage.php', 2, 'Redirecting to Homepage. Please wait...');
	}
	function setEdit($contactId)
	{
		$objResponse = new xajaxResponse();
		$contact = new ContactClass();
		$arrData = $contact->getEditData($contactId);
		$objResponse->addAssign("lblContact","innerHTML",'<b>Edit Contact</b>');
		$objResponse->addAssign("txtFirstname","value",$arrData[ContactClass::FD_CONTACT_FNAME]);
		$objResponse->addAssign("txtLastname","value",$arrData[ContactClass::FD_CONTACT_LNAME]);
		$objResponse->addAssign("txtTelNo","value",$arrData[ContactClass::FD_CONTACT_TELNO]);
		$objResponse->addAssign("txtCellNo","value",$arrData[ContactClass::FD_CONTACT_CELLNO]);
		$objResponse->addAssign("txtFaxNo","value",$arrData[ContactClass::FD_CONTACT_FAXNO]);
		$objResponse->addAssign("txtEmail","value",$arrData[ContactClass::FD_CONTACT_EMAIL]);
		$objResponse->addAssign("cmbType".$arrData[ContactClass::FD_CONTACT_TYPE],"selected","selected");
		$objResponse->addAssign("txtPosition","value",$arrData[ContactClass::FD_CONTACT_POSITION]);
		$objResponse->addAssign("hdnContactId", "value",$arrData[ContactClass::FD_CONTACT_ID]);
		$objResponse->addAssign("hdnAction", "value", "edit");
		return $objResponse;
	}
	
	function getContactView($contactId)
	{
		$objResponse = new xajaxResponse();
		$contact = new ContactClass();
		$arrData = $contact->getEditData($contactId);		
		$objResponse->addAssign("vwFirstname","innerHTML",$arrData[ContactClass::FD_CONTACT_FNAME]);
		$objResponse->addAssign("vwLastname","innerHTML",$arrData[ContactClass::FD_CONTACT_LNAME]);
		$objResponse->addAssign("vwTelNo","innerHTML",$arrData[ContactClass::FD_CONTACT_TELNO]);
		$objResponse->addAssign("vwCellNo","innerHTML",$arrData[ContactClass::FD_CONTACT_CELLNO]);
		$objResponse->addAssign("vwFaxNo","innerHTML",$arrData[ContactClass::FD_CONTACT_FAXNO]);
		$objResponse->addAssign("vwEmail","innerHTML",$arrData[ContactClass::FD_CONTACT_EMAIL]);
		$type = ContactClass::$contactTypes;
		$objResponse->addAssign("vwType","innerHTML",$type[$arrData[ContactClass::FD_CONTACT_TYPE]]);
		$objResponse->addAssign("vwPosition","innerHTML",$arrData[ContactClass::FD_CONTACT_POSITION]);
		$objResponse->addAssign("vwEditButton","innerHTML",'<input type="button" value="Edit" name="viewEdit" onclick="events(\'showContactEdit\', '.$contactId.')" />');
		return $objResponse;
	}
	
	function saveData($data)
	{
		$arrData = array();
		$arrData[ContactClass::FD_CONTACT_LNAME] = $data['txtLastname'];
		$arrData[ContactClass::FD_CONTACT_FNAME] = $data['txtFirstname'];
		$arrData[ContactClass::FD_CONTACT_TELNO] = $data['txtTelNo'];
		$arrData[ContactClass::FD_CONTACT_FAXNO] = $data['txtFaxNo'];
		$arrData[ContactClass::FD_CONTACT_EMAIL] = $data['txtEmail'];
		$arrData[ContactClass::FD_CONTACT_CELLNO] = $data['txtCellNo'];
		$arrData[ContactClass::FD_CONTACT_TYPE] = $data['cmbType'];
		$arrData[ContactClass::FD_CONTACT_POSITION] = $data['txtPosition'];
		$arrData[ContactClass::FD_ACTIVE] = 1;
		$contact = new ContactClass();

		if ($data['hdnAction'] == 'edit')
		{
			$contact->editContact($data['hdnContactId'], $arrData);
		}
		elseif($data['hdnAction'] == 'add')
		{
			$arrData[ContactClass::FD_CLIENT_ID] = $data['hdnClientId'];
			$contact->addContact($arrData);
		}
		
		$table = $contact->getContactList($data['hdnClientId']);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("contact_list","innerHTML",$table);
		return $objResponse;
	}
	
	function deleteContact($clientId, $contactId)
	{
		$objResponse = new xajaxResponse();
		$contact = new ContactClass();
		$contact->deleteContact($contactId);
		$table = $contact->getContactList($clientId);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("contact_list","innerHTML",$table);
		return $objResponse;
	}
	
	$clientId = NULL;
	if (isset($_GET['clid']) && $_GET['clid'] != '')
		$clientId = $_GET['clid'];
	
	if ($clientId == NULL)
		void_redirect_url('client_list.php');
	
	$client = new ClientClass();
	
	$clientData = $client->getClientInfo($clientId);
	if (count($clientData) == 0)
		void_redirect_url('client_list.php');
	
	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("setEdit");
	$xajax->registerFunction("saveData");
	$xajax->registerFunction("getContactView");
	$xajax->registerFunction("deleteContact");
	$xajax->processRequests();
	$title = 'View Client';
	include_once 'header.php';
	
	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);
	
	$contact = new ContactClass();
	$file = new FileClass();
	$industry = new RateAdjustClass();
?>
</head>
<body>
<div id="wrapper" class="client">
	<?php include("menu_bar.php"); ?>
<div id="main">
		<h2 class="title_a">| View Client</h2>
		<div id="main_info">
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Name : 
					</div>
					<div class="two_col ">
						<?php print $clientData[ClientClass::FD_CLIENT_NAME];?>&nbsp;
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Group : 
					</div>
					<div class="two_col">
						<?php print $clientData[ClientClass::FD_CLIENT_GROUP];?>&nbsp;
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
						Industry : 
					</div>
					<div class="two_col">
						<?php 
						$industryName = $industry->getIndustryInfo($clientData[ClientClass::FD_INDUSTRY_ID]);
						print $industryName[RateAdjustClass::FD_IND_NAME]; ?>&nbsp;
					</div>
				</div>
				<div class="one_smaller_col">
					
					<div class="two_col title_c">
						Code : 
					</div>
					<div class="two_col">
						<?php print $clientData[ClientClass::FD_CLIENT_CODE];?>&nbsp;
					</div>
				</div>
				<div class="one_smaller_col">
					
					<div class="two_col title_c">
						Address : 
					</div>
					<div class="two_col">
						<?php print $clientData[ClientClass::FD_CLIENT_ADDRESS];?>&nbsp;
					</div>
				</div>
				<div class="one_smaller_col">
					<div class="two_col title_c">
					</div>
					<div class="two_col">
						<input type="button" value="Edit" name="Edit" onClick="events('edit', <?php print $clientId?>)"/>
						<input type="button" value="Show All Clients" name="ShowAll" onClick="events('list', 0)" />
					</div>
				</div>
			<div class="one_small_col">
				<div class="tabber">
					 <div class="tabbertab">
							<h2>Contacts</h2>
							<div id="contact_list" name="contact_list">
								<?php print $contact->getContactList($clientId);?>
							</div>
							<div id="contact-form" name="contact-form" style="display:none">
								<table id="contact-form-table" border="0" cellpadding="5" cellspacing="5">
									<form name="frmContacts" id="frmContacts" method="post" action="#Contacts" >
									<tr>
										<td colspan="2">&nbsp;</td>
									</tr> 
									<tr>
										<td colspan="2"><a href="#Contacts" name="Contacts" id="contactLabel"></a><span id="lblContact"><b>&nbsp;</b></span></td>
									</tr> 
									<tr>
										<td width="30%">First name :</td>
										<td width="65%"><input type="text" name="txtFirstname" id="txtFirstname" maxlength="50" size="35" value=""><font color="#FF0000"> * </font>&nbsp;<span id="cntFirstname" class="errmsg"></span></td>
									</tr>
									<tr>
										<td>Last name :</td>
										<td><input type="text" name="txtLastname" id="txtLastname" maxlength="50" size="35" value=""><font color="#FF0000"> * </font>&nbsp;<span id="cntLastname" class="errmsg"></span></td>
									</tr>
									<tr>
										<td>Telephone No :</td>
										<td><input type="text" name="txtTelNo" id="txtTelNo" maxlength="50" size="35" value="">&nbsp;<span id="cntTel" class="errmsg"></span></td>
									</tr>
									<tr>
										<td>Mobile No :</td>
										<td><input type="text" name="txtCellNo" id="txtCellNo" maxlength="50" size="35" value=""><span id="cntMobile" class="errmsg"></td>
									</tr>
									<tr>
										<td>Email Address :</td>
										<td><input type="text" name="txtEmail" id="txtEmail" maxlength="50" size="35" value=""><font color="#FF0000"> * </font>&nbsp;<span id="cntEmail" class="errmsg"></span></td>
									</tr>
									<tr>
										<td>Position :</td>
										<td><input type="text" name="txtPosition" id="txtPosition" maxlength="50" size="35" value=""><font color="#FF0000"> * </font>&nbsp;<span id="cntPosition"  class="errmsg"></span></td>
									</tr>										
									<tr>
										<td>Type : </td>
										<td><?php print $contact->getContactTypeCombo();?></td>
									</tr>
									
									<tr>
										<td colspan="2"><div style="float:left;" class="errorMessage"></div>
											<div style="float:right;"><input type="button" value="Save" name="Save" onClick="events('saveContact', 0)" />
											<input type="button" value="Cancel" name="Cancel" onClick="hideContactForm()" /></div>
											<a href="#Contacts" name="Contacts" id="contactLabelEnd"></a>
										</td>
									</tr>
									<input type="hidden" name="hdnClientId" id="hdnClientId" value="<?php print $clientId;?>"/>
									<input type="hidden" name="hdnContactId" id="hdnContactId" value=""/>
									<input type="hidden" name="hdnAction" id="hdnAction" value="edit"/>
									<input type="hidden" name="hdnSection" id="hdnSection" value="contact"/>
									</form>
								</table>
							</div>
							<br/>
							<div id="viewContactInfo" style="display:none">
								<div id="form-main-center" style="width:374px; height:">
									<div id="form-top-view">
										<p><b>Contact Person</b></p>
									</div><!--form-top-->             
										<div class="one_smaller_col">
											<div class="two_col title_c">First name : </div>
											<div class="two_col "><span id="vwFirstname"></span>
											</div>
										</div>
										<div class="one_smaller_col">
											<div class="two_col title_c">Last name : </div>
											<div class="two_col "><span id="vwLastname"></span>
											</div>
										</div>
										<div class="one_smaller_col">
											<div class="two_col title_c">Telephone No : </div>
											<div class="two_col "><span id="vwTelNo"></span>
											</div>
										</div>
										<div class="one_smaller_col">
											<div class="two_col title_c">Mobile No : </div>
											<div class="two_col "><span id="vwCellNo"></span>
											</div>
										</div>
										<div class="one_smaller_col">
											<div class="two_col title_c">Email Address : </div>
											<div class="two_col "><span id="vwEmail"></span>
											</div>
										</div>
										<div class="one_smaller_col">
											<div class="two_col title_c">Position : </div>
											<div class="two_col "><span id="vwPosition"></span>
											</div>
										</div>
										<div class="one_smaller_col">
											<div class="two_col title_c">Type : </div>
											<div class="two_col "><span id="vwType"></span>
											</div>
										</div>
										<div class="one_smaller_col">
											<div class="two_col title_c">
											</div>
											<div class="two_col">
												<span id="vwEditButton">
												<input type="button" value="Edit" name="viewEdit" onClick="events('showContactEdit', 0);" />
												</span>
												<input type="button" value="Close" name="Close" onClick="events('closeContactView', 0)" />
											</div>
										</div>
								<div id="form-bottom-view"></div><!--form-bottom-->                          
							   </div>
							</div>
							<br />
				 </div>
					 <div class="tabbertab">
					  <h2>JEMs</h2>
						<?php print $file->getClientFiles($clientId);?>
					 </div>
				</div><!--tabber-->
				
				<!--<div id="blocker" style="height:100%;width:100%;background:blue;top:0px;left:0px;position:fixed;opacity:0.25; visibility:hidden;z-index:1000"></div>-->
				<!--<div id="viewContactInfo" style="background:white;position:fixed;top:100px;left:160px;width:480px;visibility:hidden;z-index:1001;text-align:left;border-width:5px;border-top-left-radius:10px;border-top-right-radius:10px;border-bottom-left-radius:10px;border-bottom-right-radius:10px;">-->
			</div>
<?php include("footer.php"); ?>
</body>
<script>
	divContactForm = document.getElementById('contact-form');
	frmContacts = document.getElementById('frmContacts');
	aContactLabel = document.getElementById('lblContact');
	wWidth = window.innerWidth;
	
	function events(eventType, id)
	{
		switch (eventType){
			case 'list':
				window.location = 'client_list.php';
				break;
			case 'edit':
				window.location = 'client_edit.php?clid=' + id;
				break;
			case 'showContactEdit':
				showContactForm();
				clearContactRequired();
				xajax_setEdit(id);
				hideContactView();
				document.getElementById('contactLabelEnd').focus();
				break;
			case 'showContactAdd':
				hideContactView();
				clearContactForm();
				showContactForm();
				break;
			case 'saveContact':
				clearContactRequired();
				if (validateContactForm())
				{
					xajax_saveData(xajax.getFormValues("frmContacts"));
					hideContactForm();
				}
				return false;
			case 'deleteContact':
				if (confirm("Are you sure you want to delete this record?"))
				{
					xajax_deleteContact(frmContacts.hdnClientId.value,id);
					hideContactView();
				}
				break;
			case 'addFile':
				window.location = 'file_add.php?clid='+id;
				break;
			case 'editFile':
				window.location = 'file_edit.php?flid='+id;
				break;
			case 'viewFile':
				window.location = 'file_view.php?flid='+id;
				break;
			case 'getContactView':
				hideContactForm();
				xajax_getContactView(id);
				showContactView();
				break;
			case 'closeContactView':
				hideContactView();
				break;
			default:
				break;
		}
	}
	
	function validateContactForm()
	{
		var  blnReturn = true;
		if (frmContacts.txtLastname.value == '')
		{
			document.getElementById('cntLastname').innerHTML = 'Last name is required';
			blnReturn = false;
		}
		if (frmContacts.txtFirstname.value == '')
		{
			document.getElementById('cntFirstname').innerHTML = 'First name is required';
			blnReturn = false;
		}
		if (frmContacts.txtEmail.value == '')
		{
			document.getElementById('cntEmail').innerHTML = 'Email is required';
			blnReturn = false;
		}
		if (isNaN(frmContacts.txtTelNo.value))
		{
			document.getElementById('cntTel').innerHTML = 'Invalid data';
			blnReturn = false;
		}
		if (isNaN(frmContacts.txtCellNo.value))
		{
			document.getElementById('cntMobile').innerHTML = 'Invalid data';
			blnReturn = false;
		}
		if ((frmContacts.txtEmail.value != '') && (validateEmail(frmContacts.txtEmail.value) == false))
		{
			document.getElementById('cntEmail').innerHTML = 'Incorrect email format';
			blnReturn = false;
		}
		/*if (frmContacts.txtTelNo.value == '')
		{
			document.getElementById('cntTel').innerHTML = 'Telephone number is required';
			blnReturn = false;
		}*/
		/*if (frmContacts.txtCellNo.value == '')
		{
			document.getElementById('cntMobile').innerHTML = 'Mobile number is required';
			blnReturn = false;
		}*/
		if (frmContacts.txtPosition.value == '')
		{
			document.getElementById('cntPosition').innerHTML = 'Position is required';
			blnReturn = false;
		}
		return blnReturn;
	}
	
	function clearContactForm()
	{
		clearContactRequired()
		frmContacts.txtLastname.value = '';
		frmContacts.txtFirstname.value = '';
		frmContacts.txtTelNo.value = '';
		frmContacts.txtCellNo.value = '';
		/*frmContacts.txtFaxNo.value = '';*/
		frmContacts.txtEmail.value = '';
		frmContacts.txtPosition.value = '';
		frmContacts.hdnContactId.value = 0;
		aContactLabel.innerHTML = '<b>Add Contact</b>';
		frmContacts.hdnAction.value = 'add';
	}
	
	function showContactForm()
	{
		divContactForm.style.display = '';
	}
	
	function hideContactForm()
	{
		clearContactRequired();
		divContactForm.style.display = 'none';
	}
	
	function clearContactRequired()
	{
		document.getElementById('cntLastname').innerHTML = '';
		document.getElementById('cntFirstname').innerHTML = '';
		document.getElementById('cntEmail').innerHTML = '';
		document.getElementById('cntPosition').innerHTML = '';
		document.getElementById('cntTel').innerHTML = '';
		document.getElementById('cntMobile').innerHTML = '';
	}
	
	function showContactView()
	{
		/*blocker = document.getElementById('blocker');
		viewInfo = document.getElementById('viewContactInfo');
		viewWidth = parseInt(viewInfo.style.width);
		viewInfo.style.left =  (wWidth / 2 - viewWidth / 2) + "px";
		blocker.style.visibility = "visible";
		viewInfo.style.visibility = "visible";*/
		document.getElementById('viewContactInfo').style.display='';
	}
	
	function hideContactView()
	{
		/*blocker = document.getElementById('blocker');
		viewInfo = document.getElementById('viewContactInfo');
		blocker.style.visibility = "hidden";
		viewInfo.style.visibility = "hidden";*/
		document.getElementById('viewContactInfo').style.display='none';
	}
	
	function validateEmail(value)   
	{  
		if (/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(value))  
		{  
			return (true)  
		}  
		return (false)  
	} 
</script>
</html>
