<?php 
	include '../config/config.php';
	include_once 'log_check.php';
	Kernel::includeObject('lib/classes/FileClass.inc');
	Kernel::includeObject('lib/classes/ps_pagination');
	Kernel::includeObject('lib/xajax/xajax.inc');
	
	function keywordSearch($keyword)
	{
		$userId = $_SESSION['user_id'];
		$access = $_SESSION['access'];
		if ($sessionInfo['access'] != 1) // not lawyer
			$status = isset($_SESSION['fFileStatus']) || $_SESSION['fFileStatus'] == ''? NULL: $_SESSION['fFileStatus'];
		else
			$status = 1; //active
		$fileNumber = !isset($_SESSION['fFileNumber']) || $_SESSION['fFileNumber'] == ''? NULL: $_SESSION['fFileNumber'];
		$objResponse = new xajaxResponse();
		$file = new FileClass();
		$table = $file->getFileList($userId, $access, 1, $keyword, $status, $fileNumber);
		$objResponse->addAssign("file_list","innerHTML",$table);
		$_SESSION['fKeyword'] = $keyword;
		return $objResponse;
	}
	
	// function fileTypeSearch($fileType)
	// {
		// $userId = $_SESSION['user_id'];
		// $access = $_SESSION['access'];
		// $keyword = !isset($_SESSION['fKeyword']) || $_SESSION['fKeyword'] == ''? NULL: $_SESSION['fKeyword'];
		// $fileNumber = !isset($_SESSION['fFileNumber']) || $_SESSION['fFileNumber'] == ''? NULL: $_SESSION['fFileNumber'];
		// $objResponse = new xajaxResponse();
		// $file = new FileClass();
		// $table = $file->getFileList($userId, $access, 1, $keyword, $fileType, $fileNumber);
		// $objResponse->addAssign("file_list","innerHTML",$table);
		// $_SESSION['fFileType'] = $fileType;
		// return $objResponse;
	// }
	
	function fileStatusSearch($status)
	{
		$userId = $_SESSION['user_id'];
		$access = $_SESSION['access'];
		$keyword = !isset($_SESSION['fKeyword']) || $_SESSION['fKeyword'] == ''? NULL: $_SESSION['fKeyword'];
		$fileNumber = !isset($_SESSION['fFileNumber']) || $_SESSION['fFileNumber'] == ''? NULL: $_SESSION['fFileNumber'];
		$objResponse = new xajaxResponse();
		$file = new FileClass();
		$table = $file->getFileList($userId, $access, 1, $keyword, $status, $fileNumber);
		$objResponse->addAssign("file_list","innerHTML",$table);
		$_SESSION['fFileStatus'] = $status;
		return $objResponse;
	}

	// function fileNumberSearch($fileNumber)
	// {
		// $userId = $_SESSION['user_id'];
		// $access = $_SESSION['access'];
		// $keyword = !isset($_SESSION['fKeyword']) || $_SESSION['fKeyword'] == ''? NULL: $_SESSION['fKeyword'];
		// $status = !isset($_SESSION['fFileStatus']) || $_SESSION['fFileStatus'] == ''? NULL: $_SESSION['fFileStatus'];
		// $objResponse = new xajaxResponse();
		// $file = new FileClass();
		// $table = $file->getFileList($userId, $access, 1, $keyword, $status, $fileNumber);
		// $objResponse->addAssign("file_list","innerHTML",$table);
		// $_SESSION['fFileNumber'] = $fileNumber;
		// return $objResponse;
	// }
	
	function pageSearch($page)
	{
		$userId = $_SESSION['user_id'];
		$access = $_SESSION['access'];
		$keyword = !isset($_SESSION['fKeyword']) || $_SESSION['fKeyword'] == ''? NULL: $_SESSION['fKeyword'];
		$status = !isset($_SESSION['fFileStatus']) || $_SESSION['fFileStatus'] == ''? NULL: $_SESSION['fFileStatus'];
		$fileNumber = !isset($_SESSION['fFileNumber']) || $_SESSION['fFileNumber'] == ''? NULL: $_SESSION['fFileNumber'];
		$objResponse = new xajaxResponse();
		$file = new FileClass();
		$table = $file->getFileList($userId, $access, $page, $keyword, $status, $fileNumber);
		$objResponse->addAssign("file_list","innerHTML",$table);
		return $objResponse;
	}
	
	function deleteFile($fileClientId)
	{
		$userId = $_SESSION['user_id'];
		$access = $_SESSION['access'];
		$keyword = !isset($_SESSION['fKeyword']) || $_SESSION['fKeyword'] == ''? NULL: $_SESSION['fKeyword'];
		$status = !isset($_SESSION['fFileStatus']) || $_SESSION['fFileStatus'] == ''? NULL: $_SESSION['fFileStatus'];
		$fileNumber = !isset($_SESSION['fFileNumber']) || $_SESSION['fFileNumber'] == ''? NULL: $_SESSION['fFileNumber'];
		$objResponse = new xajaxResponse();
		$file = new FileClass();
		$file->deleteClientFile($fileClientId);
		$objResponse->addAlert("Delete successful");
		$table = $file->getFileList($userId, $access, 1, $keyword, $status, $fileNumber);
		$objResponse->addAssign("file_list","innerHTML",$table);
		return $objResponse;
	}
	
	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("keywordSearch");
	// $xajax->registerFunction("fileTypeSearch");
	// $xajax->registerFunction("fileNumberSearch");
	$xajax->registerFunction("fileStatusSearch");
	$xajax->registerFunction("pageSearch");
	$xajax->registerFunction("deleteFile");
	$xajax->processRequests();
	$title = 'File List';
	include_once 'header.php';

	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);
	
	$file = new FileClass();
	
	$userId = $_SESSION['user_id'];
	$access = $_SESSION['access'];
?>
</head>
<script>
	function events(eventType, id)
	{
		switch (eventType){
			case 'edit':
				window.location = 'time_billing.php?flid='+id;
				break;
			case 'editFile':
				window.location = 'file_edit.php?flid='+id;
				break;
			case 'viewFile':
				window.location = 'file_view.php?flid='+id;
				break;
			case 'printFile':
				window.location = 'file_print.php?flid='+id;
				break;
			case 'exportReport':
				var k = document.getElementById('txtKywrd').value;
				var s = document.getElementById('cmbFileStatus').value;
				window.location = 'masterList.php?word='+k+'&s='+s;
				break;
			case 'deleteFile':
				var response = confirm('Are you sure you want to delete this record?');
				if (response)
					xajax_deleteFile(id);
				break;
			case 'jemSummary':
				window.location = 'file_summary.php';
				break;
		}
	}
	
</script>
<body>
<div id="wrapper" class="file">
	<?php include("menu_bar.php"); ?>
<div id="main">
		<h2 class="title_a">| Job Engagement Memo List</h2>
<div id="main_info">
			<div class="col_holder">
				<div class="four_col text_r f_left title_b">
					Keyword Search :&nbsp; 
				</div>
				<div class="four_col f_left">
					<input type="text" name="txtKywrd" id="txtKywrd" maxlength="50" size="25" value="" onKeyUp="xajax_keywordSearch(this.value)" placeholder="Client name, JEM Code, title"><br>&nbsp;
				</div>
				<div class="four_col text_r f_left title_b">
					<?php 
						if (($sessionInfo['access'] == 2 or $sessionInfo['access'] == 0)) //lawyer
							print 'Status : &nbsp';
					?>
				</div>
				<div class="four_col f_left">
					<?php 
						if (($sessionInfo['access'] == 2) or ($sessionInfo['access'] == 0)) //super admin and admin
						{
							$status = isset($_SESSION['fFileStatus']) ? $_SESSION['fFileStatus'] : '';
							$events = array('onchange' => 'xajax_fileStatusSearch(this.value)');
							print $file->getFileStatusCombo($status, $events);
							echo '<input type="button" value="Master List" name="btnExport" id="btnExport" onClick="events(\'exportReport\', 0)" />
									<input type="button" value="Summary" name="btnSummary" id="btnSummary" onClick="events(\'jemSummary\', 0)" />';
						}
					?>					 
				</div>
			</div>
		<div id="file_list" name="file_list" class="one_small_col">
			<?php print $file->getFileList($userId, $access);?>
		</div>
<?php include("footer.php"); ?>
</body>
</html>