<?php 
	include '../config/config.php';
	include_once 'log_check.php';
	Kernel::includeObject('lib/classes/UserClass.inc');
	Kernel::includeObject('lib/classes/RateAdjustClass.inc');
	Kernel::includeObject('lib/xajax/xajax.inc');
	if ($_SESSION['access'] != 2) //super admin
	{
		void_redirect_url('homepage.php', 2, 'Redirecting to Homepage. Please wait...');
	}	
	function saveHoliday($data)
	{
		$arrData = array();
		$arrData[RateAdjustClass::FD_HOL_DATE] = $data['hdnHolidayDate'];
		$arrData[RateAdjustClass::FD_HOL_NAME] = $data['txtHolidayName'];
		$arrData[RateAdjustClass::FD_ACTIVE] = 1;
		$rate = new RateAdjustClass();
		//$isCodeUnique = $rate->isDeptCodeUnique($data['txtDeptCode']);
		$isCodeUnique = true;
		$objResponse = new xajaxResponse();
		if ($isCodeUnique)
		{
			$addId = $rate->addHoliday($arrData);			
			$table = $rate->getHolidayList();
			$objResponse->addAssign("rates_list","innerHTML",$table);
			$objResponse->addAssign("reqDate","innerHTML",'');
			$objResponse->addAssign("reqDesc","innerHTML",'');
			$objResponse->addAssign("txtHolidayDate","value",'');
			$objResponse->addAssign("hdnHolidayDate","value",'');
			$objResponse->addAssign("txtHolidayName","value",'');
			$objResponse->addAssign("show_error","innerHTML",'');
		}
		else
		{
			$objResponse->addAssign("show_error","innerHTML",'The department code entered is already existing');
		}	
		return $objResponse;
	}
	
	function editHoliday($id)
	{
		$rate = new RateAdjustClass();
		$arrData = $rate->getHolidayInfo($id);
		$objResponse = new xajaxResponse();
		$table = $rate->getHolidayList();
		$objResponse->addAssign("rates_list","innerHTML",$table);
		$objResponse->addAssign("reqDate","innerHTML",'');
		$objResponse->addAssign("reqDesc","innerHTML",'');
		$objResponse->addAssign("txtHolidayDate","value", date("F d, Y", strtotime($arrData[RateAdjustClass::FD_HOL_DATE])));
		$objResponse->addAssign("hdnHolidayDate","value",$arrData[RateAdjustClass::FD_HOL_DATE]);
		$objResponse->addAssign("txtHolidayName","value",$arrData[RateAdjustClass::FD_HOL_NAME]);
		$objResponse->addAssign("show_error","innerHTML",'');
		$button = '<input type="button" value="Save" name="Save" onClick="events(\'updateHoliday\', '.$id.')"/>
						<input type="button" value="Cancel" name="Cancel" onClick="events(\'refreshForm\', 0)" />';
		$objResponse->addAssign("divButtons","innerHTML",$button);
		return $objResponse;
	}
	
	function deleteHoliday($id)
	{
		$objResponse = new xajaxResponse();
		if ($id != '')
		{
			$arrData = array();		
			$arrData[RateAdjustClass::FD_ACTIVE] = 0;
			$rate = new RateAdjustClass();
			$rate->updateHoliday($arrData, $id);				
			$table = $rate->getHolidayList();
			$objResponse->addAlert("Delete successful");
			$objResponse->addAssign("rates_list","innerHTML",$table);
			$objResponse->addAssign("reqDate","innerHTML",'');
			$objResponse->addAssign("reqDesc","innerHTML",'');
			$objResponse->addAssign("txtHolidayDate","value",'');
			$objResponse->addAssign("hdnHolidayDate","value",'');
			$objResponse->addAssign("txtHolidayName","value",'');
			$objResponse->addAssign("show_error","innerHTML",'');
			$button = '<input type="button" value="Save" name="Save" onClick="events(\'addHoliday\', 0)"/>
						<input type="button" value="Cancel" name="Cancel" onClick="events(\'refreshForm\', 0)" />';
			$objResponse->addAssign("divButtons","innerHTML",$button);
		}
		return $objResponse;
	}
	
	function modifyHoliday($id, $data)
	{
		$objResponse = new xajaxResponse();
		if ($id != '')
		{
			$arrData = array();		
			$arrData[RateAdjustClass::FD_HOL_DATE] = $data['hdnHolidayDate'];
			$arrData[RateAdjustClass::FD_HOL_NAME] = $data['txtHolidayName'];
			$rate = new RateAdjustClass();
			$sql = $rate->updateHoliday($arrData, $id);				
			$table = $rate->getHolidayList();
			$objResponse->addAlert("Update successful");
			$objResponse->addAssign("rates_list","innerHTML",$table);
			$objResponse->addAssign("reqDate","innerHTML",'');
			$objResponse->addAssign("reqDesc","innerHTML",'');
			$objResponse->addAssign("txtHolidayDate","value",'');
			$objResponse->addAssign("hdnHolidayDate","value",'');
			$objResponse->addAssign("txtHolidayName","value",'');
			$objResponse->addAssign("show_error","innerHTML",'');
			$button = '<input type="button" value="Save" name="Save" onClick="events(\'addHoliday\', 0)"/>
						<input type="button" value="Cancel" name="Cancel" onClick="events(\'refreshForm\', 0)" />';
			$objResponse->addAssign("divButtons","innerHTML",$button);
		}
		return $objResponse;
	}
	
	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("saveHoliday");
	$xajax->registerFunction("deleteHoliday");
	$xajax->registerFunction("editHoliday");
	$xajax->registerFunction("modifyHoliday");
	$xajax->processRequests();
	$title = 'System Utilities - Holidays';
	include_once 'header.php';
	
	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);
	
	$user = new UserClass();
	$rate = new RateAdjustClass();
?>
<script src="//code.jquery.com/jquery-1.10.2.js"></script>
<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
<script>
 $(document).ready(function()
	{
		$( "#txtHolidayDate" ).datepicker({
			showOn: "both",
			buttonImage: "images/calendar.png",
			buttonImageOnly: true,
			dateFormat: "MM dd, yy",
			altField: "#hdnHolidayDate",
			altFormat: "yy-m-dd",
		});
	});
</script>
</head>
<body>
<div id="wrapper" class="settings">
	<?php include("menu_bar.php"); ?>
<div id="main">
		<h2 class="title_a">| Holidays</h2>
		<div id="main_info">
			<div class="one_col title_c">
					<div class="two_col ">
						<form name="frmHoliday" id="frmHoliday" method="post" onSubmit="events('addHoliday', 0); return false;">
							<div class="one_col">
								<div class="two_col title_c">
									Code : 
								</div>
								<div class="two_col ">
									<input type="text" name="txtHolidayDate" id="txtHolidayDate" value=""><font color="#FF0000">*</font>&nbsp;<p class="errmsg" id="reqDate"></p>
									<input type="hidden" name="hdnHolidayDate" id="hdnHolidayDate" value="">
								</div>
							</div>
							<div class="one_col">
								<div class="two_col title_c">
									Description : 
								</div>
								<div class="two_col">
									<input type="text" name="txtHolidayName" id="txtHolidayName" maxlength="50" size="25" value=""><font color="#FF0000">*</font>&nbsp;<p class="errmsg" id="reqDesc"></p>
								</div>
							</div>
							<div class="one_col">
								<div class="two_col title_c">
								</div>
								<div class="two_col">
									<div id="divButtons" style="float:right;"><input type="button" value="Save" name="Save" onClick="events('addHoliday', 0)"/>
									<input type="button" value="Cancel" name="Cancel" onClick="events('refreshForm', 0)" /></div>
								</div>
							</div>
							<input type="hidden" name="hdnAction" id="hdnAction" value="add"/>
							<input type="hidden" name="hdnUserID" id="hdnUserID" value=""/>
							<input type="hidden" name="hdnUserAccess" id="hdnUserAccess" value=""/>
						</form>
					</div>
					<div class="two_col ">
						&nbsp;
					</div>
			</div>
			<div class="one_col">
				<div class="tabber">
					 <div class="tabbertab">
						<h2>List</h2><br />
						<div id="rates_list" name="rates_list">
							<?php print $rate->getHolidayList();
							?>
						</div>
						<br />
					 </div>
				</div>
			</div>
<?php include("footer.php"); ?>
</body>
<script>
	var frmHoliday = document.getElementById('frmHoliday');
	
	function events(eventType, id)
	{
		switch (eventType){
			case 'addHoliday':
				if (validateRateForm())
				{
					xajax_saveHoliday(xajax.getFormValues("frmHoliday"));
				}
				return false;
			case 'updateHoliday':
				if (validateRateForm())
				{
					xajax_modifyHoliday(id, xajax.getFormValues("frmHoliday"));
				}
				return false;
			case 'editHoliday':
					xajax_editHoliday(id);
				return false;
			case 'deleteHoliday':
				if (confirm('Are you sure you want to delete this record?'))
				{
					xajax_deleteHoliday(id);
				}
				return false;
			case 'refreshForm':
				refreshRateForm();
				return false;
			default:
				break;
		}
	}

	function refreshRateForm()
	{
		document.getElementById('reqDate').innerHTML = '';
		document.getElementById('reqDesc').innerHTML = '';
		frmHoliday.txtHolidayDate.value = '';
		frmHoliday.hdnHolidayDate.value = '';
		frmHoliday.txtDeptDesc.value = '';
	}
	
	function validateRateForm()
	{
		var blnReturn = true;
		if (frmHoliday.hdnHolidayDate.value == '')
		{
			document.getElementById('reqDate').innerHTML = 'Date is required';
			blnReturn = false;
		}
		if (frmHoliday.txtHolidayName.value == '')
		{
			document.getElementById('reqDesc').innerHTML = 'Name is required';
			blnReturn = false;
		}
		
		return blnReturn;
	}

</script>
</html>