<?php 
	include '../config/config.php';
	$isAdmin = true;
	include_once 'log_check.php';
	
	Kernel::includeObject('lib/classes/UserClass.inc');
	Kernel::includeObject('lib/classes/ClientClass.inc');
	Kernel::includeObject('lib/classes/FileClass.inc');
	Kernel::includeObject('lib/classes/FileLawyerClass.inc');
	Kernel::includeObject('lib/classes/FileBillingClass.inc');
	Kernel::includeObject('lib/xajax/xajax.inc');
	
	function getLawyerFiles($userId)
	{
		$file = new FileClass();
		$arrEvent = array('onchange'=>'events(\'getFileInfo\', 0);');
		$combo = $file->getUserFiles($userId, $arrEvent);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("file_combo","innerHTML",$combo);
		$objResponse->addAssign("hdnFileId","value",0);
		$objResponse->addAssign("filName","innerHTML",'');
		if ($userId != '')
		{
			#$objResponse->addAssign("btnDisplay","disabled",'');
			$objResponse->addAssign("btnExport","disabled",'');
		}
		else
		{
			#$objResponse->addAssign("btnDisplay","disabled",'disabled');
			$objResponse->addAssign("btnExport","disabled",'disabled');
		}
		return $objResponse;
	}
	
	function getFileInfo($fileId)
	{
		$file = new FileClass();
		$arrFile = $file->getFileInfo($fileId);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("hdnFileId","value",$fileId);
		if (isset($arrFile[FileClass::FD_FILE_NAME]))
			$objResponse->addAssign("filName","innerHTML",$arrFile[FileClass::FD_FILE_NAME]);
		else
			$objResponse->addAssign("filName","innerHTML",'');
		return $objResponse;
	}
	
	function getWorkDetails($page, $userId, $fileId, $startDate, $endDate)
	{
		$fileBill = new FileBillingClass();
		$table = $fileBill->getLawyerReportDetails($page, $userId, $fileId, $startDate, $endDate);
		$objResponse = new xajaxResponse();
		$objResponse->addAssign("btnExport","disabled",'');
		$objResponse->addAssign("work_list","innerHTML",$table);
		return $objResponse;
	}
		
	$xajax = new xajax();
	$xajax->setCharEncoding("UTF-8");
	$xajax->registerFunction("getLawyerFiles");
	$xajax->registerFunction("getFileInfo");
	$xajax->registerFunction("getWorkDetails");
	
	$xajax->processRequests();
	$title = 'Lawyer Report';
	include_once 'header.php';
	Kernel::includeObject('WEBROOT/calendar/tc_calendar');
	
	$xajax_dir = "js";
	$xajax->printJavascript($xajax_dir);
	
	$user = new UserClass();
	$client = new ClientClass();
	$file = new FileClass();
	$fileBill = new FileBillingClass();
?>
<script type="text/javascript" src="calendar/calendar.js"></script>
</head>
<body>
<div id="wrapper">
<div id="banner"></div> <!--header-->
<div id="main">
    <div id="main-info">
         <div id="header">
            <div id="header-info">
                <div id="navi">
                    <?php include("menu_bar.php"); ?>
                </div> <!--navi--> 
            </div> <!--header-info-->  
        </div> <!--header-->
        <div>     
            <div id="form-main" style="width:756px;">
           		<div id="form-search">
                </div>
                <div id="form-top">
                	<p>Lawyer Report</p>
                </div><!--form-top-->             
                <div style="padding:10px 25px 10px 25px; border: solid 1px #3c546d; text-align:left;">
                    <form name="frmReport" id="frmReport" method="post" onSubmit="events('saveBilling', 0); return false;">
                        <table width="100%"> 
                          	<tr>
                            	<td width="150">Period</td>
                                <td width="105"><?php
									$myCalendar = new tc_calendar("txtStartDate", true, false);
									$myCalendar->setDate(date('d'), date('m'), date('Y'));
									$myCalendar->setIcon("images/iconCalendar.gif");
									$myCalendar->setPath("calendar/");
									$myCalendar->setDateFormat(DATE_FORMAT);
									$myCalendar->writeScript();
								?></td>
								<td align="right" width="10">&nbsp;to&nbsp;</td>
								<td >

								<?php
									$myCalendar = new tc_calendar("txtEndDate", true, false);
									$myCalendar->setDate(date('d'), date('m'), date('Y'));
									$myCalendar->setIcon("images/iconCalendar.gif");
									$myCalendar->setPath("calendar/");
									$myCalendar->setDateFormat(DATE_FORMAT);
									$myCalendar->writeScript();
								?></td>
                            </tr>
                          	<tr>
                            	<td>Lawyer Name</td>
                                <td colspan="3"><span id="client_combo"><?php 
									$arrEvent = array('onchange'=>'events(\'getFiles\', 0);');
									print $user->getUserCombo(NULL, $arrEvent);
								?></span></td>
                            </tr>
                          	<tr>
                            	<td>File *</td>
                                <td colspan="3"><span id="file_combo"><?php 
										print $file->getUserFiles()
									?></span>
									</span><input type="hidden" name="hdnFileId" id="hdnFileId" value="">
									&nbsp;<span id="reqFileNumber"></span>
								</td>
                            </tr>
							<tr>
                            	<td colspan="4"><div style="float:left;" class="errorMessage"></div>
                                    <div style="float:right;"><input type="button" value="Display" name="btnDisplay" id="btnDisplay" onClick="events('getWorkDetails', 0)" />
                                    <input type="button" value="Export to Excel" name="btnExport" id="btnExport" onClick="events('exportWorkDetails', 0)" disabled="disable" /></div></td>
                            </tr>
                        </table>
						<input type="hidden" name="hdnUserId" id="hdnUserId" value="<?php print $userId;?>"/>
						<input type="hidden" name="hdnSection" id="hdnSection" value="file"/>
                    </form>
                    <div class="tabber">
                         <div class="tabbertab">
							<h2>Lawyer Report</h2><br />
							<div id="work_list" name="work_list">
							
							</div>
							<br />
                         </div>
                    </div>
       
                </div>
                <div id="form-bottom">
                </div><!--form-bottom-->                          
            </div>
          <!--form-main-center-->
        </div><!--form-->
    </div><!--main-info-->
</div><!--main-->
</div><!--wrapper-->
<?php include("footer.php"); ?>
</body>
<script>
	var frmReport = document.getElementById('frmReport');
	function events(eventType, id)
	{
		switch (eventType){
			case 'getFiles':
				userId = frmReport.cmbUser.options[frmReport.cmbUser.selectedIndex].value;
				xajax_getLawyerFiles(userId);
				break;
			case 'getFileInfo':
				fileId = frmReport.cmbFile.options[frmReport.cmbFile.selectedIndex].value;
				xajax_getFileInfo(fileId);
				break;
			case 'getWorkDetails':
				fileId = frmReport.cmbFile.options[frmReport.cmbFile.selectedIndex].value;
				userId = frmReport.cmbUser.options[frmReport.cmbUser.selectedIndex].value;
				startDate = frmReport.txtStartDate.value;
				endDate = frmReport.txtEndDate.value;
				xajax_getWorkDetails(1, userId, fileId, startDate, endDate);
				break;
			case 'exportWorkDetails':
				fileId = frmReport.cmbFile.options[frmReport.cmbFile.selectedIndex].value;
				userId = frmReport.cmbUser.options[frmReport.cmbUser.selectedIndex].value;
				startDate = frmReport.txtStartDate.value;
				endDate = frmReport.txtEndDate.value;
				window.location = 'reports/LawyerReports.php?flid='+fileId+'&uid='+userId+'&sdate='+startDate+'&edate='+endDate;
				break;
			case 'changePage':
				fileId = frmReport.cmbFile.options[frmReport.cmbFile.selectedIndex].value;
				userId = frmReport.cmbUser.options[frmReport.cmbUser.selectedIndex].value;
				startDate = frmReport.txtStartDate.value;
				endDate = frmReport.txtEndDate.value;
				xajax_getWorkDetails(id, userId, fileId, startDate, endDate);
				break;
			default:
				break;
		}
	}
</script>
</html>
