<?php
Kernel::includeObject('lib/classes/FileClass.inc');
Kernel::includeObject('lib/classes/ClientClass.inc');
Kernel::includeObject('lib/classes/UserClass.inc');
Kernel::includeObject('lib/classes/ps_pagination');


class FileBillingClass
{
	private $Db;

	const TABLENAME_FILE_BILLING = 'file_billing_tbl';
	const VIEWNAME_LIST = 'file_billing_vw';
	const FD_FILE_BILLING_ID = 'file_billing_id';
	const FD_CLIENT_ID = 'client_id';
	const FD_USER_ID = 'user_id';
	const FD_POSITION = 'position';
	const FD_BILLING_DATE = 'billing_date';
	const FD_FILE_ID = 'file_id';
	const FD_WORK_DETAIL = 'work_detail';
	const FD_TIME_SPENT_SEC = 'time_spent_sec';
	const FD_RATE = 'rate';
	const FD_TIME_SPENT = 'time_spent';
	const FD_AMOUNT = 'amount';
	const FD_TASK_TYPE = 'task_type';
	const FD_ACTIVE = 'active';
	const FD_FILE_TYPE = 'file_type';
	const FD_FILE_NUMBER = 'file_number';
	const FD_FIRSTNAME = 'firstname';
	const FD_LASTNAME = 'lastname';
	const FD_TASK_CODE = 'task_code';
	const FD_START_TIME = 'start_time';
	const FD_END_TIME = 'end_time';

	private $arrDataDef = array(
			self::FD_FILE_BILLING_ID => 'integer',
			self::FD_CLIENT_ID => 'integer',
			self::FD_USER_ID => 'integer',
			self::FD_BILLING_DATE => 'string',
			self::FD_FILE_ID => 'integer',
			self::FD_FILE_TYPE => 'string',
			self::FD_FILE_NUMBER => 'string',
			self::FD_POSITION => 'integer',
			self::FD_WORK_DETAIL => 'string',
			self::FD_TIME_SPENT_SEC => 'integer',
			self::FD_RATE => 'float',
			self::FD_TIME_SPENT => 'string',
			self::FD_AMOUNT => 'float',
			self::FD_ACTIVE => 'integer',
			self::FD_TASK_TYPE => 'integer',
			self::FD_TASK_CODE => 'integer',
			self::FD_START_TIME => 'string',
			self::FD_END_TIME => 'string',
		);

	const DATA_USER_LAWYER = 1;
	const LISTVIEW_LIMIT = 10;
	const PAGE_TAG = '::PAGE::';

	public function __construct()
	{
		$this->Db = new MSSQLDatabase();
	}

	public function addBilling($arrData)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['insert_by'] = intval($_SESSION['user_id']);
		$arrFormat['insert_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		foreach($arrFormat as $key => $value)
		{
			$fieldValues[] = '`'.$key.'`';
			$fieldNames[] = $value;
		}

		$sql = 'INSERT INTO '.self::TABLENAME_FILE_BILLING.'('.implode(',',$fieldValues).') VALUES ('.implode(',',$fieldNames).')';
		$this->Db->insertStatement($sql);
		return $this->Db->insertID;
	}

	public function deleteBilling($fileBillingId)
	{
		$sql = 'UPDATE '.self::TABLENAME_FILE_BILLING.' SET active = 0 WHERE '.self::FD_FILE_BILLING_ID.' = '.intval($fileBillingId);
		$this->Db->selectDatafromDB($sql);
	}

	public function editBilling($fileBillingId, $arrData)
	{
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['update_by'] = intval($_SESSION['user_id']);
		$arrFormat['update_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		$set = '';
		foreach($arrFormat as $key => $value)
		{
			if ($set != '')
				$set .= ', ';

			$set .= $key.' = '.$value;
		}

		$sql = 'UPDATE '.self::TABLENAME_FILE_BILLING.' SET '.$set.' WHERE '.self::FD_FILE_BILLING_ID.' = '.intval($fileBillingId);
		$this->Db->selectDatafromDB($sql);
	}

	public function getBillingInfo($fileBillingId)
	{
		$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE file_billing_id = '.intval($fileBillingId);
		$rec = $this->Db->selectDatafromDB($sql);

		$cnt = mysql_num_rows($rec);

		if ($cnt == 0)
			return array();

		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}

		return $arrData;
	}

	public function getLastBillingInfo($userId)
	{
		$sql = 'SELECT * FROM file_billing_tbl WHERE insert_by = '.intval($userId).' order by insert_dt DESC limit 1';
		$rec = $this->Db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);
		if ($cnt == 0)
			return array();
		$arrData = array();
		$row = mysql_fetch_array($rec);
		$billingId = $row['file_billing_id'];
		$sql = 'SELECT * FROM file_billing_vw WHERE file_billing_id='.$billingId;
		$rec = $this->Db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);
		if ($cnt == 0)
			return array();
		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		return $arrData;
	}

	public function getLastBillingInfoForSec($userId)
	{
		$sql = 'SELECT * FROM file_billing_tbl WHERE insert_by = '.intval($userId).' order by insert_dt DESC limit 1';
		$rec = $this->Db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);
		if ($cnt == 0)
			return array();
		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		$fileId = $row['file_id'];
		$sql = 'SELECT * FROM file_info_tbl WHERE file_id='.$fileId;
		$rec = $this->Db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);
		if ($cnt == 0)
			return array();
		$row = mysql_fetch_array($rec);
		$arrData['client_id'] = $row['client_id'];
		return $arrData;
	}

	public function getBillingInfoForSec($fileBillingId)
	{
		$sql = 'SELECT a.*, b.client_id FROM '.self::TABLENAME_FILE_BILLING.' as a inner join file_info_tbl as b on  a.file_id = b.file_id WHERE file_billing_id = '.intval($fileBillingId);
		$rec = $this->Db->selectDatafromDB($sql);

		$cnt = mysql_num_rows($rec);

		if ($cnt == 0)
			return array();

		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		return $arrData;
	}

	public function timeCombo($name= null, $choices= array(), $selected = null)
	{
		$combo = '<select name="'.$name.'" id="'.$name.'">';
		$combo .= '<option value=""></option>';
		foreach($choices as $key => $v)
		{
			$combo .= '<option value="'.$v.'">'.$v.'</option>';
		}
		$combo .= '</select>';
		return $combo;
	}

	public function getSelectLawyerFiles($userId=0, $action=array())
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';

				$events .= $key . '="' . $eventAction .'"';
			}
		}
		$combo = '<select name="cmbFile" id="cmbClientFiles" ' . $events . '>';
		$combo .= '<option value=""><em>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</em></option>';

		$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE '.self::FD_USER_ID.' = '. intval($userId);
		$rec = $this->Db->selectDatafromDB($sql);
		$cnt = mysql_num_rows($rec);

		if ($userId != 0 && $cnt != 0)
		{
			while ($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$combo .= '<option value="'.$row[self::FD_FILE_ID].'">'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</option>';
			}
		}

		$combo .= '</select>';
		return $combo;
	}

	public function getBillingList($userId, $date)
	{
		$date = date_format(date_create($date), 'Y-m-d');
		$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE user_id = '.intval($userId).' AND '.self::FD_BILLING_DATE.' BETWEEN "'.$date.' 00:00:00" AND "'.$date.' 23:59:59"';
		$rec = $this->Db->selectDatafromDB($sql);

		// $table = '<table width="100%" id="billing-list-table" border="0" cellpadding="0" cellspacing="0" style="border: solid 1px #3c546d; padding:5px 2px 2px 2px;">';
		// $table .= '		<tr id="table-header">';
		// $table .= '			<td id="table-header"><b>File</b></td>';
		// $table .= '			<td id="table-header"><b>Description</b></td>';
		// $table .= '			<td id="table-header"><b>Time</b></td>';
		// $table .= '			<td id="table-header"><b>Amount</b></td>';
		// $table .= '			<td colspan="3" align="center" id="table-header"><b><a href="#" onclick="events(\'addBilling\', 0)" title="Add Billing"><img src="images/add.png" border="0"></a></b></td>';
		// $table .= '		</tr>';

		$table = '<div class="table" id="billing-list-table">';
		$table .= '		<div class="tr" id="table-header">';
		$table .= '			<div class="th dsr_file"id="table-header"><b>JEM Code</b></div>';
		$table .= '			<div class="th dsr_desc"id="table-header"><b>Description</b></div>';
		$table .= '			<div class="th dsr_time text_r"id="table-header"><b>Time</b></div>';
		//$table .= '			<div class="th dsr_amount"id="table-header"><b>Amount</b></div>';
		$table .= '			<div class="th add"align="center" id="table-header"><b><a href="#" onclick="events(\'addBilling\', 0)" title="Add DTR"><img src="images/add.png" border="0"></a></b></div>';
		$table .= '		</div>';

		$rowCnt = mysql_num_rows($rec);

		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			$totalBill = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$amount = doubleval($row[self::FD_RATE]) * doubleval($row[self::FD_TIME_SPENT]);
				$table .= '		 <div class="tr" id="'.$classRow.'">';
				$table .= '			<div class="td dsr_file" id="table-row"><span>File : </span>'.$row['jem_code'].'</div>';
				$table .= '			<div class="td dsr_desc" id="table-row"><span>Details : </span>'.$row[self::FD_WORK_DETAIL].'</div>';
				$table .= '			<div class="td dsr_time text_r" id="table-row"><span>Time : </span>'.number_format($row[self::FD_TIME_SPENT], 2).'</div>';
				//$table .= '			<div class="td dsr_amount"  id="table-row"><span>Amount : </span>'.number_format($amount, 2).'</div>';
				$table .= '			<div class="td add" id="table-row">
										<div class="display-inline-block fifty_percent" align="center" id="table-row" ><b><a href="#" onclick="events(\'getBilling\', '.$row[self::FD_FILE_BILLING_ID].')" title="Edit"><img src="images/edit.png" border="0"></a></b></div>';
				$table .= '				<div class="display-inline-block fifty_percent" align="center" id="table-row"><b><a href="#" onclick="events(\'deleteBilling\', '.$row[self::FD_FILE_BILLING_ID].')" title="Delete"><img src="images/delete.png" border="0"></a></b></div>
									</div>';
				$table .= '		 </div>';
				$ctr++;
				$totalTime += doubleval($row[self::FD_TIME_SPENT]);
				$totalBill += $amount;
			}
			$table .= '		 <div class="tr" id="table-header">';
			$table .= '			<div class="td dsr_file"  colspan="2" id="table-header"><b> Total </b></div>';
			$table .= '			<div class="td dsr_desc"  colspan="2" id="table-header">&nbsp;</div>';
			$table .= '			<div class="td dsr_time text_r" id="table-header"><b><span>Time : </span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.number_format($totalTime, 2).'</b></div>';
			$table .= '			<div class="td dsr_amount"  colspan="2" id="table-header">&nbsp;</div>';
			//$table .= '			<div class="td dsr_amount"  align="right" id="table-header"><b><span>Amount : </span>'.number_format($totalBill, 2).'</b></div>';
			$table .= '		 </div>';
		}
		else
		{
			$table .= '		 <div class="tr">';
			$table .= '			<div class="td"  colspan="7" align="center"><i>--No Activity Listed--</i></div>';
			$table .= '		 </div>';
		}
		$table .= '</div>';

		return $table;
	}

	public function getBillingListSec($userId, $date)
	{
		$date = date_format(date_create($date), 'Y-m-d');
		$sql = 'SELECT a.*, b.file_jem_no as jem_code FROM '.self::TABLENAME_FILE_BILLING.' as a inner join file_info_tbl as b on a.file_id = b.file_id WHERE a.user_id = '.intval($userId).' AND '.self::FD_BILLING_DATE.' BETWEEN "'.$date.' 00:00:00" AND "'.$date.' 23:59:59" and a.'.self::FD_ACTIVE.' != 0';
		$rec = $this->Db->selectDatafromDB($sql);

		// $table = '<table width="100%" id="billing-list-table" border="0" cellpadding="0" cellspacing="0" style="border: solid 1px #3c546d; padding:5px 2px 2px 2px;">';
		// $table .= '		<tr id="table-header">';
		// $table .= '			<td id="table-header"><b>File</b></td>';
		// $table .= '			<td id="table-header"><b>Description</b></td>';
		// $table .= '			<td id="table-header"><b>Time</b></td>';
		// $table .= '			<td id="table-header"><b>Amount</b></td>';
		// $table .= '			<td colspan="3" align="center" id="table-header"><b><a href="#" onclick="events(\'addBilling\', 0)" title="Add Billing"><img src="images/add.png" border="0"></a></b></td>';
		// $table .= '		</tr>';

		$table = '<div class="table" id="billing-list-table">';
		$table .= '		<div class="tr" id="table-header">';
		$table .= '			<div class="th dsr_file"id="table-header"><b>JEM Code</b></div>';
		$table .= '			<div class="th dsr_desc"id="table-header"><b>Description</b></div>';
		$table .= '			<div class="th dsr_time"id="table-header"><b>Time</b></div>';
		//$table .= '			<div class="th dsr_amount"id="table-header"><b>Amount</b></div>';
		$table .= '			<div class="th add"align="center" id="table-header"><b><a href="#" onclick="events(\'addBilling\', 0)" title="Add DTR"><img src="images/add.png" border="0"></a></b></div>';
		$table .= '		</div>';

		$rowCnt = mysql_num_rows($rec);

		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			$totalBill = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$classRow_pending = ($row[self::FD_ACTIVE] == 2) ? "pending-record" : '';
				$amount = doubleval($row[self::FD_RATE]) * doubleval($row[self::FD_TIME_SPENT]);
				$table .= '		 <div class="tr '.$classRow_pending.'">';
				$table .= '			<div class="td dsr_file text-center" id="table-row"><span>File : </span>'.$row['jem_code'].'</div>';
				$table .= '			<div class="td dsr_desc text-center" id="table-row"><span>Details : </span>'.$row[self::FD_WORK_DETAIL].'</div>';
				$table .= '			<div class="td dsr_time text-center" align="right" id="table-row"><span>Time : </span>'.number_format($row[self::FD_TIME_SPENT], 2).'</div>';
				//$table .= '			<div class="td dsr_amount"  id="table-row"><span>Amount : </span>'.number_format($amount, 2).'</div>';
				If ($row[self::FD_ACTIVE] == 2) //pending
					$table .= '			<div class="td actions" id="table-row">
										<div class="display-inline-block" align="center" id="table-row"><b><a href="#" onclick="events(\'getBilling\', '.$row[self::FD_FILE_BILLING_ID].')" title="Edit"><img src="images/edit.png" border="0"></a></b></div>';
				else
					$table .= '			<div class="td actions" id="table-row">
										<div class="display-inline-block" align="center" id="table-row">APPROVED</div>';
				If ($row[self::FD_ACTIVE] == 2) //pending
					$table .= '				<div class="display-inline-block" align="center" id="table-row"><b><a href="#" onclick="events(\'deleteBilling\', '.$row[self::FD_FILE_BILLING_ID].')" title="Delete"><img src="images/delete.png" border="0"></a></b></div>
									</div>';
				else
					$table .= '				<div class="display-inline-block" align="center" id="table-row"></div>
									</div>';
				$table .= '		 </div>';
				$ctr++;
				$totalTime += doubleval($row[self::FD_TIME_SPENT]);
				$totalBill += $amount;
			}
			$table .= '		 <div class="tr" id="table-header">';
			$table .= '			<div class="td dsr_file"  colspan="2" id="table-header"><b> Total </b></div>';
			$table .= '			<div class="td dsr_desc"  colspan="2" id="table-header">&nbsp;</div>';
			$table .= '			<div class="td dsr_time text-center" align="right" id="table-header"><b><span>Time : </span>'.number_format($totalTime, 2).'</b></div>';
			$table .= '			<div class="td dsr_amount"  colspan="2" id="table-header">&nbsp;</div>';
			//$table .= '			<div class="td dsr_amount"  align="right" id="table-header"><b><span>Amount : </span>'.number_format($totalBill, 2).'</b></div>';
			$table .= '		 </div>';
		}
		else
		{
			$table .= '		 <div class="tr">';
			$table .= '			<div class="td"  colspan="7" align="center"><i>--No Activity Listed--</i></div>';
			$table .= '		 </div>';
		}
		$table .= '</div>';

		return $table;
	}

	public function getFileActivityList($fileId)
	{
		$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE file_id = '.intval($fileId).' ORDER BY billing_date DESC';
		$rec = $this->Db->selectDatafromDB($sql);

		$table = '<div class="table" id="billing-list-table" >';
		$table .= '		<div class="tr" id="table-header">';
		$table .= '			<div class="th file_view_act_date"  id="table-header"><b>Date</b></div>';
		$table .= '			<div class="th file_view_act_name"  id="table-header"><b>Lawyer Name</b></div>';
		$table .= '			<div class="th file_view_act_desc"  id="table-header"><b>Details</b></div>';
		$table .= '			<div class="th file_view_act_time"  id="table-header"><b>Time</b></div>';
		$table .= '			<div class="th file_view_act_rate"  id="table-header"><b>Rate</b></div>';
		if ($_SESSION['access'] == 3) //secretary
			$table .= '			<div class="th add" >&nbsp;</div>';
		else
			$table .= '			<div class="th add" ><b><a href="#" onclick="events(\'addActivity\', '.$fileId.')"><img src="images/add.png" title="add"></a></b></div>';
		$table .= '		</div>';

		$rowCnt = mysql_num_rows($rec);

		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			$totalBill = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$amount = doubleval($row[self::FD_RATE]) * doubleval($row[self::FD_TIME_SPENT]);
				$table .= '		 <div class="tr" id="'.$classRow.'">';
				$table .= '			<div class="td file_view_act_date" id="table-row"><span>Date : </span>'.date_format(date_create($row[self::FD_BILLING_DATE]), 'm/d/Y').'</div>';
				$table .= '			<div class="td file_view_act_name" id="table-row"><span>Lawyer : </span>'.$row[self::FD_FIRSTNAME].' '.$row[self::FD_LASTNAME].'</div>';
				$table .= '			<div class="td file_view_act_desc" id="table-row"><span>Details : </span>'.$row[self::FD_WORK_DETAIL].'</div>';
				$table .= '			<div class="td file_view_act_time" id="table-row"align="right"><span>Time : </span>'.number_format($row[self::FD_TIME_SPENT], 2).'</div>';
				$table .= '			<div class="td file_view_act_rate" id="table-row"align="right"><span>Rate : </span>'.number_format($amount, 2).'</div>';
				$table .= '			<div class="td actions" id="table-row"align="right">&nbsp;</div>';
				$table .= '			<div class="td actions" id="table-row"align="right">&nbsp;</div>';
				$table .= '			<div class="td actions" id="table-row"align="right">&nbsp;</div>';
				$table .= '		 </div>';
				$ctr++;
				$totalTime += doubleval($row[self::FD_TIME_SPENT]);
				$totalBill += $amount;
			}
			$table .= '		 <div class="tr">';
			$table .= '			<div class="td file_view_act_date" id="table-row">&nbsp;</div>';
			$table .= '			<div class="td file_view_act_name" id="table-row">&nbsp;</div>';
			$table .= '			<div class="td file_view_act_desc" id="table-row"><b>Total</b></div>';
			$table .= '			<div class="td file_view_act_time" colspan="3" align="right"><b>'.number_format($totalTime, 2).'</b></div>';
			$table .= '			<div class="td file_view_act_rate" align="right"><b>'.number_format($totalBill, 2).'</b></div>';
			$table .= '			<div class="td" align="right"></div>';
			$table .= '		 </div>';
		}
		else
		{
			$table .= '		 <div class="tr">';
			$table .= '			<div class="td" colspan="5" align="center"><i>--No Activity Listed--</i></div>';
			$table .= '		 </div>';
		}
		$table .= '</div>';

		return $table;
	}

	function getClientReportsTotal($clientId, $fileId=0, $startDate, $endDate)
	{
		$sql = 'SELECT SUM(time_spent) AS time_spent, SUM(rate * time_spent) AS amount FROM '.self::VIEWNAME_LIST.' WHERE';

		if ($fileId != '' && $fileId != 0)
		{
			$sql .= ' file_id = '.intval($fileId).' AND ';
		}
		if (!is_null($clientId) && $clientId != '')
		{
			$sql .= ' client_id = '.intval($clientId).' AND ';
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' billing_date BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}


		$rec = $this->Db->selectDatafromDB($sql);

		if (!is_resource($rec))
			return array('time_spent'=>0, 'amount'=>0);

		$row = mysql_fetch_array($rec, MYSQL_ASSOC);
		return $row;
	}

	function getLawyerReportsTotal($userId, $fileId=0, $startDate, $endDate)
	{
		$sql = 'SELECT SUM(time_spent) AS time_spent, SUM(rate * time_spent) AS amount FROM '.self::VIEWNAME_LIST.' WHERE';

		if ($fileId != '' && $fileId != 0)
		{
			$sql .= ' file_id = '.intval($fileId).' AND ';
		}
		if (!is_null($userId) && $userId != '')
		{
			$sql .= ' user_id = '.intval($userId).' AND ';
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' billing_date BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}


		$rec = $this->Db->selectDatafromDB($sql);

		if (!is_resource($rec))
			return array('time_spent'=>0, 'amount'=>0);

		$row = mysql_fetch_array($rec, MYSQL_ASSOC);
		return $row;
	}

	function getWorkDetailsTotal($clientId, $fileId=0, $startDate, $endDate)
	{
		$sql = 'SELECT SUM(time_spent) AS time_spent, SUM(rate * time_spent) AS amount FROM '.self::VIEWNAME_LIST.' WHERE';

		if ($fileId != '' && $fileId != 0)
		{
			$sql .= ' file_id = '.intval($fileId).' AND ';
		}
		if (!is_null($clientId) && $clientId != '')
		{
			$sql .= ' client_id = '.intval($clientId).' AND ';
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' billing_date BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}


		$rec = $this->Db->selectDatafromDB($sql);

		if (!is_resource($rec))
			return array('time_spent'=>0, 'amount'=>0);

		$row = mysql_fetch_array($rec, MYSQL_ASSOC);
		return $row;
	}
	public function getWorkDetails($page=1, $clientId, $fileId=0, $startDate=NULL, $endDate=NULL)
	{
		$cond = self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		if ($fileId != '' && $fileId != 0)
		{
			$cond .= ' AND file_id = '.intval($fileId);
		}
		if (!is_null($clientId) && $clientId != '')
		{
			$cond .= ' AND client_id = '.intval($clientId);
		}
		$arrSQL = array();
		$arrSQL['fields'] = '*';
		$arrSQL['table'] = self::VIEWNAME_LIST;
		$arrSQL['cond'] = $cond;
		$arrSQL['order'] = 'billing_date DESC, file_type, file_number';
		$pager = new PS_Pagination($this->Db->dbConnectionID, $arrSQL, self::LISTVIEW_LIMIT, 3, '', $page);
		$pager->setActionEvent(true, 'events(\'changePage\', '.PS_Pagination::PAGE_TAG.')');
		$rec = $pager->paginate();
		$pages = $pager->renderFullNav();
		$nav = '		<table width="100%" cellpadding="5" cellspacing="10">';
		$nav .= '			<tr>';
		$nav .= '				<td align="right">'.$pages.'</td>';
		$nav .= '			</tr>';
		$nav .= '		</table>';
		$table = '<table width="100%" id="billing-list-table" cellpadding="0" cellspacing="0" style="border: solid 1px #3c546d; padding:5px 2px 2px 2px;">';
		$table .= '		<tr id="table-header">';
		$table .= '			<td id="table-header"><b>No</b></td>';
		$table .= '			<td id="table-header"><b>Date</b></td>';
		if ($fileId == '' || $fileId == 0)
			$table .= '			<td id="table-header"><b>File Code</b></td>';
		$table .= '			<td id="table-header"><b>Lawyer Name</b></td>';
		$table .= '			<td id="table-header"><b>Description</b></td>';
		$table .= '			<td id="table-header" width="80px" align="right"><b>Time</b></td>';
		$table .= '			<td id="table-header" width="80px" align="right"><b>Amount</b></td>';
		$table .= '		</tr>';

		$rowCnt = 0;
		if (is_resource($rec))
			$rowCnt = mysql_num_rows($rec);

		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			$totalBill = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$amount = doubleval($row[self::FD_RATE]) * doubleval($row[self::FD_TIME_SPENT]);
				$table .= '		 <tr id="'.$classRow.'">';
				$table .= '			<td id="table-row">'.$ctr.'</td>';
				$table .= '			<td id="table-row">'.date_format(date_create($row[self::FD_BILLING_DATE]), 'm/d/Y').'</td>';
				if ($fileId == '' || $fileId == 0)
				{
					$table .= '			<td>'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</td>';
				}
				$table .= '			<td id="table-row">'.$row[self::FD_FIRSTNAME].' '.$row[self::FD_LASTNAME].'</td>';
				$table .= '			<td id="table-row">'.$row[self::FD_WORK_DETAIL].'</td>';
				$table .= '			<td id="table-row" align="right">'.number_format($row[self::FD_TIME_SPENT], 2).'</td>';
				$table .= '			<td id="table-row" align="right">'.number_format($amount, 2).'</td>';
				$table .= '		 </tr>';
				$ctr++;
				$totalTime += doubleval($row[self::FD_TIME_SPENT]);
				$totalBill += $amount;
			}

			$totals = $this->getWorkDetailsTotal($clientId, $fileId, $startDate, $endDate);

			$table .= '		 <tr id="table-header">';
			if ($fileId == '' || $fileId == 0)
				$table .= '			<td colspan="5" id="table-header"><b>Sub-Total</b></td>';
			else
				$table .= '			<td colspan="4" id="table-header"><b>Sub-Total</b></td>';
			$table .= '			<td align="right" id="table-header"><b>'.number_format($totalTime, 2).'</b></td>';
			$table .= '			<td align="right" id="table-header"><b>'.number_format($totalBill, 2).'</b></td>';
			$table .= '		 </tr>';

			$table .= '		 <tr id="table-header">';
			if ($fileId == '' || $fileId == 0)
				$table .= '			<td colspan="5" id="table-header"><b>Total</b></td>';
			else
				$table .= '			<td colspan="4" id="table-header"><b>Total</b></td>';
			$table .= '			<td align="right" id="table-header"><b>'.number_format($totals['time_spent'], 2).'</b></td>';
			$table .= '			<td align="right" id="table-header"><b>'.number_format($totals['amount'], 2).'</b></td>';
			$table .= '		 </tr>';

		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td colspan="7" align="center"><i>--No Work Details--</i></td>';
			$table .= '		 </tr>';
		}
		$table .= '</table>';

		return $nav.$table.$nav;
	}

	function getUserWorkDetailsTotal($fileId, $clientId, $userId, $startDate, $endDate)
	{
		$sql = 'SELECT SUM(time_spent) AS time_spent, SUM(rate * time_spent) AS amount FROM '.self::VIEWNAME_LIST.' WHERE '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		if ($userId != '' && $userId != 0)
		{
			$sql .= ' AND user_id = '.intval($user_id).' ';
		}
		if ($fileId != '' && $fileId != 0)
		{
			$sql .= ' AND file_id = '.intval($fileId).' ';
		}
		if ($clientId != '' && $clientId != 0)
		{
			$sql .= ' AND client_id = '.intval($clientId).' ';
		}

		$rec = $this->Db->selectDatafromDB($sql);

		if (!is_resource($rec))
			return array('time_spent'=>0, 'amount'=>0);

		$row = mysql_fetch_array($rec, MYSQL_ASSOC);
		return $row;
	}

	function getUserWorkDetailsTotalBackup($fileId, $userId, $clientId, $startDate, $endDate)
	{
		$sql = 'SELECT SUM(time_spent) AS time_spent, SUM(rate * time_spent) AS amount FROM '.self::VIEWNAME_LIST.' WHERE user_id = '.intval($userId).' AND file_id = '.intval($fileId).' AND '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');

		if ($fileId != '' && $fileId != '0')
			$sql .= ' AND file_id = '.intval($fileId);

		$rec = $this->Db->selectDatafromDB($sql);

		if (!is_resource($rec))
			return array('time_spent'=>0, 'amount'=>0);

		$row = mysql_fetch_array($rec, MYSQL_ASSOC);
		return $row;
	}

	public function getUserWorkDetails($page=1, $fileId=0, $clientId=0, $userId=NULL, $startDate=NULL, $endDate=NULL, $report = true)
	{
		$cond = self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		if ($fileId != '' && $fileId != 0)
		{
			$cond .= ' AND file_id = '.intval($fileId);
		}
		if ($clientId != '' && $clientId != 0)
		{
			$cond .= ' AND client_id = '.intval($clientId);
		}
		if (!is_null($userId) && $userId != '' && $userId != 0)
		{
			$cond .= ' AND user_id = '.intval($userId);
		}
		$arrSQL = array();
		$arrSQL['fields'] = implode(', ', array('*'));
		$arrSQL['table'] = self::VIEWNAME_LIST;
		$arrSQL['cond'] = $cond;
		$arrSQL['order'] = 'billing_date DESC';
		$pager = new PS_Pagination($this->Db->dbConnectionID, $arrSQL, self::LISTVIEW_LIMIT, 3, '', $page);
		$pager->setActionEvent(true, 'events(\'changePage\', '.PS_Pagination::PAGE_TAG.')');
		$rec = $pager->paginate();
		$pages = $pager->renderFullNav();
		$nav = '	<div id="page_holder">';
		$nav .= '		<table width="100%" cellpadding="5" cellspacing="10">';
		$nav .= '			<tr>';
		$nav .= '				<td align="right">'.$pages.'</td>';
		$nav .= '			</tr>';
		$nav .= '		</table>';

		$table = '<div class= "table">';
		$table .= '		<div class="tr">';
		$my_list = 'my_list';
		if ($report){
			$my_list = 'my_list_report';
			$table .= '			<div class="th '.$my_list.'" id="table-header"><b>Lawyer</b></div>';
		}
		$table .= '			<div class="th '.$my_list.'" id="table-header"><b>Date</b></div>';
		$table .= '			<div class="th '.$my_list.'" id="table-header"><b>JEM Code</b></div>';
		$table .= '			<div class="th '.$my_list.'" id="table-header"><b>Task Code&nbsp;&nbsp;</b></div>';
		$table .= '			<div class="th '.$my_list.'" id="table-header"><b>Description</b></div>';
		$table .= '			<div class="th '.$my_list.'" id="table-header"><b>Rate</b></div>';
		$table .= '			<div class="th '.$my_list.'" id="table-header"><b>Time</b></div>';
		$table .= '			<div class="th '.$my_list.'" id="table-header"><b>Amount</b></div>';
		$table .= '			<div class="th '.$my_list.'" id="table-header"><b>Billable</b></div>';
		$table .= '		</div>';

		$rowCnt = 0;
		if (is_resource($rec))
			$rowCnt = mysql_num_rows($rec);


		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			$totalBill = 0;
			$taskCodes = FileBillingClass::getTaskCodes();
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$amount = doubleval($row[self::FD_RATE]) * doubleval($row[self::FD_TIME_SPENT]);
				$billable = ($row['task_type'] == 1) ? 'Y' : 'N';
				$table .= '		 <div class="tr" id="'.$classRow.'">';
				if ($report)
					$table .= '			<div class="td '.$my_list.'" id="table-row" ><span>Lawyer : </span>'.$row['username'].'</div>';
				$table .= '			<div class="td '.$my_list.'" id="table-row"><span>Date : </span>'.date_format(date_create($row[self::FD_BILLING_DATE]), 'm/d/Y').'</div>';
				$table .= '			<div class="td '.$my_list.'" id="table-row"><span>JEM Code : </span>'.$row['jem_code'].'</div>';
				$table .= '			<div class="td '.$my_list.'" id="table-row" ><span>Task Code : </span>'.$taskCodes[$row['task_code']].'</div>';
				$table .= '			<div class="td '.$my_list.'" id="table-row"><span>Description : </span>'.$row[self::FD_WORK_DETAIL].'</div>';
				$table .= '			<div class="td '.$my_list.' compute_m" id="table-row" ><span>Rate : </span>'.number_format($row[self::FD_RATE], 2).'</div>';
				$table .= '			<div class="td '.$my_list.' compute_m" id="table-row" ><span>Time : </span>'.number_format($row[self::FD_TIME_SPENT], 2).'</div>';
				$table .= '			<div class="td '.$my_list.' compute_m" id="table-row" ><span>Amount : </span>'.number_format($amount, 2).'</div>';
				$table .= '			<div class="td '.$my_list.' center_m billable" id="table-row" ><span>Billable : </span>'.$billable.'</div>';
				$table .= '		 </div>';
				$ctr++;
				$totalTime += doubleval($row[self::FD_TIME_SPENT]);
				$totalBill += $amount;
			}
			$table .= '		 <div class="tr total" id="table-header">';
			if ($report)
				$table .= '			<div class="td '.$my_list.' hide_m" id="table-header">&nbsp;</div>';
			$table .= '			<div class="td '.$my_list.' hide_m" id="table-header">&nbsp;</div>';
			$table .= '			<div class="td '.$my_list.' hide_m" id="table-header">&nbsp;</div>';
			$table .= '			<div class="td '.$my_list.' hide_m" id="table-header">&nbsp;</div>';
			$table .= '			<div class="td '.$my_list.' hide_m" id="table-header">&nbsp;</div>';
			$table .= '			<div class="td '.$my_list.'" id="table-header"><b>Sub Total</b></div>';
			$table .= '			<div class="td '.$my_list.' compute_m" id="table-header" ><b><span>&nbsp;&nbsp;&nbsp;Time : </span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.number_format($totalTime, 2).'</b></div>';
			$table .= '			<div class="td '.$my_list.' compute_m" id="table-header" ><b><span>&nbsp;&nbsp;&nbsp;Amount : </span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.number_format($totalBill, 2).'</b></div>';
			$table .= '		 </div>';

			$totals = $this->getUserWorkDetailsTotal($fileId, $clientId, $userId, $startDate, $endDate);
			$table .= '		 <div class="tr total" id="table-header">';
			if ($report)
				$table .= '			<div class="td '.$my_list.' hide_m" id="table-header">&nbsp;</div>';
			$table .= '			<div class="td '.$my_list.' hide_m" id="table-header">&nbsp;</div>';
			$table .= '			<div class="td '.$my_list.' hide_m" id="table-header">&nbsp;</div>';
			$table .= '			<div class="td '.$my_list.' hide_m" id="table-header">&nbsp;</div>';
			$table .= '			<div class="td '.$my_list.' hide_m" id="table-header">&nbsp;</div>';
			$table .= '			<div class="td '.$my_list.'" id="table-header"><b>Total</b></div>';
			$table .= '			<div class="td '.$my_list.' compute_m" id="table-header" ><b><span>&nbsp;&nbsp;&nbsp;Time : </span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.number_format($totals['time_spent'], 2).'</b></div>';
			$table .= '			<div class="td '.$my_list.' compute_m" id="table-header" ><b><span>&nbsp;&nbsp;&nbsp;Amount : </span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.number_format($totals['amount'], 2).'</b></div>';
			$table .= '		 </div>';
		}
		else
		{
			$table .= '		 <div class="tr">';
			$table .= '			<div class="td" align="center"><i>--NO RECORD TO BE DISPLAYED--</i></div>';
			$table .= '		 </div>';
		}
		$table .= '</div>';

		return $nav.$table.$nav;
	}
	function getNameFromNumber($num) {
	    $numeric = $num % 26;
	    $letter = chr(65 + $numeric);
	    $num2 = intval($num / 26);
	    if ($num2 > 0) {
	        return FileBillingClass::getNameFromNumber($num2 - 1) . $letter;
	    } else {
	        return $letter;
	    }
	}
	public function getPayrollReport($page, $userId=NULL, $startDate=NULL, $endDate=NULL)
	{
		//billable
		//here jet
		$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE task_type = 1';
		if (!is_null($userId) && $userId != '' && $userId != 0)
		{
			$sql .= ' AND user_id = '.intval($userId);
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' AND '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}
		$sql .= ' ORDER BY billing_date ASC';
		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);
		$rowCntB = mysql_num_rows($rec);
		$userIds = $clientIds = array();
		if ($rowCntB > 0)
		{
			while($record = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$billables[date("Y-m-d", strtotime($record['billing_date']))][] = array('file_id' => $record['file_id'],
																						'username' => $record['username'],
																						'client_id' => $record['client_id'],
																						'jem_code' => $record['jem_code'],
																						'task_code' => $record['task_code'],
																						'details' => $record['work_detail'],
																						'time' => $record['time_spent'],
																							);
				$clientIds[$record['client_id']] =$record['client_id'];
			}
		}
		//non-billable
		$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE task_type = 2'; //non-billable
		if (!is_null($userId) && $userId != '' && $userId != 0)
		{
			$sql .= ' AND user_id = '.intval($userId);
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' AND '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}
		$sql .= ' ORDER BY billing_date ASC';

		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);
		$rowCntNB = mysql_num_rows($rec);
		$userIds = array();
		if ($rowCntNB > 0)
		{
			while($record = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$nonBillables[date("Y-m-d", strtotime($record['billing_date']))][] = array('file_id' => $record['file_id'],
																						'username' => $record['username'],
																						'client_id' => $record['client_id'],
																						'jem_code' => $record['jem_code'],
																						'task_code' => $record['task_code'],
																						'details' => $record['work_detail'],
																						'time' => $record['time_spent'],
																							);
				$clientIds[$record['client_id']] =$record['client_id'];
			}
		}
		if (count($clientIds) > 0)
		{
			$sqlC = 'SELECT client_name, client_id FROM client_info_tbl WHERE client_id IN ('.implode(',',$clientIds).')';
			$db = new MSSQLDatabase();
			$recC = $db->selectDatafromDB($sqlC);
			while($recordC = mysql_fetch_array($recC, MYSQL_ASSOC))
				$clientDetails[$recordC['client_id']] = $recordC['client_name'];
		}
		$table = '<div class="legend_holder"><h5>Billable Work:</h5></div><div class="payroll_report text-center"><table>';
		$table .= '		<tr class="">';
		$table .= '			<th id="table-header"><b>Client Name</b></th>';
		$table .= '			<th id="table-header"><b>JEM Code</b></th>';
		$table .= '			<th id="table-header"><b>Task Code</b></th>';
		$table .= '			<th id="table-header"><b>Description</b></th>';
		$range = ((strtotime($endDate) - strtotime($startDate)) / 86400) + 1;
		$date = strtotime($startDate);
		$days = 0;
		for($x = 1; $x <= $range; $x++)
		{
			 $table .= '			<th id="table-header"><b>'.date("m/d", $date).'</b></th>';
			if (((date('w', $date) >=1) and (date('w', $date) <= 5)) and (FileBillingClass::isHoliday(date("Y-m-d", $date)) > 0)) //weekends and holidays
				$days++;
			$date = strtotime("+1 day", $date);
		}
		$table .= '		</tr>';
		if ($rowCntB > 0)
		{
			$taskCodes = FileBillingClass::getTaskCodes();
			$date = $startDate;
			for($x = 1; $x <= $range; $x++)
			{
				$totalTime = 0;
				if (isset($billables[$date]))
				{
					$v = $billables[$date];
					foreach($v as $key =>$value)
					{
						$classRow = (($ctr % 2) == 0 ) ? "table-row2" : "table-row1";
						$table .= '		 <tr id="'.$classRow.'">';
						$table .= '			<td class="" id="table-row">'.$clientDetails[$value['client_id']].'</td>';
						$table .= '			<td class="" id="table-row">'.$value['jem_code'].'</td>';
						$table .= '			<td class="" id="table-row" align="center">'.$taskCodes[$value['task_code']].'</td>';
						$table .= '			<td class="" id="table-row">'.$value['details'].'</td>';
						$frontRange = ((strtotime($date) - strtotime($startDate)) / 86400);
						$backRange = ((strtotime($endDate) - strtotime($date)) / 86400);
						for($y =1; $y <=$frontRange; $y++)
							$table .= '			<td class="" id="table-row">&nbsp;</td>';
						$table .= '			<td class="" id="table-row">'.number_format($value['time'], 2).'</td>';
						for($y =1; $y <=$backRange; $y++)
							$table .= '			<td class="" id="table-row">&nbsp;</td>';
						$table .= '		 </tr>';
						$totalTime += $value['time'];
					}
				}
				$totalB[$date] = $totalTime;
				$date = date("Y-m-d", strtotime("+1 day", strtotime($date)));
			}
			$table .= '		 <tr id="'.$classRow.'">';
			$table .= '			<td class="" id="table-row"><strong>SUB-TOTAL<strong></td>';
			$table .= '			<td class="" id="table-row">&nbsp;</td>';
			$table .= '			<td class="" id="table-row">&nbsp;</td>';
			$table .= '			<td class="" id="table-row">&nbsp;</td>';
			foreach($totalB as $k => $v)
			{
				$table .= '			<td class="" id="table-row"><strong>'.number_format($v, 2).'</strong></td>';
			}
			$table .= '		 </tr>';
		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td colspan="'.$range.'"><i>--NO RECORD TO BE DISPLAYED--</i></td>';
			$table .= '		 </tr>';
		}
		$table .= '</table></div>';
		$table .= '<div class="legend_holder"><h5>Non-billable Work:</h5></div><div class="payroll_report text-center"><table>';
		$table .= '		<tr class="">';
		$table .= '			<th id="table-header"><b>Client Name</b></th>';
		$table .= '			<th id="table-header"><b>JEM Code</b></th>';
		$table .= '			<th id="table-header"><b>Task Code</b></th>';
		$table .= '			<th id="table-header"><b>Description</b></th>';
		$range = ((strtotime($endDate) - strtotime($startDate)) / 86400) + 1;
		$date = strtotime($startDate);
		$days = 0;
		for($x = 1; $x <= $range; $x++)
		{
			 $table .= '			<th id="table-header"><b>'.date("m/d", $date).'</b></th>';
			if (((date('w', $date) >=1) and (date('w', $date) <= 5)) and (FileBillingClass::isHoliday(date("Y-m-d", $date)) > 0)) //weekends and holidays
				$days++;
			$date = strtotime("+1 day", $date);
		}
		$table .= '		</tr>';
		if ($rowCntNB > 0)
		{
			$taskCodes = FileBillingClass::getTaskCodes();
			$date = $startDate;
			for($x = 1; $x <= $range; $x++)
			{
				$totalTime = 0;
				if (isset($nonBillables[$date]))
				{
					$v = $nonBillables[$date];
					foreach($v as $key =>$value)
					{
						$classRow = (($ctr % 2) == 0 ) ? "table-row2" : "table-row1";
						$table .= '		 <tr id="'.$classRow.'">';
						$table .= '			<td class="" id="table-row">'.$clientDetails[$value['client_id']].'</td>';
						$table .= '			<td class="" id="table-row">'.$value['jem_code'].'</td>';
						$table .= '			<td class="" id="table-row" align="center">'.$taskCodes[$value['task_code']].'</td>';
						$table .= '			<td class="" id="table-row">'.$value['details'].'</td>';
						$frontRange = ((strtotime($date) - strtotime($startDate)) / 86400);
						$backRange = ((strtotime($endDate) - strtotime($date)) / 86400);
						for($y =1; $y <=$frontRange; $y++)
							$table .= '			<td class="" id="table-row">&nbsp;</td>';
						$table .= '			<td class="" id="table-row">'.number_format($value['time'], 2).'</td>';
						for($y =1; $y <=$backRange; $y++)
							$table .= '			<td class="" id="table-row">&nbsp;</td>';
						$table .= '		 </tr>';
						$totalTime += $value['time'];
					}
				}
				$totalNB[$date] = $totalTime;
				$date = date("Y-m-d", strtotime("+1 day", strtotime($date)));
			}
			$table .= '		 <tr id="'.$classRow.'">';
			$table .= '			<td class="" id="table-row" colspan=3><strong>SUB-TOTAL</strong></td>';
			$table .= '			<td class="" id="table-row">&nbsp;</td>';
			$table .= '			<td class="" id="table-row">&nbsp;</td>';
			$table .= '			<td class="" id="table-row">&nbsp;</td>';
			foreach($totalNB as $k => $v)
			{
				$table .= '			<td class="" id="table-row"><strong>'.number_format($v, 2).'</strong></td>';
			}
			$table .= '		 </tr>';
			$table .= '		 <tr id="'.$classRow.'">';
			$table .= '			<td class="" id="table-row" colspan=3><strong>TOTAL</strong></td>';
			$table .= '			<td class="" id="table-row">&nbsp;</td>';
			$table .= '			<td class="" id="table-row">&nbsp;</td>';
			$table .= '			<td class="" id="table-row">&nbsp;</td>';
			foreach($totalNB as $k => $v)
			{
				$gTotal = doubleval($v) + doubleval($totalB[$k]);
				$table .= '			<td class="" id="table-row"><strong>'.number_format($gTotal, 2).'</strong></td>';
			}
			$table .= '		 </tr>';
		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td align="center" colspan="'.$range.'"><i>--NO RECORD TO BE DISPLAYED--</i></td>';
			$table .= '		 </tr>';
		}
		$table .= '</table></div>';

		return $table;
	}


	public function getClientReportDetails($page=1, $clientId, $fileId=0, $startDate=NULL, $endDate=NULL)
	{

		$cond = self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		if ($fileId != '' && $fileId != 0)
		{
			$cond .= ' AND file_id = '.intval($fileId);
		}
		if (!is_null($clientId) && $clientId != '')
		{
			$cond .= ' AND client_id = '.intval($clientId);
		}

		$arrSQL = array();
		$arrSQL['fields'] = '*';
		$arrSQL['table'] = self::VIEWNAME_LIST;
		$arrSQL['cond'] = $cond;
		$arrSQL['order'] = 'billing_date DESC, file_type, file_number';
		$pager = new PS_Pagination($this->Db->dbConnectionID, $arrSQL, self::LISTVIEW_LIMIT, 3, '', $page);
		$pager->setActionEvent(true, 'events(\'changePage\', '.PS_Pagination::PAGE_TAG.')');
		$rec = $pager->paginate();
		$pages = $pager->renderFullNav();
		$nav = '		<table width="100%" cellpadding="5" cellspacing="10">';
		$nav .= '			<tr>';
		$nav .= '				<td align="right">'.$pages.'</td>';
		$nav .= '			</tr>';
		$nav .= '		</table>';
		$table = '<table width="100%" id="billing-list-table" cellpadding="0" cellspacing="0" style="border: solid 1px #3c546d; padding:5px 2px 2px 2px;">';
		$table .= '		<tr id="table-header">';
		$table .= '			<td id="table-header"><b>No</b></td>';
		$table .= '			<td id="table-header"><b>Date</b></td>';
		if ($fileId == '' || $fileId == 0)
			$table .= '			<td id="table-header"><b>File Code</b></td>';
		if ($clientId == '' || $clientId == 0)
			$table .= '			<td id="table-header"><b>Client</b></td>';
		$table .= '			<td id="table-header"><b>Lawyer Name</b></td>';
		$table .= '			<td id="table-header" width="80px" align="right"><b>Time</b></td>';
		$table .= '			<td id="table-header" width="80px" align="right"><b>Amount</b></td>';
		$table .= '		</tr>';

		$rowCnt = 0;
		if (is_resource($rec))
			$rowCnt = mysql_num_rows($rec);

		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			$totalBill = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$amount = doubleval($row[self::FD_RATE]) * doubleval($row[self::FD_TIME_SPENT]);
				$table .= '		 <tr id="'.$classRow.'">';
				$table .= '			<td id="table-row">'.$ctr.'</td>';
				$table .= '			<td id="table-row">'.date_format(date_create($row[self::FD_BILLING_DATE]), 'm/d/Y').'</td>';
				if ($fileId == '' || $fileId == 0)
				{
					$table .= '			<td>'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</td>';
				}
				if ($clientId == '' || $clientId == 0)
				{
					$table .= '			<td id="table-row">'.$this->getClientName($row[self::FD_CLIENT_ID]).'</td>';
				}
				$table .= '			<td id="table-row">'.$row[self::FD_FIRSTNAME].' '.$row[self::FD_LASTNAME].'</td>';
				$table .= '			<td id="table-row" align="right">'.number_format($row[self::FD_TIME_SPENT], 2).'</td>';
				$table .= '			<td id="table-row" align="right">'.number_format($amount, 2).'</td>';
				$table .= '		 </tr>';
				$ctr++;
				$totalTime += doubleval($row[self::FD_TIME_SPENT]);
				$totalBill += $amount;
			}

			$totals = $this->getClientReportsTotal($clientId, $fileId, $startDate, $endDate);

			$table .= '		 <tr id="table-header">';
			if (($fileId == '' || $fileId == 0) && ($clientId == '' || $clientId == 0))
				$table .= '			<td colspan="5" id="table-header"><b>Sub-Total</b></td>';
			else if ($fileId == '' || $fileId == 0)
				$table .= '			<td colspan="4" id="table-header"><b>Sub-Total</b></td>';
			else
				$table .= '			<td colspan="3" id="table-header"><b>Sub-Total</b></td>';
			$table .= '			<td align="right" id="table-header"><b>'.number_format($totalTime,2).'</b></td>';
			$table .= '			<td align="right" id="table-header"><b>'.number_format($totalBill, 2).'</b></td>';
			$table .= '		 </tr>';

			$table .= '		 <tr id="table-header">';
			if (($fileId == '' || $fileId == 0) && ($clientId == '' || $clientId == 0))
				$table .= '			<td colspan="5" id="table-header"><b>Total</b></td>';
			else if ($fileId == '' || $fileId == 0)
				$table .= '			<td colspan="4" id="table-header"><b>Total</b></td>';
			else
				$table .= '			<td colspan="3" id="table-header"><b>Total</b></td>';
			$table .= '			<td align="right" id="table-header"><b>'.number_format($totals['time_spent'], 2).'</b></td>';
			$table .= '			<td align="right" id="table-header"><b>'.number_format($totals['amount'], 2).'</b></td>';
			$table .= '		 </tr>';

		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td colspan="7" align="center"><i>--No Work Details--</i></td>';
			$table .= '		 </tr>';
		}
		$table .= '</table>';

		return $nav.$table.$nav;
	}


	public function getClientReportSummary($page=1, $clientId, $fileId=NULL, $startDate=NULL, $endDate=NULL)
	{
		$sql = 'SELECT *, CONCAT ('.self::FD_FIRSTNAME.', '.self::FD_LASTNAME.'), '.self::FD_TIME_SPENT.', SUM( '.self::FD_TIME_SPENT.') AS totaltime, SUM('.self::FD_RATE.' * '.self::FD_TIME_SPENT.')  AS totalamount FROM '.self::VIEWNAME_LIST.' WHERE ';
		if ($fileId != '' && $fileId != 0)
		{
			$sql .= 'file_id = '.intval($fileId).' AND ';
		}
		if (!is_null($clientId) && $clientId != '')
		{
			$sql .= 'client_id = '.intval($clientId).' AND ';
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' billing_date BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}

		$sql .= ' GROUP BY user_id ORDER BY billing_date DESC';

		$rec = $this->Db->selectDatafromDB($sql);


		$table = '<table width="100%" id="billing-list-table" border="0" cellpadding="0" cellspacing="0" style="border: solid 1px #3c546d;padding-top:35px;">';
		$table .= '		<tr id="table-header">';
		$table .= '		<td id="table-header" colspan="6"><b>SUMMARY</b></td>';
		$table .= '		</tr>';
		$table .= '		<tr id="table-header">';
		$table .= '			<td id="table-header" colspan="4"></td>';
		$table .= '			<td id="table-header" align="center"><b>Total Time</b></td>';
		$table .= '			<td id="table-header" align="center"><b>Total Amount</b></td>';
		$table .= '		</tr>';


		$rowCnt = mysql_num_rows($rec);


		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			$totalBill = 0;

			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$amount =  doubleval($row['totalamount']);
				$table .= '		 <tr id="'.$classRow.'">';
				$table .= '			<td id="table-row" colspan="4">'.$row[self::FD_FIRSTNAME].' '.$row[self::FD_LASTNAME].'</td>';
 			    $table .= '			<td id="table-row" align="right">'.number_format($row['totaltime'], 2).'</td>';
				$table .= '			<td id="table-row"align="right">'.number_format($amount, 2).'</td>';
				$table .= '		 </tr>';
				$ctr++;
				$totalTime += doubleval($row['totaltime']);
				$totalBill += $amount;
			}
			$table .= '		 <tr id="table-header">';
			$table .= '			<td id="table-header" colspan="4"><b>Total</b></td>';
			$table .= '			<td id="table-header" align="right"><b>'.number_format($totalTime, 2).'</b></td>';
			$table .= '			<td id="table-header" align="right"><b>'.number_format($totalBill, 2).'</b></td>';
			$table .= '		 </tr>';
		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td colspan="6" align="center"><i>--No Work Details--</i></td>';
			$table .= '		 </tr>';
		}


		return $table;
	}

	public function getLawyerReportDetails($page=1, $userId, $fileId=0, $startDate=NULL, $endDate=NULL)
	{

		$cond = self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		if ($fileId != '' && $fileId != 0)
		{
			$cond .= ' AND file_id = '.intval($fileId);
		}
		if (!is_null($userId) && $userId != '')
		{
			$cond .= ' AND user_id = '.intval($userId);
		}

		$arrSQL = array();
		$arrSQL['fields'] = '*';
		$arrSQL['table'] = self::VIEWNAME_LIST;
		$arrSQL['cond'] = $cond;
		$arrSQL['order'] = 'billing_date DESC, file_type, file_number';
		$pager = new PS_Pagination($this->Db->dbConnectionID, $arrSQL, self::LISTVIEW_LIMIT, 3, '', $page);
		$pager->setActionEvent(true, 'events(\'changePage\', '.PS_Pagination::PAGE_TAG.')');
		$rec = $pager->paginate();
		$pages = $pager->renderFullNav();
		$nav = '		<table width="100%" cellpadding="5" cellspacing="10">';
		$nav .= '			<tr>';
		$nav .= '				<td align="right">'.$pages.'</td>';
		$nav .= '			</tr>';
		$nav .= '		</table>';
		$table = '<table width="100%" id="billing-list-table" cellpadding="0" cellspacing="0" style="border: solid 1px #3c546d; padding:5px 2px 2px 2px;">';
		$table .= '		<tr id="table-header">';
		$table .= '			<td id="table-header"><b>No</b></td>';
		$table .= '			<td id="table-header"><b>Date</b></td>';
		$table .= '			<td id="table-header"><b>File Code</b></td>';
		$table .= '			<td id="table-header"><b>Description</b></td>';
		$table .= '			<td id="table-header"><b>Lawyer Name</b></td>';
		$table .= '			<td id="table-header" width="80px" align="right"><b>Time</b></td>';
		$table .= '			<td id="table-header" width="80px" align="right"><b>Rate</b></td>';
		$table .= '			<td id="table-header" width="80px" align="right"><b>Amount</b></td>';
		$table .= '		</tr>';

		$rowCnt = 0;
		if (is_resource($rec))
			$rowCnt = mysql_num_rows($rec);

		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			$totalBill = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$amount = doubleval($row[self::FD_RATE]) * doubleval($row[self::FD_TIME_SPENT]);
				$table .= '		 <tr id="'.$classRow.'">';
				$table .= '			<td id="table-row">'.$ctr.'</td>';
				$table .= '			<td id="table-row">'.date_format(date_create($row[self::FD_BILLING_DATE]), 'm/d/Y').'</td>';
				$table .= '			<td>'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</td>';
				$table .= '			<td id="table-row">'.$row[self::FD_WORK_DETAIL].'</td>';
				$table .= '			<td id="table-row">'.$row[self::FD_FIRSTNAME].' '.$row[self::FD_LASTNAME].'</td>';
				$table .= '			<td id="table-row" align="right">'.number_format($row[self::FD_TIME_SPENT], 2).'</td>';
				$table .= '			<td id="table-row" align="right">'.$row[self::FD_RATE].'</td>';
				$table .= '			<td id="table-row" align="right">'.number_format($amount, 2).'</td>';
				$table .= '		 </tr>';
				$ctr++;
				$totalTime += doubleval($row[self::FD_TIME_SPENT]);
				$totalBill += $amount;
			}

			$totals = $this->getLawyerReportsTotal($userId, $fileId, $startDate, $endDate);

			$table .= '		 <tr id="table-header">';
			$table .= '			<td colspan="5" id="table-header"><b>Sub-Total</b></td>';
			$table .= '			<td align="right" id="table-header"><b>'.number_format($totalTime, 2).'</b></td>';
			$table .= '			<td align="right" id="table-header"></td>';
			$table .= '			<td align="right" id="table-header"><b>'.number_format($totalBill, 2).'</b></td>';
			$table .= '		 </tr>';

			$table .= '		 <tr id="table-header">';
			$table .= '			<td colspan="5" id="table-header"><b>Total</b></td>';
			$table .= '			<td align="right" id="table-header"><b>'.number_format($totals['time_spent'], 1).'</b></td>';
			$table .= '			<td align="right" id="table-header"></td>';
			$table .= '			<td align="right" id="table-header"><b>'.number_format($totals['amount'], 2).'</b></td>';
			$table .= '		 </tr>';

		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td colspan="7" align="center"><i>--No Work Details--</i></td>';
			$table .= '		 </tr>';
		}
		$table .= '</table>';

		return $nav.$table.$nav;
	}

	public static function exportWorkDetails($clientId, $fileId=NULL, $startDate=NULL, $endDate=NULL)
	{
		$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE ';

		if ($fileId != '' && $fileId != 0)
		{
			$sql .= 'file_id = '.intval($fileId).' AND ';
		}
		if ($clientId != '' && $clientId != 0)
		{
			$sql .= 'client_id = '.intval($clientId).' AND ';
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' billing_date BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}


		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);

		$stRptHdLbl = 'style="font-weight:bold;padding: 2px 5px 2px 5px;font-size:18px;font-family:Arial, Helvetica, sans-serif;color:#333"';
		$stRptHd2Lbl = 'style="font-weight:bold;padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#333"';
		$stRptHd2Val = 'style="padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#333"';
		$stTabHd = 'style="font-weight:bold;padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#ffffff;background-color:#000000"';
		$stTabVal = 'style="padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#333"';

		$client = new ClientClass();
		$arrClient = $client->getClientInfo($clientId);

		$sDate = date_format(date_create($startDate), 'm/d/Y');
		$eDate = date_format(date_create($endDate), 'm/d/Y');
		if ($fileId != '' && $fileId != 0)
		{
			$file = new FileClass();
			$arrFile = $file->getFileInfo($fileId);
			$table = '<table style="width:1000px" border="1">';
			$table .= '		<tr>';
			$table .= '			<td colspan="6" '.$stRptHdLbl.'>Work Details Report</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Client:</td>';
			$table .= '			<td colspan="4" '.$stRptHd2Val.'>'.$arrClient['client_name'].'</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>File:</td>';
			$table .= '			<td colspan="4" '.$stRptHd2Val.'>'.$arrFile['file_type'].'.'.$arrFile['file_number'].'</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Case Name:</td>';
			$table .= '			<td colspan="4" '.$stRptHd2Val.'>'.$arrFile['file_name'].'</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Period:</td>';
			$table .= '			<td colspan="4" '.$stRptHd2Val.'>'.$sDate.' to '.$eDate.'</td>';
			$table .= '		</tr>';
			$table .= '		<tr><td colspan="6"></td></tr>';
			$table .= '		<tr>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>No</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Date</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Lawyer Name</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Description</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Time</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Rate</b></td>';
			$table .= '		</tr>';
		}
		else
		{
			$table = '<table style="width:1000px" border="1">';
			$table .= '		<tr>';
			$table .= '			<td colspan="7" '.$stRptHdLbl.'>Work Details Report</td>';
			$table .= '		</tr>';
			$table .= '		<tr><td colspan="7"></td></tr>';
/*			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Client:</td>';
			$table .= '			<td colspan="5" '.$stRptHd2Val.'>'.$arrClient['client_name'].'</td>';
			$table .= '		</tr>';*/
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Period:</td>';
			$table .= '			<td colspan="4" '.$stRptHd2Val.'>'.$sDate.' to '.$eDate.'</td>';
			$table .= '		</tr>';
			$table .= '		<tr><td colspan="7"></td></tr>';
			$table .= '		<tr>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>No</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Date</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>File Code</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Lawyer Name</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Description</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Time</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Rate</b></td>';
			$table .= '		</tr>';
		}

		$rowCnt = mysql_num_rows($rec);

		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			$totalBill = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}

				$amount = doubleval($row[self::FD_RATE]) * doubleval($row[self::FD_TIME_SPENT]);
				$table .= '		 <tr id="'.$classRow.'">';
				$table .= '			<td '.$stTabVal.'>'.$ctr.'</td>';
				$table .= '			<td '.$stTabVal.'>'.date_format(date_create($row[self::FD_BILLING_DATE]), 'm/d/Y').'</td>';
				if ($fileId == '' || $fileId == 0)
				{
					$table .= '			<td '.$stTabVal.'>'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</td>';
				}
				$table .= '			<td '.$stTabVal.'>'.$row[self::FD_FIRSTNAME].' '.$row[self::FD_LASTNAME].'</td>';
				$table .= '			<td '.$stTabVal.'>'.$row[self::FD_WORK_DETAIL].'</td>';
				$table .= '			<td align="right" '.$stTabVal.'>'.number_format($row[self::FD_TIME_SPENT], 2).'</td>';
				$table .= '			<td align="right" '.$stTabVal.'>'.number_format($amount, 2).'</td>';
				$table .= '		 </tr>';
				$ctr++;
				$totalTime += doubleval($row[self::FD_TIME_SPENT]);
				$totalBill += $amount;
			}
			$table .= '		 <tr id="table-footer">';
			if ($fileId == '' || $fileId == 0)
				$table .= '			<td colspan="5"><b>Total</b></td>';
			else
				$table .= '			<td colspan="4"><b>Total</b></td>';
			$table .= '			<td align="right"><font color="#FF0000"><b>'.number_format($totalTime, 2).'</b></font></td>';
			$table .= '			<td align="right"><font color="#FF0000"><b>'.number_format($totalBill, 2).'</b></font></td>';
			$table .= '		 </tr>';
			if ($fileId == '' || $fileId == 0)
				$table .= '<tr id="table-footer"><td colspan="7">&nbsp;</td></tr>';
			else
				$table .= '<tr id="table-footer"><td colspan="6">&nbsp;</td></tr>';
		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td colspan="7" align="center"><i>--No Work Details--</i></td>';
			$table .= '		 </tr>';
			$table .= '<tr id="table-footer"><td colspan="7">&nbsp;</td></tr>';
		}
		$table .= '</table>';

		return $table;
	}
	/*MAU EDITED 05062016*/
	public static function exportUserWorkDetails($fileId, $userId=NULL, $startDate=NULL, $endDate=NULL, $clientId)
	{
		if ($fileId == '')
		{
			$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE 1';
		}
		else
		{
			$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE file_id = '.intval($fileId);
		}
		if (!is_null($clientId) && $clientId != '')
		{
			$sql .= ' AND client_id = '.intval($clientId);
		}
		if (!is_null($userId) && $userId != '')
		{
			$sql .= ' AND user_id = '.intval($userId);
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' AND '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}

		$sql .= ' ORDER BY billing_date DESC';
		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);

		Kernel::includeObject('lib/includes/PHPExcel');
		$client = new ClientClass();
		$objPHPExcel = new PHPExcel();
		// START CHART HERE
			$style = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT
					),
				'font'  => array(
			        'size'  => 12,
			        'name'  => 'Century Gothic',
			        'bold' => true
			        )
			);
			$styleTableHeader = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
				'font'  => array(
			        'name'  => 'Century Gothic',
			        'bold' => true
			        )
			);
			$styleAlignCenter = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
			);
			$styleAlignRight = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT
					),
			);
		$styleTableBorder = array(
			'borders' => array(
			'allborders' => array(
              'style' => PHPExcel_Style_Border::BORDER_THIN
				)
			)
		);
		$row = 1;
		foreach(range('A','U') as $columnID)
		    $objPHPExcel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
		$users  = new UserClass();
		$userDetails = $users->getUserInfo($userId);
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $userDetails['firstname'].' '.$userDetails['lastname']);
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':F'.$row);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
		$row++;
		if ($clientId != 0)
		{
			$clientRow = 'Time Charges for '.FileBillingClass::getClientName($clientId);
			$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $clientRow);
			$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':F'.$row);
			$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
			$row++;
		}
		if ($fileId != 0)
		{
			$file = new FileClass();
			$jemDetails = $file->getFileInfo($fileId);
			$jemRow = $jemDetails['file_jem_no'].' : '.$jemDetails['short_title'];
			$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $jemRow);
			$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':F'.$row);
			$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
			$row++;
		}
		$date = 'Period: '.date('F d, Y', strtotime($startDate)). " - " .date('F d, Y', strtotime($endDate));
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $date);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':F'.$row);
		$row++;
		$startRow = $row;
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'Client Name');
		$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, 'JEM Code');
		$objPHPExcel->getActiveSheet()->SetCellValue('C'.$row, 'Task Code');
		$objPHPExcel->getActiveSheet()->SetCellValue('D'.$row, 'Description of Work');
		$objPHPExcel->getActiveSheet()->SetCellValue('E'.$row, 'Time Charges');
		$objPHPExcel->getActiveSheet()->SetCellValue('F'.$row, 'Date');
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':F'.$row)->applyFromArray($styleTableHeader);
		$row++;
		$rowCnt = mysql_num_rows($rec);
		if ($rowCnt > 0)
		{
			$ctr = 1;
			$timeTotal = 0;
			$taskCodes = FileBillingClass::getTaskCodes();
			while($record = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, FileBillingClass::getClientName($record['client_id']));
				$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, $record['jem_code'].' : '.$record['short_title']);
				$objPHPExcel->getActiveSheet()->SetCellValue('C'.$row, $taskCodes[$record['task_code']]);
				$objPHPExcel->getActiveSheet()->SetCellValue('D'.$row, $record['work_detail']);
				$objPHPExcel->getActiveSheet()->SetCellValue('E'.$row, doubleval($record[self::FD_TIME_SPENT]));
				$objPHPExcel->getActiveSheet()->SetCellValue('F'.$row, date("d-F-Y", strtotime($record['billing_date'])));
				$objPHPExcel->getActiveSheet()->getStyle('E'.$row)->applyFromArray($styleAlignCenter);
				$objPHPExcel->getActiveSheet()->getStyle('F'.$row)->applyFromArray($styleAlignRight);
				$timeTotal += doubleval($record[self::FD_TIME_SPENT]);
				$row++;
			}
		}
		$endRow = $row-1;
		$objPHPExcel->getActiveSheet()->getStyle("A".$startRow.':F'.$endRow)->getBorders()->getAllBorders()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'TOTAL NO. OF HOURS');
		$objPHPExcel->getActiveSheet()->SetCellValue('E'.$row, $timeTotal);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':F'.$row)->applyFromArray($style);
		$objPHPExcel->getActiveSheet()->getStyle('E'.$row)->applyFromArray($styleAlignCenter);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':F'.$row)->getBorders()->getBottom()->setBorderStyle(PHPExcel_Style_Border::BORDER_DOUBLE );
		$name = 'My List.xlsx';
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="'.$name.'"');
		header('Cache-Control: max-age=0');

		// $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter->setIncludeCharts(TRUE);
		$objWriter->save('php://output');
		exit;
	}
	public static function exportTimeChargesReport($fileId, $userId=NULL, $startDate=NULL, $endDate=NULL, $clientId)
	{
		if ($fileId == '')
		{
			$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE 1';
		}
		else
		{
			$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE file_id = '.intval($fileId);
		}
		if (!is_null($clientId) && $clientId != '')
		{
			$sql .= ' AND client_id = '.intval($clientId);
		}
		if (!is_null($userId) && $userId != '')
		{
			$sql .= ' AND user_id = '.intval($userId);
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' AND '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}

		$sql .= ' ORDER BY billing_date DESC';
		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);

		Kernel::includeObject('lib/includes/PHPExcel');
		$client = new ClientClass();
		$objPHPExcel = new PHPExcel();
		// START CHART HERE
			$style = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT
					),
				'font'  => array(
			        'size'  => 12,
			        'name'  => 'Century Gothic',
			        'bold' => true
			        )
			);
			$styleTableHeader = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
				'font'  => array(
			        'name'  => 'Century Gothic',
			        'bold' => true
			        )
			);
			$styleAlignCenter = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
			);
			$styleAlignRight = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT
					),
			);
		$styleTableBorder = array(
			'borders' => array(
			'allborders' => array(
              'style' => PHPExcel_Style_Border::BORDER_THIN
				)
			)
		);
		$row = 1;
		foreach(range('A','U') as $columnID)
		    $objPHPExcel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
		$users  = new UserClass();
		$userDetails = $users->getUserInfo($userId);
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $userDetails['firstname'].' '.$userDetails['lastname']);
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':F'.$row);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
		$row++;
		if ($clientId != 0)
		{
			$clientRow = 'Time Charges for '.FileBillingClass::getClientName($clientId);
			$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $clientRow);
			$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':F'.$row);
			$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
			$row++;
		}
		if ($fileId != 0)
		{
			$file = new FileClass();
			$jemDetails = $file->getFileInfo($fileId);
			$jemRow = $jemDetails['file_jem_no'].' : '.$jemDetails['short_title'];
			$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $jemRow);
			$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':F'.$row);
			$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
			$row++;
		}
		$date = 'Period: '.date('F d, Y', strtotime($startDate)). " - " .date('F d, Y', strtotime($endDate));
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $date);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':F'.$row);
		$row++;
		$startRow = $row;
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'Client Name');
		$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, 'JEM Code');
		$objPHPExcel->getActiveSheet()->SetCellValue('C'.$row, 'Task Code');
		$objPHPExcel->getActiveSheet()->SetCellValue('D'.$row, 'Description of Work');
		$objPHPExcel->getActiveSheet()->SetCellValue('E'.$row, 'Time Charges');
		$objPHPExcel->getActiveSheet()->SetCellValue('F'.$row, 'Date');
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':F'.$row)->applyFromArray($styleTableHeader);
		$row++;
		$rowCnt = mysql_num_rows($rec);
		if ($rowCnt > 0)
		{
			$ctr = 1;
			$timeTotal = 0;
			$taskCodes = FileBillingClass::getTaskCodes();
			while($record = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, FileBillingClass::getClientName($record['client_id']));
				$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, $record['jem_code'].' : '.$record['short_title']);
				$objPHPExcel->getActiveSheet()->SetCellValue('C'.$row, $taskCodes[$record['task_code']]);
				$objPHPExcel->getActiveSheet()->SetCellValue('D'.$row, $record['work_detail']);
				$objPHPExcel->getActiveSheet()->SetCellValue('E'.$row, doubleval($record[self::FD_TIME_SPENT]));
				$objPHPExcel->getActiveSheet()->SetCellValue('F'.$row, date("d-F-Y", strtotime($record['billing_date'])));
				$objPHPExcel->getActiveSheet()->getStyle('E'.$row)->applyFromArray($styleAlignCenter);
				$objPHPExcel->getActiveSheet()->getStyle('F'.$row)->applyFromArray($styleAlignRight);
				$timeTotal += doubleval($record[self::FD_TIME_SPENT]);
				$row++;
			}
		}
		$endRow = $row-1;
		$objPHPExcel->getActiveSheet()->getStyle("A".$startRow.':F'.$endRow)->getBorders()->getAllBorders()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'TOTAL NO. OF HOURS');
		$objPHPExcel->getActiveSheet()->SetCellValue('E'.$row, $timeTotal);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':F'.$row)->applyFromArray($style);
		$objPHPExcel->getActiveSheet()->getStyle('E'.$row)->applyFromArray($styleAlignCenter);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':F'.$row)->getBorders()->getBottom()->setBorderStyle(PHPExcel_Style_Border::BORDER_DOUBLE );
		$name = 'Time Charges Report.xlsx';
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="'.$name.'"');
		header('Cache-Control: max-age=0');

		// $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter->setIncludeCharts(TRUE);
		$objWriter->save('php://output');
		exit;
	}

	public static function exportTimeChargesSummary($startDate=NULL, $endDate=NULL)
	{
		$sql = 'SELECT sum(time_spent) as totalTimeSpent, client_id, client_name FROM '.self::VIEWNAME_LIST.' WHERE 1';
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' AND '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}
		$sql .= ' GROUP BY client_id order by client_name asc';
		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);

		Kernel::includeObject('lib/includes/PHPExcel');
		$client = new ClientClass();
		$objPHPExcel = new PHPExcel();
		// START CHART HERE
			$style = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT
					),
				'font'  => array(
			        'size'  => 12,
			        'name'  => 'Century Gothic',
			        'bold' => true
			        )
			);
			$styleTableHeader = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
				'font'  => array(
			        'name'  => 'Century Gothic',
			        'bold' => true
			        )
			);
			$styleAlignCenter = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
			);
			$styleAlignRight = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT
					),
			);
		$styleTableBorder = array(
			'borders' => array(
			'allborders' => array(
	    		'style' => PHPExcel_Style_Border::BORDER_THIN
				)
			)
		);
		$row = 1;
		$objPHPExcel->setActiveSheetIndex(0);
		$activeSheet = $objPHPExcel->getActiveSheet();
		$activeSheet->setTitle('CLIENTS');
		foreach(range('A','U') as $columnID)
		    $objPHPExcel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'TIME CHARGES SUMMARY');
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':B'.$row);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($styleAlignCenter);
		$row++;
		$date = 'Period: '.date('F d, Y', strtotime($startDate)). " - " .date('F d, Y', strtotime($endDate));
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $date);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':B'.$row);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($styleAlignCenter);
		$row++;
		$startRow = $row;
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'Client Name');
		$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, 'Time');
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':B'.$row)->applyFromArray($styleTableHeader);
		$row++;
		$rowCnt = mysql_num_rows($rec);
		if ($rowCnt > 0)
		{
			$ctr = 1;
			$timeTotal = 0;
			while($record = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $record['client_name']);
				$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, number_format($record['totalTimeSpent'], 2));
				$objPHPExcel->getActiveSheet()->getStyle('B'.$row)->applyFromArray($styleAlignCenter);
				$objPHPExcel->getActiveSheet()->getStyle('B'.$row)->applyFromArray($styleAlignRight);
				$timeTotal += doubleval($record['totalTimeSpent']);
				$row++;
			}
		}
		$endRow = $row-1;
		$objPHPExcel->getActiveSheet()->getStyle("A".$startRow.':B'.$endRow)->getBorders()->getAllBorders()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'TOTAL NO. OF HOURS');
		$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, number_format($timeTotal, 2));
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':B'.$row)->applyFromArray($style);
		$objPHPExcel->getActiveSheet()->getStyle('B'.$row)->applyFromArray($styleAlignCenter);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':B'.$row)->getBorders()->getBottom()->setBorderStyle(PHPExcel_Style_Border::BORDER_DOUBLE );
		/*=======================================================================================================================*/
		$objPHPExcel->createSheet();
		$objPHPExcel->setActiveSheetIndex(1);
		$activeSheet = $objPHPExcel->getActiveSheet();
		$activeSheet->setTitle('JEMS');
		$sql = 'SELECT sum(time_spent) as totalTimeSpent, client_id, file_id, jem_code, short_title, client_name  FROM '.self::VIEWNAME_LIST.' WHERE 1';
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' AND '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}
		$sql .= ' GROUP BY file_id order by client_name asc, jem_code asc';
		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);
		$row = 1;
		foreach(range('A','U') as $columnID)
		    $activeSheet->getColumnDimension($columnID)->setAutoSize(true);
		$activeSheet->SetCellValue('A'.$row, 'TIME CHARGES SUMMARY');
		$activeSheet->mergeCells('A'.$row.':D'.$row);
		$activeSheet->getStyle("A".$row)->applyFromArray($style);
		$activeSheet->getStyle("A".$row)->applyFromArray($styleAlignCenter);
		$row++;
		$date = 'Period: '.date('F d, Y', strtotime($startDate)). " - " .date('F d, Y', strtotime($endDate));
		$activeSheet->SetCellValue('A'.$row, $date);
		$activeSheet->getStyle("A".$row)->applyFromArray($style);
		$activeSheet->mergeCells('A'.$row.':D'.$row);
		$activeSheet->getStyle("A".$row)->applyFromArray($styleAlignCenter);
		$row++;
		$startRow = $row;
		$activeSheet->SetCellValue('A'.$row, 'Client Name');
		$activeSheet->SetCellValue('B'.$row, 'Time');
		$activeSheet->SetCellValue('C'.$row, 'JEM');
		$activeSheet->SetCellValue('D'.$row, 'Time');
		$activeSheet->getStyle("A".$row.':D'.$row)->applyFromArray($styleTableHeader);
		$row++;
		$rowCnt = mysql_num_rows($rec);
		if ($rowCnt > 0)
		{
			$ctr = 1;
			$timeTotal = 0;
			$taskCodes = FileBillingClass::getTaskCodes();
			$totalPerClient = array(); $client_id = 0;
			while($record = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				if ($client_id != $record['client_id']){
					$activeSheet->SetCellValue('A'.$row, $record['client_name']);
					$client_id = $record['client_id'];
				}
				$activeSheet->SetCellValue('C'.$row, $record['jem_code']);
				$activeSheet->SetCellValue('D'.$row, number_format($record['totalTimeSpent'],2));
				$activeSheet->getStyle('B'.$row)->applyFromArray($styleAlignCenter);
				$activeSheet->getStyle('D'.$row)->applyFromArray($styleAlignCenter);
				$timeTotal += doubleval($record['totalTimeSpent']);
				if (isset($totalPerClient[$record['client_id']]))
					$totalPerClient[$record['client_id']]['time'] += number_format($record['totalTimeSpent'],2);
				else {
					$totalPerClient[$record['client_id']]['time'] = number_format($record['totalTimeSpent'],2);
				}
				if (!isset($totalPerClient[$record['client_id']]['start']))
					$totalPerClient[$record['client_id']]['start'] = $row;
				$totalPerClient[$record['client_id']]['end'] = $row;
				$row++;
			}
		}
		if (count($totalPerClient) > 0)
		{
			foreach($totalPerClient as $k => $v){
				$activeSheet->SetCellValue('B'.$v['start'], number_format($v['time'], 2));
				$activeSheet->mergeCells('A'.$v['start'].':A'.$v['end']);
				$activeSheet->mergeCells('B'.$v['start'].':B'.$v['end']);
				$activeSheet->getStyle('A'.$v['start'].':A'.$v['end'])->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
				$activeSheet->getStyle('B'.$v['start'].':B'.$v['end'])->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
			}
		}
		$endRow = $row-1;
		$activeSheet->getStyle("A".$startRow.':D'.$endRow)->getBorders()->getAllBorders()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
		$activeSheet->SetCellValue('A'.$row, 'TOTAL NO. OF HOURS');
		$activeSheet->SetCellValue('B'.$row, number_format($timeTotal,2));
		$activeSheet->SetCellValue('D'.$row, number_format($timeTotal,2));
		$activeSheet->getStyle("A".$row.':D'.$row)->applyFromArray($style);
		$activeSheet->getStyle('B'.$row)->applyFromArray($styleAlignCenter);
		$activeSheet->getStyle('D'.$row)->applyFromArray($styleAlignCenter);
		$activeSheet->getStyle("A".$row.':D'.$row)->getBorders()->getBottom()->setBorderStyle(PHPExcel_Style_Border::BORDER_DOUBLE );
		/*=======================================================================================================================*/
		$objPHPExcel->createSheet();
		$objPHPExcel->setActiveSheetIndex(2);
		$activeSheet = $objPHPExcel->getActiveSheet();
		$activeSheet->setTitle('LAWYERS');
		$sql = 'SELECT sum(time_spent) as totalTimeSpent, client_id, file_id, jem_code, user_id, short_title, client_name, client_code, lastname, firstname  FROM '.self::VIEWNAME_LIST.' WHERE 1';
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' AND '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}
		$sql .= ' GROUP BY client_id, file_id, user_id order by client_name asc, jem_code asc, lastname asc';
		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);
		$row = 1; $users  = new UserClass();
		foreach(range('A','U') as $columnID)
		    $activeSheet->getColumnDimension($columnID)->setAutoSize(true);
		$activeSheet->SetCellValue('A'.$row, 'TIME CHARGES SUMMARY');
		$activeSheet->mergeCells('A'.$row.':F'.$row);
		$activeSheet->getStyle("A".$row)->applyFromArray($style);
		$activeSheet->getStyle("A".$row)->applyFromArray($styleAlignCenter);
		$row++;
		$date = 'Period: '.date('F d, Y', strtotime($startDate)). " - " .date('F d, Y', strtotime($endDate));
		$activeSheet->SetCellValue('A'.$row, $date);
		$activeSheet->getStyle("A".$row)->applyFromArray($style);
		$activeSheet->mergeCells('A'.$row.':F'.$row);
		$activeSheet->getStyle("A".$row)->applyFromArray($styleAlignCenter);
		$row++;
		$startRow = $row;
		$activeSheet->SetCellValue('A'.$row, 'Client Name');
		$activeSheet->SetCellValue('B'.$row, 'Time');
		$activeSheet->SetCellValue('C'.$row, 'JEM');
		$activeSheet->SetCellValue('D'.$row, 'Time');
		$activeSheet->SetCellValue('E'.$row, 'Lawyer');
		$activeSheet->SetCellValue('F'.$row, 'Time');
		$activeSheet->getStyle("A".$row.':F'.$row)->applyFromArray($styleTableHeader);
		$row++;
		$rowCnt = mysql_num_rows($rec);
		if ($rowCnt > 0)
		{
			$ctr = 1;
			$timeTotal = 0;
			$taskCodes = FileBillingClass::getTaskCodes();
			$totalPerClient = $totalPerJem = array(); $client_id = $file_id = 0;
			while($record = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				if ($client_id != $record['client_id']){
					$activeSheet->SetCellValue('A'.$row, $record['client_name']);
					$client_id = $record['client_id'];
				}
				if ($file_id != $record['file_id']){
					$activeSheet->SetCellValue('C'.$row, $record['jem_code']);
					$file_id = $record['file_id'];
				}
				$activeSheet->SetCellValue('E'.$row, $record['lastname'].', '.$record['firstname']);
				$activeSheet->SetCellValue('F'.$row, number_format($record['totalTimeSpent'], 2));
				$activeSheet->getStyle('B'.$row)->applyFromArray($styleAlignCenter);
				$activeSheet->getStyle('D'.$row)->applyFromArray($styleAlignCenter);
				$activeSheet->getStyle('F'.$row)->applyFromArray($styleAlignCenter);
				$timeTotal += doubleval($record['totalTimeSpent']);
				if (isset($totalPerClient[$record['client_id']]))
					$totalPerClient[$record['client_id']]['time'] += number_format($record['totalTimeSpent'],2);
				else {
					$totalPerClient[$record['client_id']]['time'] = number_format($record['totalTimeSpent'],2);
				}
				if (!isset($totalPerClient[$record['client_id']]['start']))
					$totalPerClient[$record['client_id']]['start'] = $row;
				$totalPerClient[$record['client_id']]['end'] = $row;
				if (isset($totalPerJem[$record['file_id']]))
					$totalPerJem[$record['file_id']]['time'] += number_format($record['totalTimeSpent'],2);
				else {
					$totalPerJem[$record['file_id']]['time'] = number_format($record['totalTimeSpent'],2);
				}
				if (!isset($totalPerJem[$record['file_id']]['start']))
					$totalPerJem[$record['file_id']]['start'] = $row;
				$totalPerJem[$record['file_id']]['end'] = $row;
				$row++;
			}
		}
		if (count($totalPerClient) > 0)
		{
			foreach($totalPerClient as $k => $v){
				$activeSheet->SetCellValue('B'.$v['start'], number_format($v['time'],2));
				$activeSheet->mergeCells('A'.$v['start'].':A'.$v['end']);
				$activeSheet->mergeCells('B'.$v['start'].':B'.$v['end']);
				$activeSheet->getStyle('A'.$v['start'].':A'.$v['end'])->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
				$activeSheet->getStyle('B'.$v['start'].':B'.$v['end'])->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
			}
		}
		if (count($totalPerJem) > 0)
		{
			foreach($totalPerJem as $k => $v){
				$activeSheet->SetCellValue('D'.$v['start'], number_format($v['time'], 2));
				$activeSheet->mergeCells('C'.$v['start'].':C'.$v['end']);
				$activeSheet->mergeCells('D'.$v['start'].':D'.$v['end']);
				$activeSheet->getStyle('C'.$v['start'].':C'.$v['end'])->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
				$activeSheet->getStyle('D'.$v['start'].':D'.$v['end'])->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
			}
		}
		$endRow = $row-1;
		$activeSheet->getStyle("A".$startRow.':F'.$endRow)->getBorders()->getAllBorders()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
		$activeSheet->SetCellValue('A'.$row, 'TOTAL NO. OF HOURS');
		$activeSheet->SetCellValue('B'.$row, number_format($timeTotal,2));
		$activeSheet->SetCellValue('D'.$row, number_format($timeTotal,2));
		$activeSheet->SetCellValue('F'.$row, number_format($timeTotal,2));
		$activeSheet->getStyle("A".$row.':F'.$row)->applyFromArray($style);
		$activeSheet->getStyle('B'.$row)->applyFromArray($styleAlignCenter);
		$activeSheet->getStyle('D'.$row)->applyFromArray($styleAlignCenter);
		$activeSheet->getStyle('F'.$row)->applyFromArray($styleAlignCenter);
		$activeSheet->getStyle("A".$row.':F'.$row)->getBorders()->getBottom()->setBorderStyle(PHPExcel_Style_Border::BORDER_DOUBLE );
		/*=======================================================================================================================*/
		$objPHPExcel->createSheet();
		$objPHPExcel->setActiveSheetIndex(3);
		$activeSheet = $objPHPExcel->getActiveSheet();
		$activeSheet->setTitle('LAWYERS 2');
		$sql = 'SELECT sum(time_spent) as totalTimeSpent, client_id, file_id, jem_code, user_id, short_title, client_name, client_code, lastname, firstname  FROM '.self::VIEWNAME_LIST.' WHERE 1';
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' AND '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}
		$sql .= ' GROUP BY file_id, user_id order by lastname asc, jem_code asc';
		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);
		$row = 1; $users  = new UserClass();
		foreach(range('A','U') as $columnID)
		    $activeSheet->getColumnDimension($columnID)->setAutoSize(true);
		$activeSheet->SetCellValue('A'.$row, 'TIME CHARGES SUMMARY');
		$activeSheet->mergeCells('A'.$row.':D'.$row);
		$activeSheet->getStyle("A".$row)->applyFromArray($style);
		$activeSheet->getStyle("A".$row)->applyFromArray($styleAlignCenter);
		$row++;
		$date = 'Period: '.date('F d, Y', strtotime($startDate)). " - " .date('F d, Y', strtotime($endDate));
		$activeSheet->SetCellValue('A'.$row, $date);
		$activeSheet->getStyle("A".$row)->applyFromArray($style);
		$activeSheet->mergeCells('A'.$row.':D'.$row);
		$activeSheet->getStyle("A".$row)->applyFromArray($styleAlignCenter);
		$row++;
		$startRow = $row;
		$activeSheet->SetCellValue('A'.$row, 'Lawyer Name');
		$activeSheet->SetCellValue('B'.$row, 'Time');
		$activeSheet->SetCellValue('C'.$row, 'JEM');
		$activeSheet->SetCellValue('D'.$row, 'Time');
		$activeSheet->getStyle("A".$row.':D'.$row)->applyFromArray($styleTableHeader);
		$row++;
		$rowCnt = mysql_num_rows($rec);
		if ($rowCnt > 0)
		{
			$ctr = 1;
			$timeTotal = 0;
			$totalPerClient = $totalPerJem = array(); $user_id = $file_id = 0;
			while($record = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				if ($user_id != $record['user_id']){
					$activeSheet->SetCellValue('A'.$row, $record['lastname'].', '.$record['firstname']);
					$user_id = $record['user_id'];
				}
				if ($file_id != $record['file_id']){
					$activeSheet->SetCellValue('C'.$row, $record['jem_code']);
					$file_id = $record['file_id'];
				}
				$activeSheet->SetCellValue('D'.$row, number_format($record['totalTimeSpent'], 2));
				$activeSheet->getStyle('B'.$row)->applyFromArray($styleAlignCenter);
				$activeSheet->getStyle('D'.$row)->applyFromArray($styleAlignCenter);
				$timeTotal += doubleval($record['totalTimeSpent']);
				if (isset($totalPerClient[$record['user_id']]))
					$totalPerClient[$record['user_id']]['time'] += number_format($record['totalTimeSpent'],2);
				else {
					$totalPerClient[$record['user_id']]['time'] = number_format($record['totalTimeSpent'],2);
				}
				if (!isset($totalPerClient[$record['user_id']]['start']))
					$totalPerClient[$record['user_id']]['start'] = $row;
				$totalPerClient[$record['user_id']]['end'] = $row;
				$row++;
			}
		}
		if (count($totalPerClient) > 0)
		{
			foreach($totalPerClient as $k => $v){
				$activeSheet->SetCellValue('B'.$v['start'], number_format($v['time'],2));
				$activeSheet->mergeCells('A'.$v['start'].':A'.$v['end']);
				$activeSheet->mergeCells('B'.$v['start'].':B'.$v['end']);
				$activeSheet->getStyle('A'.$v['start'].':A'.$v['end'])->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
				$activeSheet->getStyle('B'.$v['start'].':B'.$v['end'])->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
			}
		}
		$endRow = $row-1;
		$activeSheet->getStyle("A".$startRow.':D'.$endRow)->getBorders()->getAllBorders()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
		$activeSheet->SetCellValue('A'.$row, 'TOTAL NO. OF HOURS');
		$activeSheet->SetCellValue('B'.$row, number_format($timeTotal,2));
		$activeSheet->SetCellValue('D'.$row, number_format($timeTotal,2));
		$activeSheet->getStyle("A".$row.':D'.$row)->applyFromArray($style);
		$activeSheet->getStyle('B'.$row)->applyFromArray($styleAlignCenter);
		$activeSheet->getStyle('D'.$row)->applyFromArray($styleAlignCenter);
		$activeSheet->getStyle("A".$row.':D'.$row)->getBorders()->getBottom()->setBorderStyle(PHPExcel_Style_Border::BORDER_DOUBLE );
		/*============================================================================================================*/
		$objPHPExcel->createSheet();
		$objPHPExcel->setActiveSheetIndex(4);
		$activeSheet = $objPHPExcel->getActiveSheet();
		$activeSheet->setTitle('SUMMARY');
		$sql = 'SELECT sum(time_spent) as totalTimeSpent, client_id, file_id, jem_code, user_id, short_title, rate, client_name, lastname, firstname, client_code  FROM '.self::VIEWNAME_LIST.' WHERE 1';
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' AND '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}
		$sql .= ' GROUP BY client_id, file_id, user_id, rate order by client_name asc, jem_code asc, lastname asc';
		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);
		$row = 1; $users  = new UserClass();
		foreach(range('A','U') as $columnID)
		    $activeSheet->getColumnDimension($columnID)->setAutoSize(true);
		$activeSheet->SetCellValue('A'.$row, 'TIME CHARGES SUMMARY');
		$activeSheet->mergeCells('A'.$row.':D'.$row);
		$activeSheet->getStyle("A".$row)->applyFromArray($style);
		$activeSheet->getStyle("A".$row)->applyFromArray($styleAlignCenter);
		$row++;
		$date = 'Period: '.date('F d, Y', strtotime($startDate)). " - " .date('F d, Y', strtotime($endDate));
		$activeSheet->SetCellValue('A'.$row, $date);
		$activeSheet->getStyle("A".$row)->applyFromArray($style);
		$activeSheet->mergeCells('A'.$row.':D'.$row);
		$activeSheet->getStyle("A".$row)->applyFromArray($styleAlignCenter);
		$row += 2;
		$rowCnt = mysql_num_rows($rec);
		$client = new ClientClass();
		if ($rowCnt > 0)
		{
			$ctr = 1;
			$timeTotal = 0;
			$taskCodes = FileBillingClass::getTaskCodes();
			$totalPerClient = $totalPerJem = array(); $client_id = $file_id = 0;
			while($record = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$arrClient = $client->getClientInfo($record['client_id']);
				$totalPerClient[$record['client_id']]['name'] = $arrClient['client_name'];
				$totalPerClient[$record['client_id']]['code'] = $arrClient['client_code'];
				$totalPerClient[$record['client_id']]['jems'][$record['file_id']]['jem'] = $record['jem_code'];
				$userDetails = $users->getUserInfo($record['user_id']);
				$totalPerClient[$record['client_id']]['jems'][$record['file_id']]['users'][$record['user_id']]['name'] = $userDetails['firstname'].' '.$userDetails['lastname'];
				$totalPerClient[$record['client_id']]['jems'][$record['file_id']]['users'][$record['user_id']]['rate'] =$record['rate'];
				$totalPerClient[$record['client_id']]['jems'][$record['file_id']]['users'][$record['user_id']]['time'] =$record['totalTimeSpent'];
			}
		}
		if (count($totalPerClient) > 0)
		{
			foreach($totalPerClient as $k => $v){
				$activeSheet->SetCellValue('A'.$row, 'Client');
				$activeSheet->SetCellValue('B'.$row, $v['name']);
				$activeSheet->mergeCells('B'.$row.':D'.$row);
				$activeSheet->getStyle("A".$row.':D'.$row)->applyFromArray($style);
				$row++;
				$activeSheet->SetCellValue('A'.$row, 'Code');
				$activeSheet->SetCellValue('B'.$row, $v['code']);
				$activeSheet->mergeCells('B'.$row.':D'.$row);
				$row +=2;
				foreach($v['jems'] as $k1 => $v1){
					$activeSheet->SetCellValue('A'.$row, 'JEM');
					$activeSheet->SetCellValue('B'.$row, $v1['jem']);
					$activeSheet->mergeCells('B'.$row.':D'.$row);
					$row++; $startRow = $row;
					$activeSheet->SetCellValue('A'.$row, 'Name');
					$activeSheet->SetCellValue('B'.$row, 'Time');
					$activeSheet->SetCellValue('C'.$row, 'Rate');
					$activeSheet->SetCellValue('D'.$row, 'Amount');
					$row++; $totalTime = $totalAmount = 0;
					foreach($v1['users'] as $k2 => $v2){
						$activeSheet->SetCellValue('A'.$row, $v2['name']);
						$activeSheet->SetCellValue('B'.$row, number_format($v2['time'], 2));
						$activeSheet->SetCellValue('C'.$row, number_format($v2['rate'], 2));
						$amount =  $v2['rate'] * $v2['time'];
						$activeSheet->SetCellValue('D'.$row, number_format($amount, 2));
						$row++;
						$totalTime += $v2['time'];
						$totalAmount += $amount;
					}
					$activeSheet->SetCellValue('A'.$row, 'TOTAL');
					$activeSheet->SetCellValue('B'.$row, number_format($totalTime,2));
					$activeSheet->SetCellValue('D'.$row, number_format($totalAmount,2));
					$activeSheet->getStyle("A".$startRow.':D'.$row)->getBorders()->getAllBorders()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
					$activeSheet->getStyle("A".$row.':D'.$row)->getBorders()->getBottom()->setBorderStyle(PHPExcel_Style_Border::BORDER_DOUBLE );
					$activeSheet->getStyle("A".$row.':D'.$row)->applyFromArray($style);
					$row +=2;
				}
			}
		}


		$name = 'Time Charges Summary Report.xlsx';
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="'.$name.'"');
		header('Cache-Control: max-age=0');

		// $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter->setIncludeCharts(TRUE);
		$objWriter->save('php://output');
		exit;
	}

	public static function exportTimeChargesReport003($fileId, $userId=NULL, $startDate=NULL, $endDate=NULL, $clientId)
	{
		if ($fileId == '')
		{
			$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE 1';
		}
		else
		{
			$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE file_id = '.intval($fileId);
		}
		if (!is_null($clientId) && $clientId != '')
		{
			$sql .= ' AND client_id = '.intval($clientId);
		}
		if (!is_null($userId) && $userId != '')
		{
			$sql .= ' AND user_id = '.intval($userId);
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' AND '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}

		$sql .= ' ORDER BY billing_date DESC';
		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);
		$rowCnt = mysql_num_rows($rec);
		$userIds = array();
		if ($rowCnt > 0)
		{
			while($record = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$userIds[$record['user_id']] = $record['user_id'];
			}
		}
		Kernel::includeObject('lib/includes/PHPExcel');
		$client = new ClientClass();
		$objPHPExcel = new PHPExcel();
		// START CHART HERE
			$style = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT
					),
				'font'  => array(
			        'size'  => 12,
			        'name'  => 'Century Gothic',
			        'bold' => true
			        )
			);
			$styleTitle = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
				'font'  => array(
			        'size'  => 16,
			        'name'  => 'Century Gothic',
			        'bold' => true
			        )
			);
			$styleTableHeader = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
				'font'  => array(
			        'name'  => 'Century Gothic',
			        'bold' => true
			        )
			);
			$styleAlignCenter = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
			);
			$styleAlignRight = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT
					),
			);
		$styleTableBorder = array(
			'borders' => array(
			'allborders' => array(
              'style' => PHPExcel_Style_Border::BORDER_THIN
				)
			)
		);
		$row = 1;
		foreach(range('A','U') as $columnID)
		    $objPHPExcel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'TIME CHARGES');
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':F'.$row);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($styleTitle);
		$row++;
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'CLIENT: '.FileBillingClass::getClientName($clientId));
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':F'.$row);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($styleTableHeader);
		$row++;
		$date = 'Period: '.date('F d, Y', strtotime($startDate)). " - " .date('F d, Y', strtotime($endDate));
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $date);
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':F'.$row);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($styleTableHeader);
		$row+=2;
		foreach($userIds as $k => $v)
		{
			if ($fileId == '')
			{
				$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE 1';
			}
			else
			{
				$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE file_id = '.intval($fileId);
			}
			if (!is_null($clientId) && $clientId != '')
			{
				$sql .= ' AND client_id = '.intval($clientId);
			}
			$sql .= ' AND user_id = '.intval($v);
			if (!is_null($startDate) && !is_null($endDate))
			{
				$sql .= ' AND '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
			}
			$sql .= ' ORDER BY billing_date DESC';
			$db = new MSSQLDatabase();
			$rec = $db->selectDatafromDB($sql);
			$users  = new UserClass();
			$userDetails = $users->getUserInfo($v);
			$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $userDetails['firstname'].' '.$userDetails['lastname']);
			$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':F'.$row);
			$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
			$row++;
			if ($clientId != 0)
			{
				$clientRow = 'Time Charges for '.FileBillingClass::getClientName($clientId);
				$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $clientRow);
				$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':F'.$row);
				$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
				$row++;
			}
			$date = 'Period: '.date('F d, Y', strtotime($startDate)). " - " .date('F d, Y', strtotime($endDate));
			$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $date);
			$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
			$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':F'.$row);
			$row++;
			$startRow = $row;
			$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'Client Name');
			$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, 'JEM Code');
			$objPHPExcel->getActiveSheet()->SetCellValue('C'.$row, 'Task Code');
			$objPHPExcel->getActiveSheet()->SetCellValue('D'.$row, 'Description of Work');
			$objPHPExcel->getActiveSheet()->SetCellValue('E'.$row, 'Time Charges');
			$objPHPExcel->getActiveSheet()->SetCellValue('F'.$row, 'Date');
			$objPHPExcel->getActiveSheet()->getStyle("A".$row.':F'.$row)->applyFromArray($styleTableHeader);
			$row++;
			$rowCnt = mysql_num_rows($rec);
			if ($rowCnt > 0)
			{
				$ctr = 1;
				$timeTotal = 0;
				$taskCodes = FileBillingClass::getTaskCodes();
				while($record = mysql_fetch_array($rec, MYSQL_ASSOC))
				{
					$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, FileBillingClass::getClientName($record['client_id']));
					$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, $record['jem_code'].' : '.$record['short_title']);
					$objPHPExcel->getActiveSheet()->SetCellValue('C'.$row, $taskCodes[$record['task_code']]);
					$objPHPExcel->getActiveSheet()->SetCellValue('D'.$row, $record['work_detail']);
					$objPHPExcel->getActiveSheet()->SetCellValue('E'.$row, doubleval($record[self::FD_TIME_SPENT]));
					$objPHPExcel->getActiveSheet()->SetCellValue('F'.$row, date("d-F-Y", strtotime($record['billing_date'])));
					$objPHPExcel->getActiveSheet()->getStyle('E'.$row)->applyFromArray($styleAlignCenter);
					$objPHPExcel->getActiveSheet()->getStyle('F'.$row)->applyFromArray($styleAlignRight);
					$timeTotal += doubleval($record[self::FD_TIME_SPENT]);
					$row++;
				}
			}
			$endRow = $row-1;
			$objPHPExcel->getActiveSheet()->getStyle("A".$startRow.':F'.$endRow)->getBorders()->getAllBorders()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
			$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'TOTAL NO. OF HOURS');
			$objPHPExcel->getActiveSheet()->SetCellValue('E'.$row, $timeTotal);
			$objPHPExcel->getActiveSheet()->getStyle("A".$row.':F'.$row)->applyFromArray($style);
			$objPHPExcel->getActiveSheet()->getStyle('E'.$row)->applyFromArray($styleAlignCenter);
			$objPHPExcel->getActiveSheet()->getStyle("A".$row.':F'.$row)->getBorders()->getBottom()->setBorderStyle(PHPExcel_Style_Border::BORDER_DOUBLE );
			$row +=2;
		}
		$name = 'Time Charges Report.xlsx';
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="'.$name.'"');
		header('Cache-Control: max-age=0');

		// $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter->setIncludeCharts(TRUE);
		$objWriter->save('php://output');
		exit;
	}
	private function isHoliday($date)
	{
		$sql = 'SELECT * FROM holidays_tbl WHERE holiday_date = "'.$date.'" and active = 1';
		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);
		$rowCnt = mysql_num_rows($rec);
		return $rowCnt;
	}

	public static function exportPayrollReport($userId=NULL, $startDate=NULL, $endDate=NULL)
	{
		//billable
		$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE task_type = 1';
		if (!is_null($userId) && $userId != '' && $userId != 0)
		{
			$sql .= ' AND user_id = '.intval($userId);
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' AND '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}
		$sql .= ' ORDER BY billing_date ASC';

		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);
		$rowCnt = mysql_num_rows($rec);
		$userIds = array();
		if ($rowCnt > 0)
		{
			while($record = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$billables[date("Y-m-d", strtotime($record['billing_date']))][] = array('file_id' => $record['file_id'],
																						'username' => $record['username'],
																						'client_id' => $record['client_id'],
																						'jem_code' => $record['jem_code'],
																						'task_code' => $record['task_code'],
																						'details' => $record['work_detail'],
																						'time' => $record['time_spent'],
																							);
			}
		}

		//non-billable
		$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE task_type = 2';
		if (!is_null($userId) && $userId != '' && $userId != 0)
		{
			$sql .= ' AND user_id = '.intval($userId);
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' AND '.self::FD_BILLING_DATE.' BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}
		$sql .= ' ORDER BY billing_date ASC';

		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);
		$rowCnt = mysql_num_rows($rec);
		$userIds = array();
		if ($rowCnt > 0)
		{
			while($record = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$nonBillables[date("Y-m-d", strtotime($record['billing_date']))][] = array('file_id' => $record['file_id'],
																						'username' => $record['username'],
																						'client_id' => $record['client_id'],
																						'jem_code' => $record['jem_code'],
																						'task_code' => $record['task_code'],
																						'details' => $record['work_detail'],
																						'time' => $record['time_spent'],
																							);
			}
		}
		Kernel::includeObject('lib/includes/PHPExcel');
		$client = new ClientClass();
		$objPHPExcel = new PHPExcel();
			$style = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT
					),
				'font'  => array(
			        'size'  => 12,
			        'name'  => 'Century Gothic',
			        'bold' => true
			        )
			);
			$styleTitle = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
				'font'  => array(
			        'size'  => 16,
			        'name'  => 'Century Gothic',
			        'bold' => true
			        )
			);
			$styleTableHeader = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
				'font'  => array(
			        'name'  => 'Century Gothic',
			        'bold' => true
			        ),
				'fill' => array(
					'type' => PHPExcel_Style_Fill::FILL_SOLID,
					'color' => array('rgb' => 'F2F2F2')
					),
			);
			$styleTableHeaderHol = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
				'font'  => array(
			        'name'  => 'Century Gothic',
			        'bold' => true,
					'color' =>array('rgb' => 'FF0000'),
			        ),
				'fill' => array(
					'type' => PHPExcel_Style_Fill::FILL_SOLID,
					'color' => array('rgb' => 'F2F2F2')
					),
			);
			$styleAlignCenter = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
			);
			$styleAlignRight = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT
					),
			);
		$styleTableBorder = array(
			'borders' => array(
			'allborders' => array(
              'style' => PHPExcel_Style_Border::BORDER_THIN
				)
			)
		);
		$row = 1;
		foreach(range('A','U') as $columnID)
		    $objPHPExcel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
		$users  = new UserClass();
		$userDetails = $users->getUserInfo($userId);
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $userDetails['firstname'].' '.$userDetails['lastname']);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
		$row++;
		$date = 'Payroll Period: '.date('F d, Y', strtotime($startDate)). " - " .date('F d, Y', strtotime($endDate));
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $date);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
		$row++;
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'A. Billable Work');
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);

		$row++;
		$startRow = $row;
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'Client Name');
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, 'JEM Code');
		$objPHPExcel->getActiveSheet()->getStyle("B".$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->SetCellValue('C'.$row, 'Task Code');
		$objPHPExcel->getActiveSheet()->getStyle("C".$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->SetCellValue('D'.$row, 'Description of Work');
		$objPHPExcel->getActiveSheet()->getStyle("D".$row)->applyFromArray($styleTableHeader);
		$column = 4;
		$range = ((strtotime($endDate) - strtotime($startDate)) / 86400) + 1;
		$date = strtotime($startDate);
		$days = 0;
		for($x = 1; $x <= $range; $x++)
		{
			$objPHPExcel->getActiveSheet()->SetCellValue(FileBillingClass::getNameFromNumber($column).$row, date("m/d", $date));
			if (date('w', $date) == 0 or date('w', $date) == 6) //weekends
				$objPHPExcel->getActiveSheet()->getStyle(FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableHeaderHol);
			else if (FileBillingClass::isHoliday(date("Y-m-d", $date)) > 0) //holiday
				$objPHPExcel->getActiveSheet()->getStyle(FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableHeaderHol);
			else
			{
				$days++;
				$objPHPExcel->getActiveSheet()->getStyle(FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableHeader);
			}
			$column++;
			$date = strtotime("+1 day", $date);
		}
		$endColumn = $column;
		$endRow = $row;
		$objPHPExcel->getActiveSheet()->SetCellValue(FileBillingClass::getNameFromNumber($column).$row, 'TOTAL');
		$objPHPExcel->getActiveSheet()->getStyle(FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableHeader);
		$row++;
		$taskCodes = FileBillingClass::getTaskCodes();
		$cnt =0;
		$date = $startDate;
		$column = 4;
		for($x = 1; $x <= $range; $x++)
		{
			$totalTime = 0;
			if (isset($billables[$date]))
			{
				$v = $billables[$date];

				foreach($v as $key =>$value)
				{
					$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, FileBillingClass::getClientName($value['client_id']));
					$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, $value['jem_code']);
					$objPHPExcel->getActiveSheet()->SetCellValue('C'.$row, $taskCodes[$value['task_code']]);
					$objPHPExcel->getActiveSheet()->SetCellValue('D'.$row, $value['details']);
					$objPHPExcel->getActiveSheet()->SetCellValue(FileBillingClass::getNameFromNumber($column).$row, $value['time']);
					$objPHPExcel->getActiveSheet()->getStyle((FileBillingClass::getNameFromNumber($column).$row))->getNumberFormat()->setFormatCode('#,##0.00');
					$totalTime += doubleval($value['time']);
					$row++;
				}
				$cnt++;
			}
			$total[$date] = $totalTime;
			$date = date("Y-m-d", strtotime("+1 day", strtotime($date)));
			$column++;
		}
		$row +=2; $column = 4;$grandTotal = 0;
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':D'.$row);
		foreach($total as $k => $v)
		{
			$objPHPExcel->getActiveSheet()->SetCellValue((FileBillingClass::getNameFromNumber($column).$row), $v);
			$objPHPExcel->getActiveSheet()->getStyle((FileBillingClass::getNameFromNumber($column).$row))->getNumberFormat()->setFormatCode('#,##0.00');
			$column++;
			$grandTotal += doubleval($v);
		}
		$objPHPExcel->getActiveSheet()->SetCellValue((FileBillingClass::getNameFromNumber($column).$row), $grandTotal);
		$objPHPExcel->getActiveSheet()->getStyle((FileBillingClass::getNameFromNumber($column).$row))->getNumberFormat()->setFormatCode('#,##0.00');
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':'.FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':'.FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->getStyle("A".$startRow.':'.FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableBorder);
		//NON-BILLABLE
		$row+=2;
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'B. Non-Billable Work');
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($style);
		$startRow = $row++;
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'Client Name');
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, 'JEM Code');
		$objPHPExcel->getActiveSheet()->getStyle("B".$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->SetCellValue('C'.$row, 'Task Code');
		$objPHPExcel->getActiveSheet()->getStyle("C".$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->SetCellValue('D'.$row, 'Description of Work');
		$objPHPExcel->getActiveSheet()->getStyle("D".$row)->applyFromArray($styleTableHeader);
		$column = 4;
		$range = ((strtotime($endDate) - strtotime($startDate)) / 86400) + 1;
		$date = strtotime($startDate);
		for($x = 1; $x <= $range; $x++)
		{
			$objPHPExcel->getActiveSheet()->SetCellValue(FileBillingClass::getNameFromNumber($column).$row, date("m/d", $date));
			if (date('w', $date) == 0 or date('w', $date) == 6) //weekends
				$objPHPExcel->getActiveSheet()->getStyle(FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableHeaderHol);
			else if (FileBillingClass::isHoliday(date("Y-m-d", $date)) > 0) //holiday
				$objPHPExcel->getActiveSheet()->getStyle(FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableHeaderHol);
			else
				$objPHPExcel->getActiveSheet()->getStyle(FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableHeader);
			$column++;
			$date = strtotime("+1 day", $date);
		}
		$objPHPExcel->getActiveSheet()->SetCellValue(FileBillingClass::getNameFromNumber($column).$row, 'TOTAL');
		$objPHPExcel->getActiveSheet()->getStyle(FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->getStyle((FileBillingClass::getNameFromNumber($column).$row))->getNumberFormat()->setFormatCode('#,##0.00');
		$row++;
		$cnt =0;
		$date = $startDate;
		$column = 4;
		for($x = 1; $x <= $range; $x++)
		{
			$totalTime = 0;
			if (isset($nonBillables[$date]))
			{
				$v = $nonBillables[$date];

				foreach($v as $key =>$value)
				{
					$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, FileBillingClass::getClientName($value['client_id']));
					$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, $value['jem_code']);
					$objPHPExcel->getActiveSheet()->SetCellValue('C'.$row, $taskCodes[$value['task_code']]);
					$objPHPExcel->getActiveSheet()->SetCellValue('D'.$row, $value['details']);
					$objPHPExcel->getActiveSheet()->SetCellValue(FileBillingClass::getNameFromNumber($column).$row, $value['time']);
					$objPHPExcel->getActiveSheet()->getStyle((FileBillingClass::getNameFromNumber($column).$row))->getNumberFormat()->setFormatCode('#,##0.00');
					$totalTime += doubleval($value['time']);
					$row++;
				}
				$cnt++;
			}
			$totalNB[$date] = $totalTime;
			$date = date("Y-m-d", strtotime("+1 day", strtotime($date)));
			$column++;
		}
		$row +=2; $column = 4;$grandTotalNB = 0;
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':D'.$row);
		foreach($totalNB as $k => $v)
		{
			$objPHPExcel->getActiveSheet()->SetCellValue((FileBillingClass::getNameFromNumber($column).$row), $v);
			$objPHPExcel->getActiveSheet()->getStyle((FileBillingClass::getNameFromNumber($column).$row))->getNumberFormat()->setFormatCode('#,##0.00');
			$column++;
			$grandTotalNB += doubleval($v);
		}
		$objPHPExcel->getActiveSheet()->SetCellValue((FileBillingClass::getNameFromNumber($column).$row), $grandTotalNB);
		$objPHPExcel->getActiveSheet()->getStyle((FileBillingClass::getNameFromNumber($column).$row))->getNumberFormat()->setFormatCode('#,##0.00');
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':'.FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':'.FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->getStyle("A".$startRow.':'.FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableBorder);
		$row++; $column = 4;
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':D'.$row);
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'TOTAL');
		$grandPayroll = 0;
		foreach($total as $k => $v)
		{
			$gTotal = doubleval($v) + doubleval($totalNB[$k]);
			$objPHPExcel->getActiveSheet()->SetCellValue((FileBillingClass::getNameFromNumber($column).$row), $gTotal);
			$objPHPExcel->getActiveSheet()->getStyle((FileBillingClass::getNameFromNumber($column).$row))->getNumberFormat()->setFormatCode('#,##0.00');
			$column++;
			$grandPayroll += doubleval($gTotal);
		}
		$objPHPExcel->getActiveSheet()->SetCellValue((FileBillingClass::getNameFromNumber($column).$row), $grandPayroll);
		$objPHPExcel->getActiveSheet()->getStyle((FileBillingClass::getNameFromNumber($column).$row))->getNumberFormat()->setFormatCode('#,##0.00');
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':'.FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->getStyle("A".$row.':'.FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->getStyle("A".$startRow.':'.FileBillingClass::getNameFromNumber($column).$row)->applyFromArray($styleTableBorder);
		$newCol = ($endColumn - 2);
		$newRow = 1;
		$objPHPExcel->getActiveSheet()->SetCellValue((FileBillingClass::getNameFromNumber($newCol).$newRow), "$days days  x 8");
		$newCol+= 2;
		$objPHPExcel->getActiveSheet()->SetCellValue((FileBillingClass::getNameFromNumber($newCol).$newRow), ($days * 8));
		$newRow++;
		$newCol-=2;
		$objPHPExcel->getActiveSheet()->SetCellValue((FileBillingClass::getNameFromNumber($newCol).$newRow), "Total no. of hours");
		$newCol+= 2;
		$objPHPExcel->getActiveSheet()->SetCellValue((FileBillingClass::getNameFromNumber($newCol).$newRow), $grandPayroll);
		$newRow++;
		$objPHPExcel->getActiveSheet()->SetCellValue((FileBillingClass::getNameFromNumber($newCol).$newRow), $grandPayroll/($days * 8));
		/*START OF FOOTER*/
		$notedRow = $row;
		$row+=2;
		$notedRow+=2;
		$objPHPExcel->getActiveSheet()->SetCellValue("D".$notedRow, "Noted by: ");
		$notedRow+=2;
		$objPHPExcel->getActiveSheet()->SetCellValue("D".$notedRow, "Atty. Euney Marie J. Mata-Perez ");
		$notedRow++;
		$objPHPExcel->getActiveSheet()->SetCellValue("D".$notedRow, "Managing Partner");
		if ($_SESSION['access'] == 3) //secretary
		{
			$userId = $_SESSION['user_id'];
			$secDetails = $users->getUserInfo($userId);
			$objPHPExcel->getActiveSheet()->SetCellValue("A".$row, "Prepared by: ".$secDetails['username'].'/'.$userDetails['firstname'].' '.$userDetails['lastname']);
		}
		else
			$objPHPExcel->getActiveSheet()->SetCellValue("A".$row, "Prepared by: ".$userDetails['firstname'].' '.$userDetails['lastname']);
		/*END OF FOOTER*/
		$name = 'Payroll Report.xlsx';
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="'.$name.'"');
		header('Cache-Control: max-age=0');

		// $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter->setIncludeCharts(TRUE);
		$objWriter->save('php://output');
		exit;
	}

	/*MAU EDITED 05062016*/
	function getTaskCodes()
	{
		$db = new MSSQLDatabase();
		$sql = 'SELECT * FROM  task_codes_tbl ORDER BY task_code ASC';
		$rec = $db->selectDatafromDB($sql);
		$rowCnt = mysql_num_rows($rec);

		if ($rowCnt == 0)
		{
			return array();
		}

		$values = array();
		while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
		{
			$values[$row['task_code_id']] = $row['task_code'];
		}
		return $values;
	}
	function getClientName($name)
	{
		$db = new MSSQLDatabase();
		$sql = 'SELECT client_name FROM client_info_tbl WHERE client_id = '.$name;
		$rec = $db->selectDatafromDB($sql);
		$rowCnt = mysql_num_rows($rec);

		if ($rowCnt == 0)
		{
			return array();
		}

		$values = array();
		while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
		{
			$values = $row['client_name'];
		}
		return $values;
	}


	function getExportClientName($client)
	{
		$db = new MSSQLDatabase();
		$sql = 'SELECT client_name FROM client_info_tbl WHERE client_id = '.$client;
		$rec = $db->selectDatafromDB($sql);
		$rowCnt = mysql_num_rows($rec);

		if ($rowCnt == 0)
		{
			return array();
		}

		$values = array();
		while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
		{
			$values = $row['client_name'];
		}
		return $values;
	}

	public static function exportClientReport($clientId, $fileId=NULL, $startDate=NULL, $endDate=NULL)
	{
		$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE ';

		if ($fileId != '' && $fileId != 0)
		{
			$sql .= 'file_id = '.intval($fileId).' AND ';
		}
		if ($clientId != '' && $clientId != 0)
		{
			$sql .= 'client_id = '.intval($clientId).' AND ';
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' billing_date BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}


		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);

		$stRptHdLbl = 'style="font-weight:bold;padding: 2px 5px 2px 5px;font-size:18px;font-family:Arial, Helvetica, sans-serif;color:#333"';
		$stRptHd2Lbl = 'style="font-weight:bold;padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#333"';
		$stRptHd2Val = 'style="padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#333"';
		$stTabHd = 'style="font-weight:bold;padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#ffffff;background-color:#000000"';
		$stTabVal = 'style="padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#333"';

		$client = new ClientClass();
		$arrClient = $client->getClientInfo($clientId);


		$sDate = date_format(date_create($startDate), 'm/d/Y');
		$eDate = date_format(date_create($endDate), 'm/d/Y');
		if ($fileId != '' && $fileId != 0)
		{
			$file = new FileClass();
			$arrFile = $file->getFileInfo($fileId);
			$table = '<table style="width:1000px" border="1">';
			$table .= '		<tr>';
			$table .= '			<td colspan="5" '.$stRptHdLbl.'>Client Report</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Client:</td>';
			$table .= '			<td colspan="3" '.$stRptHd2Val.'>'.$arrClient['client_name'].'</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>File:</td>';
			$table .= '			<td colspan="3" '.$stRptHd2Val.'>'.$arrFile['file_type'].'.'.$arrFile['file_number'].'</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Case Name:</td>';
			$table .= '			<td colspan="3" '.$stRptHd2Val.'>'.$arrFile['file_name'].'</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Period:</td>';
			$table .= '			<td colspan="3" '.$stRptHd2Val.'>'.$sDate.' to '.$eDate.'</td>';
			$table .= '		</tr>';
			$table .= '		<tr><td colspan="5"></td></tr>';
			$table .= '		<tr>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>No</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Date</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Lawyer Name</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Time</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Rate</b></td>';
			$table .= '		</tr>';
		}
		else if ($clientId != '' && $clientId != 0)
		{
			$file = new FileClass();
			$arrFile = $file->getFileInfo($fileId);
			$client = new ClientClass();
			$arrClient = $client->getClientInfo($clientId);
			$table = '<table style="width:1000px" border="1">';
			$table .= '		<tr>';
			$table .= '			<td colspan="6" '.$stRptHdLbl.'>Client Report</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Client:</td>';
			$table .= '			<td colspan="4" '.$stRptHd2Val.'>'.$arrClient['client_name'].'</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Period:</td>';
			$table .= '			<td colspan="4" '.$stRptHd2Val.'>'.$sDate.' to '.$eDate.'</td>';
			$table .= '		</tr>';
			$table .= '		<tr><td colspan="6"></td></tr>';
			$table .= '		<tr>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>No</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Date</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>File Code</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Lawyer Name</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Time</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Rate</b></td>';
			$table .= '		</tr>';
		}
		else
		{
			$table = '<table style="width:1000px" border="1">';
			$table .= '		<tr>';
			$table .= '			<td colspan="7" '.$stRptHdLbl.'>Client Report</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Period:</td>';
			$table .= '			<td colspan="5" '.$stRptHd2Val.'>'.$sDate.' to '.$eDate.'</td>';
			$table .= '		</tr>';
			$table .= '		<tr><td colspan="7"></td></tr>';
			$table .= '		<tr>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>No</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Date</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>File Code</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Client</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Lawyer Name</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Time</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Rate</b></td>';
			$table .= '		</tr>';
		}


		$rowCnt = mysql_num_rows($rec);

		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			$totalBill = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{

				$clientname = FileBillingClass::getExportClientName($row[self::FD_CLIENT_ID]);
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}

				$amount = doubleval($row[self::FD_RATE]) * doubleval($row[self::FD_TIME_SPENT]);
				$table .= '		 <tr id="'.$classRow.'">';
				$table .= '			<td '.$stTabVal.'>'.$ctr.'</td>';
				$table .= '			<td '.$stTabVal.'>'.date_format(date_create($row[self::FD_BILLING_DATE]), 'm/d/Y').'</td>';
				if ($fileId == '' || $fileId == 0)
				{
					$table .= '			<td '.$stTabVal.'>'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</td>';
				}
				if ($clientId == '' || $clientId == 0)
				{
					$table .= '			<td '.$stTabVal.'>'.$clientname.'</td>';
				}
				$table .= '			<td '.$stTabVal.'>'.$row[self::FD_FIRSTNAME].' '.$row[self::FD_LASTNAME].'</td>';
				$table .= '			<td align="right" '.$stTabVal.'>'.number_format($row[self::FD_TIME_SPENT], 2).'</td>';
				$table .= '			<td align="right" '.$stTabVal.'>'.number_format($amount, 2).'</td>';
				$table .= '		 </tr>';
				$ctr++;
				$totalTime += doubleval($row[self::FD_TIME_SPENT]);
				$totalBill += $amount;
			}
			$table .= '		 <tr id="table-footer">';
			if (($fileId == '' || $fileId == 0) && ($clientId == '' || $clientId == 0))
				$table .= '			<td colspan="5"><b>Total</b></td>';
			else if ($fileId == '' || $fileId == 0)
				$table .= '			<td colspan="4"><b>Total</b></td>';
			else
				$table .= '			<td colspan="3"><b>Total</b></td>';
			$table .= '			<td align="right"><font color="#FF0000"><b>'.number_format($totalTime, 2).'</b></font></td>';
			$table .= '			<td align="right"><font color="#FF0000"><b>'.number_format($totalBill, 2).'</b></font></td>';
			$table .= '		 </tr>';
			if (($fileId == '' || $fileId == 0) && ($clientId == '' || $clientId == 0))
				$table .= '<tr id="table-footer"><td colspan="7">&nbsp;</td></tr>';
			else if ($fileId == '' || $fileId == 0)
				$table .= '<tr id="table-footer"><td colspan="6">&nbsp;</td></tr>';
			else
				$table .= '<tr id="table-footer"><td colspan="5">&nbsp;</td></tr>';
		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td colspan="7" align="center"><i>--No Work Details--</i></td>';
			$table .= '		 </tr>';
			$table .= '<tr id="table-footer"><td colspan="7">&nbsp;</td></tr>';
		}
		$table .= '</table>';

		return $table;
	}

	public function exportClientReportSummary($clientId, $fileId=NULL, $startDate=NULL, $endDate=NULL)
	{
		$sql = 'SELECT *, CONCAT ('.self::FD_FIRSTNAME.', '.self::FD_LASTNAME.'), '.self::FD_TIME_SPENT.', SUM( '.self::FD_TIME_SPENT.') AS totaltime, SUM('.self::FD_RATE.' * '.self::FD_TIME_SPENT.')  AS totalamount FROM '.self::VIEWNAME_LIST.' WHERE ';
		if ($fileId != '' && $fileId != 0)
		{
			$sql .= 'file_id = '.intval($fileId).' AND ';
		}
		if (!is_null($clientId) && $clientId != '')
		{
			$sql .= 'client_id = '.intval($clientId).' AND ';
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' billing_date BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}

		$sql .= ' GROUP BY user_id ORDER BY billing_date DESC';
		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);
		$stRptHdLbl = 'style="font-weight:bold;padding: 2px 5px 2px 5px;font-size:18px;font-family:Arial, Helvetica, sans-serif;color:#333"';
		$stRptHd2Lbl = 'style="font-weight:bold;padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#333"';
		$stRptHd2Val = 'style="padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#333"';
		$stTabHd = 'style="font-weight:bold;padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#ffffff;background-color:#000000"';
		$stTabVal = 'style="padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#333"';

		$table = '<table style="width:1000px" border="1">';
		$table .= '		<tr>';
		$table .= '		<td colspan="5" '.$stRptHd2Lbl.'><b>SUMMARY</b></td>';
		$table .= '		</tr>';
		$table .= '		<tr>';
		$table .= '			<td colspan="3"></td>';
		$table .= '			<td '.$stTabHd.'><b>Total Time</b></td>';
		$table .= '			<td '.$stTabHd.'><b>Total Amount</b></td>';
		$table .= '		</tr>';


		$rowCnt = mysql_num_rows($rec);


		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			$totalBill = 0;

			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{

				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}

				$amount = doubleval($row['totalamount']);
				$table .= '		 <tr>';
				$table .= '			<td colspan="3">'.$row[self::FD_FIRSTNAME].' '.$row[self::FD_LASTNAME].'</td>';
 			    $table .= '			<td align="right">'.number_format($row['totaltime'], 2).'</td>';
				$table .= '			<td align="right">'.number_format($amount, 2).'</td>';
				$table .= '		 </tr>';
				$ctr++;
				$totalTime += doubleval($row['totaltime']);
				$totalBill += $amount;
			}
			$table .= '		 <tr>';
			$table .= '			<td colspan="3"><b>Total</b></td>';
			$table .= '			<td align="right"><font color="#FF0000"><b>'.number_format($totalTime, 2).'</b></td>';
			$table .= '			<td align="right"><font color="#FF0000"><b>'.number_format($totalBill, 2).'</b></td>';
			$table .= '		 </tr>';
		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td colspan="6" align="center"><i>--No Work Details--</i></td>';
			$table .= '		 </tr>';
		}


		return $table;
	}

	public static function exportLawyerReport($userId, $fileId=NULL, $startDate=NULL, $endDate=NULL)
	{
		$sql = 'SELECT * FROM '.self::VIEWNAME_LIST.' WHERE ';

		if ($fileId != '' && $fileId != 0)
		{
			$sql .= ' file_id = '.intval($fileId).' AND ';
		}
		if ($userId != '' && $userId != 0)
		{
			$sql .= ' user_id = '.intval($userId).' AND ';
		}
		if (!is_null($startDate) && !is_null($endDate))
		{
			$sql .= ' billing_date BETWEEN '.dbString($startDate.' 00:00:00').' AND '.dbString($endDate.' 23:59:59');
		}

		$db = new MSSQLDatabase();
		$rec = $db->selectDatafromDB($sql);

		$stRptHdLbl = 'style="font-weight:bold;padding: 2px 5px 2px 5px;font-size:18px;font-family:Arial, Helvetica, sans-serif;color:#333"';
		$stRptHd2Lbl = 'style="font-weight:bold;padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#333"';
		$stRptHd2Val = 'style="padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#333"';
		$stTabHd = 'style="font-weight:bold;padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#ffffff;background-color:#000000"';
		$stTabVal = 'style="padding: 2px 5px 2px 5px;font-size:12px;font-family:Arial, Helvetica, sans-serif;color:#333"';

/*		$client = new ClientClass();
		$arrClient = $client->getClientInfo($clientId);*/

		$sDate = date_format(date_create($startDate), 'm/d/Y');
		$eDate = date_format(date_create($endDate), 'm/d/Y');
		if ($fileId != '' && $fileId != 0)
		{
			$file = new FileClass();
			$arrFile = $file->getFileInfo($fileId);
			$client = new ClientClass();
			$arrClient = $client->getClientInfo($arrFile['client_id']);
			$table = '<table style="width:1000px" border="1">';
			$table .= '		<tr>';
			$table .= '			<td colspan="6" '.$stRptHdLbl.'>Lawyer Report</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Client:</td>';
			$table .= '			<td colspan="4" '.$stRptHd2Val.'>'.$arrClient['client_name'].'</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>File:</td>';
			$table .= '			<td colspan="4" '.$stRptHd2Val.'>'.$arrFile['file_type'].'.'.$arrFile['file_number'].'</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Case Name:</td>';
			$table .= '			<td colspan="4" '.$stRptHd2Val.'>'.$arrFile['file_name'].'</td>';
			$table .= '		</tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Period:</td>';
			$table .= '			<td colspan="4" '.$stRptHd2Val.'>'.$sDate.' to '.$eDate.'</td>';
			$table .= '		</tr>';
			$table .= '		<tr><td colspan="6"></td></tr>';
			$table .= '		<tr>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>No</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Date</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Lawyer Name</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Time</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Rate</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Amount</b></td>';
			$table .= '		</tr>';
		}
		else
		{
			$table = '<table style="width:1000px" border="1">';
			$table .= '		<tr>';
			$table .= '			<td colspan="7" '.$stRptHdLbl.'>Lawyer Report</td>';
			$table .= '		</tr>';

			$table .= '		<tr><td colspan="7"></td></tr>';
			$table .= '		<tr>';
			$table .= '			<td colspan="2" '.$stRptHd2Lbl.'>Period:</td>';
			$table .= '			<td colspan="5" '.$stRptHd2Val.'>'.$sDate.' to '.$eDate.'</td>';
			$table .= '		</tr>';
			$table .= '		<tr><td colspan="7"></td></tr>';
			$table .= '		<tr>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>No</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Date</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>File Code</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Lawyer Name</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Time</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Rate</b></td>';
			$table .= '			<td width="10%" '.$stTabHd.' width="5%"><b>Amount</b></td>';
			$table .= '		</tr>';
		}


		$rowCnt = mysql_num_rows($rec);

		if ($rowCnt > 0)
		{
			$ctr = 1;
			$totalTime = 0;
			$totalBill = 0;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$amount = doubleval($row[self::FD_RATE]) * doubleval($row[self::FD_TIME_SPENT]);
				$table .= '		 <tr id="'.$classRow.'">';
				$table .= '			<td '.$stTabVal.'>'.$ctr.'</td>';
				$table .= '			<td '.$stTabVal.'>'.date_format(date_create($row[self::FD_BILLING_DATE]), 'm/d/Y').'</td>';
				if ($fileId == '' || $fileId == 0)
				{
					$table .= '			<td '.$stTabVal.'>'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</td>';
				}
				$table .= '			<td '.$stTabVal.'>'.$row[self::FD_FIRSTNAME].' '.$row[self::FD_LASTNAME].'</td>';
				$table .= '			<td align="right" '.$stTabVal.'>'.number_format($row[self::FD_TIME_SPENT], 2).'</td>';
				$table .= '			<td align="right" '.$stTabVal.'>'.$row[self::FD_RATE].'</td>';
				$table .= '			<td align="right" '.$stTabVal.'>'.number_format($amount, 2).'</td>';
				$table .= '		 </tr>';
				$ctr++;
				$totalTime += doubleval($row[self::FD_TIME_SPENT]);
				$totalBill += $amount;
			}
			$table .= '		 <tr id="table-footer">';
			if ($fileId == '' || $fileId == 0)
				$table .= '			<td colspan="4"><b>Total</b></td>';
			else
				$table .= '			<td colspan="3"><b>Total</b></td>';
			$table .= '			<td align="right"><font color="#FF0000"><b>'.number_format($totalTime, 2).'</b></font></td>';
			$table .= '			<td align="right"></td>';
			$table .= '			<td align="right"><font color="#FF0000"><b>'.number_format($totalBill, 2).'</b></font></td>';
			$table .= '		 </tr>';
			if ($fileId == '' || $fileId == 0)
				$table .= '<tr id="table-footer"><td colspan="6">&nbsp;</td></tr>';
			else
				$table .= '<tr id="table-footer"><td colspan="5">&nbsp;</td></tr>';
		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td colspan="7" align="center"><i>--No Work Details--</i></td>';
			$table .= '		 </tr>';
			$table .= '<tr id="table-footer"><td colspan="7">&nbsp;</td></tr>';
		}
		$table .= '</table>';

		return $table;
	}

	public static function adjustPositionRate($position, $startDate, $rate)
	{
		$sql = 'UPDATE '.self::TABLENAME_FILE_BILLING.' SET '.self::FD_RATE.' = '.intval($rate).' WHERE '.self::FD_POSITION.' = '.intval($position).' AND '.self::FD_BILLING_DATE.' >= '.dbString($startDate.' 00:00:00');
		$db = new MSSQLDatabase();
		$db->selectDatafromDB($sql);
	}

}
?>
