<?php
Kernel::includeObject('lib/classes/FileLawyerClass.inc');
Kernel::includeObject('lib/classes/UserClass.inc');
class FileClass
{
	private $Db;
	public $pages;
	
	
	const TABLENAME_USER_INFO = 'user_info_tbl';
	const VIEWNAME_LIST = 'file_list_vw';
	const TABLENAME_FILE_INFO = 'file_info_tbl';
	const LISTVIEW_LIMIT = 10;
	
	const FD_USER_ID = 'user_id';
	const FD_USER_FIRSTNAME = 'firstname';
	const FD_USER_LASTNAME = 'lastname';
	const FD_FILE_ID = 'file_id';
	const FD_CLIENT_ID = 'client_id';
	const FD_FILE_TYPE = 'file_type';
	const FD_FILE_NUMBER = 'file_number';
	const FD_FILE_NAME = 'file_name';
	const FD_FILE_RE = 'file_re';
	const FD_FILE_ADVERSE_PARTY = 'file_adverse_party';
	const FD_FILE_ADVERSE_ADDRESS = 'file_adverse_address';
	const FD_FILE_OPPOSING_COUNSEL = 'file_opposing_counsel';
	const FD_FILE_OPPOSING_ADDRESS = 'file_opposing_address';
	const FD_FILE_ACCEPTANCE_FEE = 'file_acceptance_fee';
	const FD_FILE_FIXED_FEE = 'file_fixed_fee';
	const FD_FILE_INITIAL_FEE = 'file_initial_fee';
	const FD_FILE_RETAINERS_FEE = 'file_retainers_fee';
	const FD_FILE_OPE_DEPOSIT = 'file_ope_deposit';
	const FD_FILE_UNUSED_OPE = 'file_unused_ope';
	const FD_FILE_LAST_BILLING = 'file_last_billing';
	const FD_FILE_DATE_OPENED = 'file_date_opened';
	const FD_FILE_STATUS = 'file_status';
	const FD_FILE_REMARKS = 'file_remarks';
	const FD_ACTIVE = 'active';
	const FD_DEPT_ID = 'department_id';
	const FD_JOB_ID = 'jobs_id';
	const FD_REF_BY = 'referred_by';
	const FD_TITLE = 'short_title';
	const FD_DESC = 'job_desc';
	const FD_RET_FEE = 'file_retainers_fee';
	const FD_RET_FEE_US = 'file_retainers_fee_us';
	const FD_ACC_FEE = 'file_acceptance_fee';
	const FD_ACC_US = 'file_acceptance_fee_us';
	const FD_FIX_FEE = 'file_fixed_fee';
	const FD_FIX_FEE_US = 'file_fixed_fee_us';
	const FD_INIT_FEE = 'file_initial_fee';
	const FD_INIT_FEE_US = 'file_initial_fee_us';
	const FD_MAX_FEE = 'file_max_fee';
	const FD_MAX_FEE_US = 'file_max_fee_us';
	const FD_JEM_NO = 'file_jem_no';
	const FD_OTHERS = 'file_others';
	const FD_BILL_DET = 'file_billing_details';
	
	private $arrDataDef = array(
			self::FD_USER_ID => 'integer',	
			self::FD_CLIENT_ID => 'integer',
			self::FD_USER_FIRSTNAME => 'string',
			self::FD_USER_LASTNAME => 'string',
			self::FD_FILE_TYPE => 'string',
			self::FD_FILE_NUMBER => 'string',
			self::FD_FILE_NAME => 'string',
			self::FD_FILE_RE => 'string',
			self::FD_FILE_ADVERSE_PARTY => 'string',
			self::FD_FILE_ADVERSE_ADDRESS => 'string',
			self::FD_FILE_OPPOSING_COUNSEL => 'string',
			self::FD_FILE_OPPOSING_ADDRESS => 'string',
			self::FD_FILE_ACCEPTANCE_FEE => 'float',
			self::FD_FILE_FIXED_FEE => 'float',
			self::FD_FILE_INITIAL_FEE => 'float',
			self::FD_FILE_RETAINERS_FEE => 'float',
			self::FD_FILE_OPE_DEPOSIT => 'double',
			self::FD_FILE_UNUSED_OPE => 'double',
			self::FD_FILE_LAST_BILLING => 'string',
			self::FD_FILE_DATE_OPENED => 'string',
			self::FD_FILE_STATUS => 'integer',
			self::FD_FILE_REMARKS => 'string',
			self::FD_ACTIVE => 'integer',
			self::FD_DEPT_ID => 'integer',
			self::FD_JOB_ID => 'integer',
			self::FD_REF_BY => 'integer',
			self::FD_TITLE => 'string',
			self::FD_DESC => 'string',
			self::FD_RET_FEE => 'string',
			self::FD_RET_FEE_US => 'string',
			self::FD_ACC_FEE => 'string',
			self::FD_ACC_US => 'string',
			self::FD_FIX_FEE => 'string',
			self::FD_FIX_FEE_US => 'string',
			self::FD_INIT_FEE => 'string',
			self::FD_INIT_FEE_US => 'string',
			self::FD_MAX_FEE => 'string',
			self::FD_MAX_FEE_US => 'string',
			self::FD_JEM_NO => 'string',
			self::FD_OTHERS => 'string',
			self::FD_BILL_DET => 'string',
		);
	
	public static $fileTypes = array(
			'' => '',
			'CS' => 'CS',
			'IM' => 'IM',
			'IP' => 'IP',
			'LB' => 'LB',
			'LT' => 'LT',
			'MS' => 'MS',
			'OF' => 'OF',
			'PB' => 'PB',
			'PD' => 'PD',
			'RE' => 'RE',
			'SP' => 'SP',
		);
		
	public static $fileStatus = array(
			1 => 'On-going',
			2 => 'Inactive',
			0 => 'Pending',
			3 => 'Completed',
			4 => 'Terminated',
		);
	
	public function __construct()
	{
		$this->Db = new MSSQLDatabase();
	}
	
	public function displayDeptCodeCombo($value=NULL)
	{
		$combo = '<select name="cmbDeptCode" id="cmbDeptCode">';	
		$combo .= '<option value="">--</option>';
		$sql = 'SELECT * FROM department_tbl WHERE active = 1 order by dept_code asc';
		$rec = $this->Db->selectDatafromDB($sql);		
		$cnt = mysql_num_rows($rec);	
		while ($row = mysql_fetch_array($rec, MYSQL_ASSOC))
		{
			if ($row['department_id'] == $value)
			{
				$combo .= '<option value="' . $row['department_id'] . '" selected>' . $row['dept_code'] . '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $row['department_id'] . '">' . $row['dept_code'] . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function displayJobCodeCombo($value=NULL)
	{
		$combo = '<select name="cmbJobCode" id="cmbJobCode">';	
		$combo .= '<option value="">--</option>';
		$sql = 'SELECT * FROM jobs_tbl WHERE active = 1 order by job_code asc';
		$rec = $this->Db->selectDatafromDB($sql);		
		$cnt = mysql_num_rows($rec);	
		while ($row = mysql_fetch_array($rec, MYSQL_ASSOC))
		{
			if ($row['jobs_id'] == $value)
			{
				$combo .= '<option value="' . $row['jobs_id'] . '" selected>' . $row['job_code'] . '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $row['jobs_id'] . '">' . $row['job_code'] . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function getJemNumber($dept_id, $job_id, $client_id, $file_id = null)
	{
		$sql = 'SELECT * FROM client_info_tbl WHERE client_id = '.intval($client_id);
		$rec = $this->Db->selectDatafromDB($sql);		
		$cnt = mysql_num_rows($rec);
		if ($cnt > 0)
		{
			$row = mysql_fetch_array($rec);
			$client_code = $row['client_code'];
			$sql = 'SELECT * FROM department_tbl WHERE department_id = '.$dept_id;
			$rec = $this->Db->selectDatafromDB($sql);		
			$row = mysql_fetch_array($rec);
			$dept_code = $row['dept_code'];
			$sql = 'SELECT * FROM jobs_tbl WHERE jobs_id = '.$job_id;
			$rec = $this->Db->selectDatafromDB($sql);		
			$row = mysql_fetch_array($rec);
			$job_code = $row['job_code'];
			if (isset($file_id))
			{
				$sql = 'SELECT * FROM file_info_tbl WHERE file_id = '.$file_id;
				$rec = $this->Db->selectDatafromDB($sql);		
				$row = mysql_fetch_array($rec);
				$jem = explode("-", $row['file_jem_no']);
				$cntRows = $jem[4];
			}
			else
			{
				$sql = 'SELECT * FROM file_info_tbl WHERE client_id = '.$client_id;
				$rec = $this->Db->selectDatafromDB($sql);		
				$cntRows = mysql_num_rows($rec);
				$cntRows++;
			}
			return strtoupper($client_code).'-'.str_pad($client_id, 3, 0,STR_PAD_LEFT).'-'.strtoupper($dept_code).'-'.strtoupper($job_code).'-'.$cntRows;
		}
		return null;		
	}
	
	public function displayReferredByCombo($value=NULL)
	{
		$combo = '<select name="cmbReferredBy" id="cmbReferredBy">';	
		$combo .= '<option value="">--</option>';
		$sql = 'SELECT * FROM user_info_tbl WHERE active = 1 order by username asc';
		$rec = $this->Db->selectDatafromDB($sql);		
		$cnt = mysql_num_rows($rec);	
		while ($row = mysql_fetch_array($rec, MYSQL_ASSOC))
		{
			if ($row['user_id'] == $value)
			{
				$combo .= '<option value="' . $row['user_id'] . '" selected>' . $row['username'] . '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $row['user_id'] . '">' . $row['username'] . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	public function addFile($arrData)
	{
		$jemNumber = $this->getJemNumber($arrData[FileClass::FD_DEPT_ID], $arrData[FileClass::FD_JOB_ID], $arrData[FileClass::FD_CLIENT_ID]);
		$arrFormat = array();
		$arrData[FileClass::FD_JEM_NO] = $jemNumber;
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);		
		$arrFormat['insert_by'] = intval($_SESSION['user_id']);
		$arrFormat['insert_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		foreach($arrFormat as $key => $value)
		{
			$fieldValues[] = $key;
			$fieldNames[] = $value;
		}
		
		$sql = 'INSERT INTO '.self::TABLENAME_FILE_INFO.'('.implode(',',$fieldValues).') VALUES ('.implode(',',$fieldNames).')';
		$this->Db->insertStatement($sql);
		return $this->Db->insertID;
	}
	
	public function editFile($fileId, $arrData)
	{
		$jemNumber = $this->getJemNumber($arrData[FileClass::FD_DEPT_ID], $arrData[FileClass::FD_JOB_ID], $arrData[FileClass::FD_CLIENT_ID], $fileId);
		$arrData[FileClass::FD_JEM_NO] = $jemNumber;
		$arrFormat = array();
		$arrFormat = MSSQLDatabase::prepareDbData($arrData, $this->arrDataDef);
		$arrFormat['update_by'] = intval($_SESSION['user_id']);
		$arrFormat['update_dt'] = 'now()';
		$fieldValues = array();
		$fieldNames = array();
		$set = '';
		foreach($arrFormat as $key => $value)
		{
			if ($set != '')
				$set .= ', ';
				
			$set .= $key.' = '.$value;
		}
		
		$sql = 'UPDATE '.self::TABLENAME_FILE_INFO.' SET '.$set.' WHERE '.self::FD_FILE_ID.' = '.intval($fileId);
		$this->Db->selectDatafromDB($sql);
	}
	
	public function getFileInfo($fileId)
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_FILE_INFO.' WHERE file_id = '.intval($fileId);
		$rec = $this->Db->selectDatafromDB($sql);
		
		$cnt = mysql_num_rows($rec);
		
		if ($cnt == 0)
			return array();
		
		$arrData = array();
		$row = mysql_fetch_array($rec);
		foreach($row as $key => $value)
		{
			$arrData[$key] = $value;
		}
		
		return $arrData;
	}
	
	public function deleteClientFile($fileClientId)
	{
		$sql = 'UPDATE '.self::TABLENAME_FILE_INFO.' SET active = 0 WHERE '.self::FD_FILE_ID.' = '.intval($fileClientId);
		$this->Db->selectDatafromDB($sql);
	}
	

	public function getFileTypeCombo($value=NULL, $action=array(), $allValuesOnly=false)
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		$combo = '<select name="cmbFile" id="cmbFile" ' . $events . '>';
		
		$fileTypes = self::$fileTypes;
		foreach($fileTypes as $key => $data)
		{
			if ($allValuesOnly && $data == '')
			{
				continue;
			}
		
			if ($key == $value)
			{
				$combo .= '<option value="' . $key . '" selected>' . $data . '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $key . '">' . $data . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function getJemsCombo($clientId= null, $value=NULL)
	{
		if (isset($clientId))
		{
			$sql = 'SELECT * FROM '.self::TABLENAME_FILE_INFO.' WHERE active = 1 AND file_status = 1 AND '.self::FD_CLIENT_ID.' = '. intval($clientId);
			$rec = $this->Db->selectDatafromDB($sql);
			$rowCnt = mysql_num_rows($rec);
			$options = array();
			if ($rowCnt > 0)
			{
				while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
				{
					$options[$row['file_id']] = $row['file_jem_no'];
				}
			}
		}
		$combo = '<select name="cmbJems" id="cmbJems" onchange="displayJemTitle(this.value);">';
		$combo .= '<option value=""></option>';
		
		foreach($options as $key => $data)
		{
			if ($key == $value)
			{
				$combo .= '<option value="' . $key . '" selected>' . $data . '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $key . '">' . $data . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function getJemsPerLawyerCombo($clientId= null, $value=NULL, $lawyerId)
	{
		if (isset($clientId))
		{
			// $sql = 'SELECT * FROM '.self::TABLENAME_FILE_INFO.' WHERE active = 1 AND file_status = 1 AND '.self::FD_CLIENT_ID.' = '. intval($clientId);
			$sql = "SELECT a.* from file_info_tbl as a inner join file_lawyer_tbl as b on a.file_id=b.file_id where a.active = 1 and a.file_status = 1 and a.client_id=".intval($clientId).' and user_id = '.$lawyerId;
			$rec = $this->Db->selectDatafromDB($sql);
			$rowCnt = mysql_num_rows($rec);
			$options = array();
			if ($rowCnt > 0)
			{
				while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
				{
					$options[$row['file_id']] = $row['file_jem_no'];
				}
			}
		}
		$combo = '<select name="cmbJems" id="cmbJems" onchange="displayJemTitle(this.value);">';
		$combo .= '<option value=""></option>';
		
		foreach($options as $key => $data)
		{
			if ($key == $value)
			{
				$combo .= '<option value="' . $key . '" selected>' . $data . '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $key . '">' . $data . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function getJemsLawyerCombo($clientId= null, $value=NULL)
	{
		if (isset($clientId))
		{
			$sql = 'SELECT * FROM '.self::TABLENAME_FILE_INFO.' WHERE active = 1 AND '.self::FD_CLIENT_ID.' = '. intval($clientId);
			$rec = $this->Db->selectDatafromDB($sql);
			$rowCnt = mysql_num_rows($rec);
			$options = array();
			if ($rowCnt > 0)
			{
				while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
				{
					$options[$row['file_id']] = $row['file_jem_no'];
				}
			}
		}
		$combo = '<select name="cmbJems" id="cmbJems" onchange="displayJemTitle(this.value);getLawyerCombo(this.value);">';
		$combo .= '<option value=""></option>';
		
		foreach($options as $key => $data)
		{
			if ($key == $value)
			{
				$combo .= '<option value="' . $key . '" selected>' . $data . '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $key . '">' . $data . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	public function getClientJemsCombo($clientId= null, $value=NULL)
	{
		if (isset($clientId))
		{
			$sql = 'SELECT * FROM '.self::TABLENAME_FILE_INFO.' WHERE active = 1 AND '.self::FD_CLIENT_ID.' = '. intval($clientId);
			$rec = $this->Db->selectDatafromDB($sql);
			$rowCnt = mysql_num_rows($rec);
			$options = array();
			if ($rowCnt > 0)
			{
				while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
				{
					$options[$row['file_id']] = $row['file_jem_no'];
				}
			}
		}
		$combo = '<select name="cmbJems" id="cmbJems" onchange="displayJemTitle(this.value);events(\'getFileWorkDetails\', this.value);">';
		$combo .= '<option value=""></option>';
		
		foreach($options as $key => $data)
		{
			if ($key == $value)
			{
				$combo .= '<option value="' . $key . '" selected>' . $data . '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $key . '">' . $data . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	
	public function getFileStatusCombo($value=NULL, $action=array(), $allValuesOnly=false)
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		$combo = '<select name="cmbFileStatus" id="cmbFileStatus" ' . $events . '>';
		$combo .= '<option value="">--</option>';
		$fileTypes = self::$fileStatus;
		foreach($fileTypes as $key => $data)
		{
			if ($allValuesOnly && $data == '')
			{
				continue;
			}
		
			if (($key == $value) and ($value != ''))
			{
				$combo .= '<option value="' . $key . '" selected>' . $data . '</option>';
			}
			else 
			{
				$combo .= '<option value="' . $key . '">' . $data . '</option>';
			}
		}
		$combo .= '</select>';
		return $combo;
	}
	
	public function getSelectClientFiles($clientId=0, $action=array())
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		$combo = '<select name="cmbFile" id="cmbClientFiles" ' . $events . '>';
		$combo .= '<option value=""><em>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</em></option>';
		
		$sql = 'SELECT * FROM '.self::TABLENAME_FILE_INFO.' WHERE '.self::FD_CLIENT_ID.' = '. intval($clientId);
		$rec = $this->Db->selectDatafromDB($sql);		
		$cnt = mysql_num_rows($rec);
		
		if ($clientId != 0 && $cnt != 0)
		{
			while ($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$combo .= '<option value="'.$row[self::FD_FILE_ID].'">'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</option>';
			}
		}
			
		$combo .= '</select>';
		return $combo;
	}
	
	public function getSelectLawyerFiles($clientId=0, $action=array())
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		$combo = '<select name="cmbFile" id="cmbClientFiles" ' . $events . '>';
		$combo .= '<option value=""><em>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</em></option>';
		
		$sql = 'SELECT * FROM '.self::TABLENAME_FILE_INFO.' WHERE '.self::FD_CLIENT_ID.' = '. intval($clientId);
		$rec = $this->Db->selectDatafromDB($sql);		
		$cnt = mysql_num_rows($rec);
		
		if ($clientId != 0 && $cnt != 0)
		{
			while ($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$combo .= '<option value="'.$row[self::FD_FILE_ID].'">'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</option>';
			}
		}
			
		$combo .= '</select>';
		return $combo;
	}
	
	public function getUserFiles($userId = 0, $action=array())
	{
		$events = '';
		if (count($action) > 0)
		{
			foreach($action as $key => $eventAction)
			{
				if (strlen($events) > 0)
					$events .= ' ';
				
				$events .= $key . '="' . $eventAction .'"';
			}
		}
		
		$arrFiles = FileLawyerClass::getLawyerFiles($userId);
		$ids = implode(', ', $arrFiles);
		$ids = $ids == ''? '0': $ids;
		$cond = 'active = 1  AND file_id IN ('.$ids.')';
		$sql = 'SELECT * FROM ' . self::VIEWNAME_LIST . ' WHERE ' . $cond . ' ORDER BY file_type, file_number';

		$combo = '<select name="cmbFile" id="cmbClientFiles" ' . $events . '>';
		$combo .= '<option value=""><em>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</em></option>';
		
		$rec = $this->Db->selectDatafromDB($sql);		
		$cnt = mysql_num_rows($rec);
		
		if ($cnt != 0)
		{
			while ($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$combo .= '<option value="'.$row[self::FD_FILE_ID].'">'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</option>';
			}
		}
			
		$combo .= '</select>';
		return $combo;
	}
	
	public function getFileList($userId, $access, $page=1, $keyword=NULL, $status=NULL, $fileNumber=NULL)
	{
		$condAccess = $lawyerIds = '';
		if ($access == 1) //lawyers
		{
			$arrFiles = FileLawyerClass::getLawyerFiles($userId);
			$condAccess = ' AND file_id IN (0)';
			if (count($arrFiles))
			{
				$ids = implode(', ', $arrFiles);
				$condAccess = ' AND file_id IN ('.$ids.')';
			}
		}
		else if ($access == 3) //secretary
		{
			$sql = 'SELECT * FROM  user_info_tbl WHERE user_id = '.intval($_SESSION['user_id']);
			$rec = $this->Db->selectDatafromDB($sql);
			while ($row = mysql_fetch_array($rec, MYSQL_ASSOC))
				$lawyers = unserialize(base64_decode($row[UserClass::FD_USER_ASSLAW]));
			if (count($lawyers) > 0)
				$lawyerIds = implode(', ', $lawyers);
			if ($lawyerIds != '')
			{
				$sql = 'SELECT * FROM  lawyer_user_vw WHERE user_id IN ('.$lawyerIds.')';
				$rec = $this->Db->selectDatafromDB($sql);
				while ($row = mysql_fetch_array($rec, MYSQL_ASSOC))
				{
					$jemIds[$row['file_id']] = $row['file_id'];
				}
				if (count($jemIds) > 0)
				{
					$ids = implode(', ', $jemIds);
					$condAccess = ' AND file_id IN ('.$ids.')';
				}
			}
		}
	
		$arrField = array('client_id', 'client_name', 'file_id', 'concat(file_type, ".", file_number) AS file_number, jem_code, title');
		$cond = 'active = 1';
		if ($keyword != NULL && $keyword != '')
			$cond .= ' AND (UCASE(client_name) like "' . strtoupper($keyword) . '%" or UCASE(jem_code) like "%' . strtoupper($keyword) . '%" or UCASE(title) like "%'.strtoupper($keyword).'%")';
		if ($status != NULL && $status != '') 
			$cond .= ' AND file_status = "' .$status. '"';
		if ($condAccess != '')
			$cond .= $condAccess;
		$start = ($page * self::LISTVIEW_LIMIT) - self::LISTVIEW_LIMIT;
		$sql = 'SELECT ' . implode(', ', $arrField) . ' FROM ' . self::VIEWNAME_LIST . ' WHERE ' . $cond;
		$arrSQL = array();
		$arrSQL['fields'] = implode(', ', $arrField);
		$arrSQL['table'] = self::VIEWNAME_LIST;
		$arrSQL['cond'] = $cond;
		$pager = new PS_Pagination($this->Db->dbConnectionID, $arrSQL, self::LISTVIEW_LIMIT, 3, '', $page);
		$pager->setActionEvent(true, 'xajax_pageSearch('.PS_Pagination::PAGE_TAG.')');
		$rec = $pager->paginate();
		$pages = $pager->renderFullNav();
		// $table = '	<table width="700px" cellpadding="0" cellspacing="0" style="border: solid 1px #3c546d; padding:5px 2px 2px 2px;">';
		// $table .= '		<tr id="table-header">';
		// $table .= '			<th id="table-header">No</th>';
		// $table .= '			<th id="table-header">Client</th>';
		// $table .= '			<th id="table-header">File</th>';
		// $table .= '			<th id="table-header">&nbsp;</th>';
		// $table .= '		 </tr>';

		$table = '	<div class="table wprint">';
		$table .= '		<div class="tr">';
		$table .= '			<div class="th no">No</div>';
		$table .= '			<div class="th file_client new_file"  id="table-header">Client</div>';
		$table .= '			<div class="th file_file new_file"  id="table-header">JEM Code</div>';
		$table .= '			<div class="th file_client new_file"  id="table-header">Title</div>';
		$table .= '			<div class="th add"  id="table-header">Actions</div>';
		$table .= '		 </div>';
		
		$rowCnt = 0;
		if(is_resource($rec))
		{
			$rowCnt = mysql_num_rows($rec);
		}
		
		if ($rowCnt > 0)
		{
			$ctr = ($page * self::LISTVIEW_LIMIT) - self::LISTVIEW_LIMIT;
			$ctr++;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$table .= '		 <div class="tr" id="'.$classRow.'">';
				$table .= '			<div class="td no" id="table-row"><b><span>No.  </span>'.$ctr.'</b></div>';
				$table .= '			<div class="td file_client new_file" id="table-row"><span>Client : </span>'.ellipsis($row['client_name'], 25).'</div>';
				$table .= '			<div class="td file_client new_file" id="table-row"><span>JEM Code : </span>'.ellipsis($row['jem_code'], 25).'</div>';
				$table .= '			<div class="td file_client new_file" id="table-row"><span>Title : </span>'.ellipsis($row['title'], 25).'</div>';
				if (($_SESSION['access'] == 2) or ($_SESSION['access'] == 0))
					$table .= '		<div class="td add" id="table-row">
										<div class="td actions withprint" id="table-row">
											<a href="#" onclick="events(\'editFile\', '.$row['file_id'].')" title="Edit"><img src="images/edit.png" border="0"></a>
										</div>
										<div class="td actions withprint" id="table-row"><a href="#" onclick="events(\'viewFile\', '.$row['file_id'].')" title="View File"><img src="images/view.png" border="0" title="View"></a></div>
										<div class="td actions withprint" id="table-row"><a href="#" onclick="events(\'deleteFile\', '.$row['file_id'].')"><img src="images/delete.png" border="0" title="Delete"></a></div>
										<div class="td actions withprint" id="table-row"><a href="#" onclick="events(\'printFile\', '.$row['file_id'].')"><img src="images/print.ico" border="0" title="Print" height="20px;" width="20px;"></a></div>
									</div>';
				else if ($_SESSION['access'] == 3) //secretary
					$table .= '			<div class="th add" id="table-row"><a href="#" onclick="events(\'viewFile\', '.$row['file_id'].')" title="View File"><img src="images/view.png" border="0" title="View"></a></div>';
				else
					$table .= '			<div class="th add" id="table-row"><a href="#" onclick="events(\'edit\', '.$row['file_id'].')" title="Add Billing"><img src="images/clock.png" border="0"></a></div>';
				$table .= '		 </div>';
				$ctr++;
			}
		}
		else
		{
			$table .= '		 <div class="tr" >';
			$table .= '			<div class="td" align="center"><i>--NO RECORD TO BE DISPLAYED--</i></td>';
			$table .= '		 </div>';
			
		}
		
		// $table .= '	</table>';
		$table .= '	</div>';
		#return $table;
		
		$html = '<div class="page_holder">';
		$html .= '		<table width="100%" cellpadding="5" cellspacing="10">';
		$html .= '			<tr>';
		$html .= '				<td colspan="8" align="right">'.$pages.'</td>';
		$html .= '			</tr>';
		$html .= '		</table>';
		/* $html .= '		<div class="frmClient_results file-list-container">'; */
		$html .= '		<form name="frmClient" id="frmClient" method="post">';
		$html .= '			<div id="file_list" name="file_list">';
		$html .= $table;
		$html .= '			</div>';
		$html .= '		<input type="hidden" name="hdnUserID" id="hdnUserID" value=""/>';
		$html .= '		<input type="hidden" name="hdnUserAccess" id="hdnUserAccess" value=""/>';
		$html .= '		</form>';
		$html .= '		<table width="100%" cellpadding="5" cellspacing="10">';
		$html .= '			<tr>';
		$html .= '				<td colspan="8" align="right">'.$pages.'</td>';
		$html .= '			</tr>';
		$html .= '		</table>';
		/* $html .= '		</div>'; */
		$html .= '	</div>';
		return $html;
	}
	
	public function getFileSummary($page=1, $keyword=NULL, $pic = NULL)
	{
		if (isset($pic) and $pic != '')
		{
			$sql = 'SELECT file_id FROM file_lawyer_tbl WHERE position_id = 2 and user_id = '.$pic; //Partner-in-charge
			$rec = $this->Db->selectDatafromDB($sql);
			$id = '';
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				if ($id != '')
					$id .= ', ';
				$id .= intval($row['file_id']);
			}
		}
		$arrField = array('client_id', 'client_name', 'file_id', 'jem_code','title','file_status');
		$cond = 'active = 1';
		if ($keyword != NULL && $keyword != '')
			$cond .= ' AND (UCASE(client_name) like "' . strtoupper($keyword) . '%" or UCASE(jem_code) like "%' . strtoupper($keyword) . '%" or UCASE(title) like "%'.strtoupper($keyword).'%")';
		if ($id != '')
			$cond .= ' AND file_id in ('.$id.')';
		$start = ($page * self::LISTVIEW_LIMIT) - self::LISTVIEW_LIMIT;
		$sql = 'SELECT ' . implode(', ', $arrField) . ' FROM ' . self::VIEWNAME_LIST . ' WHERE ' . $cond;
		$arrSQL = array();
		$arrSQL['fields'] = implode(', ', $arrField);
		$arrSQL['table'] = self::VIEWNAME_LIST;
		$arrSQL['cond'] = $cond;
		$pager = new PS_Pagination($this->Db->dbConnectionID, $arrSQL, self::LISTVIEW_LIMIT, 3, '', $page);
		$pager->setActionEvent(true, 'xajax_pageSearch('.PS_Pagination::PAGE_TAG.')');
		$rec = $pager->paginate();
		$pages = $pager->renderFullNav();
		$table = '	<div class="table wprint">';
		$table .= '		<div class="tr">';
		$table .= '			<div class="th no">No</div>';
		$table .= '			<div class="th file_client">Client</div>';
		$table .= '			<div class="th file_file">JEM Code</div>';
		$table .= '			<div class="th file_client text-center">Title</div>';
		$table .= '			<div class="th add width18">Time</div>';
		$table .= '			<div class="th add">Status</div>';
		$table .= '		 </div>';
		
		$rowCnt = 0;
		if(is_resource($rec))
			$rowCnt = mysql_num_rows($rec);
		$fileStatus = array(
			1 => 'On-going',
			2 => 'Inactive',
			0 => 'Pending',
			3 => 'Completed',
			4 => 'Terminated',
		);
		if ($rowCnt > 0)
		{
			$ctr = ($page * self::LISTVIEW_LIMIT) - self::LISTVIEW_LIMIT;
			$ctr++;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				$classRow = (($ctr % 2) == 0 ) ? "table-row2" : "table-row1";
				$table .= '		 <div class="tr" id="'.$classRow.'">';
				$table .= '			<div class="td no" id="table-row"><b><span>No.  </span>'.$ctr.'</b></div>';
				$table .= '			<div class="td file_client" id="table-row"><span>Client : </span>'.$row['client_name'].'</div>';
				$table .= '			<div class="td file_client text-center" id="table-row">'.$row['jem_code'].'</div>';
				$table .= '			<div class="td file_client text-center" id="table-row">'.$row['title'].'</div>';
				$table .= '			<div class="td add width18" id="table-row">'.FileClass::getJEMTotalTime($row['file_id']).'</div>';
				$table .= '			<div class="td add" id="table-row">'.$fileStatus[$row['file_status']].'</div>';
				$table .= '		 </div>';
				$ctr++;
			}
		}
		else
		{
			$table .= '		 <div class="tr" >';
			$table .= '			<div class="td" align="center"><i>--NO RECORD TO BE DISPLAYED--</i></td>';
			$table .= '		 </div>';
			
		}
		$table .= '	</div>';
		$html = '<div class="page_holder">';
		$html .= '		<table width="100%" cellpadding="5" cellspacing="10">';
		$html .= '			<tr>';
		$html .= '				<td colspan="8" align="right">'.$pages.'</td>';
		$html .= '			</tr>';
		$html .= '		</table>';
		$html .= '		<div class="frmClient_results">';
		$html .= '		<form name="frmClient" id="frmClient" method="post">';
		$html .= '			<div id="file_list" name="file_list">';
		$html .= $table;
		$html .= '			</div>';
		$html .= '		<input type="hidden" name="hdnUserID" id="hdnUserID" value=""/>';
		$html .= '		<input type="hidden" name="hdnUserAccess" id="hdnUserAccess" value=""/>';
		$html .= '		</form>';
		$html .= '		<table width="100%" cellpadding="5" cellspacing="10">';
		$html .= '			<tr>';
		$html .= '				<td colspan="8" align="right">'.$pages.'</td>';
		$html .= '			</tr>';
		$html .= '		</table>';
		$html .= '		</div>';
		$html .= '	</div>';
		return $html;
	}
	
	public function getFileSummaryExport($keyword=NULL, $pic=NULL)
	{
		$db = new MSSQLDatabase();
		if (isset($pic) and $pic != '')
		{
			$sql = 'SELECT file_id FROM file_lawyer_tbl WHERE position_id = 2 and user_id = '.$pic; //Partner-in-charge
			$rec = $db->selectDatafromDB($sql);
			$id = '';
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				if ($id != '')
					$id .= ', ';
				$id .= intval($row['file_id']);
			}
		}
		$arrField = array('client_id', 'client_name', 'file_id', 'jem_code','title','file_status');
		if ($keyword != NULL && $keyword != '')
			$cond .= ' AND (UCASE(client_name) like "' . strtoupper($keyword) . '%" or UCASE(jem_code) like "%' . strtoupper($keyword) . '%" or UCASE(title) like "%'.strtoupper($keyword).'%")';
		if ($id != '')
			$cond .= ' AND file_id in ('.$id.')';
		$sql = 'SELECT ' . implode(', ', $arrField) . ' FROM ' . self::VIEWNAME_LIST . ' WHERE 1 ' . $cond.' order by client_name ASC';
		
		$rec = $db->selectDatafromDB($sql);
		$rowCnt = mysql_num_rows($rec);
		Kernel::includeObject('lib/includes/PHPExcel');
		$objPHPExcel = new PHPExcel();
			$style = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_LEFT
					),
				'font'  => array(
			        'size'  => 12,
			        'name'  => 'Century Gothic',
			        'bold' => true
			        )
			);
			$styleTitle = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
				'font'  => array(
			        'size'  => 16,
			        'name'  => 'Century Gothic',
			        'bold' => true
			        )
			);
			$styleTableHeader = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
				'font'  => array(
			        'name'  => 'Century Gothic',
			        'bold' => true
			        ),
				'fill' => array(
					'type' => PHPExcel_Style_Fill::FILL_SOLID,
					'color' => array('rgb' => 'F2F2F2')
					),
			);
			$styleTableHeaderHol = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
				'font'  => array(
			        'name'  => 'Century Gothic',
			        'bold' => true,
					'color' =>array('rgb' => 'FF0000'),
			        ),
				'fill' => array(
					'type' => PHPExcel_Style_Fill::FILL_SOLID,
					'color' => array('rgb' => 'F2F2F2')
					),
			);
			$styleAlignCenter = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_CENTER
					),
			);
			$styleAlignRight = array(
				'alignment' => array(
					'horizontal' => PHPExcel_Style_Alignment::HORIZONTAL_RIGHT
					),
			);
		$styleTableBorder = array(
			'borders' => array(
			'allborders' => array(
              'style' => PHPExcel_Style_Border::BORDER_THIN
				)
			)
		);
		$row = 1;
		foreach(range('A','G') as $columnID)
		    $objPHPExcel->getActiveSheet()->getColumnDimension($columnID)->setAutoSize(true);
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'Job Engagement Memo Summary');
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($styleTitle);
		$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':G'.$row);
		$row++;
		$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'No');
		$objPHPExcel->getActiveSheet()->getStyle("A".$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, 'Client');
		$objPHPExcel->getActiveSheet()->getStyle("B".$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->SetCellValue('C'.$row, 'JEM Code');
		$objPHPExcel->getActiveSheet()->getStyle("C".$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->SetCellValue('D'.$row, 'Title');
		$objPHPExcel->getActiveSheet()->getStyle("D".$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->SetCellValue('E'.$row, 'Time');
		$objPHPExcel->getActiveSheet()->getStyle("E".$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->SetCellValue('F'.$row, 'Amount');
		$objPHPExcel->getActiveSheet()->getStyle("F".$row)->applyFromArray($styleTableHeader);
		$objPHPExcel->getActiveSheet()->SetCellValue('G'.$row, 'Status');
		$objPHPExcel->getActiveSheet()->getStyle("G".$row)->applyFromArray($styleTableHeader);
		if ($rowCnt > 0)
		{
			$fileStatus = array(
				1 => 'On-going',
				2 => 'Inactive',
				0 => 'Pending',
				3 => 'Completed',
				4 => 'Terminated',
			);
			$no = 1;
			$totalTime = 0;
			$totalAmount = 0;
			while($record = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				$row++;
				$time = FileClass::getJEMTotalTime($record['file_id']);
				$amount = FileClass::getJEMTotalAmount($record['file_id']);
				$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, $no);
				$objPHPExcel->getActiveSheet()->SetCellValue('B'.$row, $record['client_name']);
				$objPHPExcel->getActiveSheet()->SetCellValue('C'.$row, $record['jem_code']);
				$objPHPExcel->getActiveSheet()->SetCellValue('D'.$row, $record['title']);
				$objPHPExcel->getActiveSheet()->SetCellValue('E'.$row, number_format($time, 2));
				$objPHPExcel->getActiveSheet()->SetCellValue('F'.$row, $amount);
				$objPHPExcel->getActiveSheet()->SetCellValue('G'.$row, $fileStatus[$record['file_status']]);
				$objPHPExcel->getActiveSheet()->getStyle('E'.$row)->getNumberFormat()->setFormatCode(PHPExcel_Style_NumberFormat::FORMAT_NUMBER_COMMA_SEPARATED1); 
				$objPHPExcel->getActiveSheet()->getStyle('F'.$row)->getNumberFormat()->setFormatCode(PHPExcel_Style_NumberFormat::FORMAT_NUMBER_COMMA_SEPARATED1); 
				$no++;  $totalTime += $time;
				$totalAmount += $amount;
			}
			$row+=2;
			$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'TOTAL');
			$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':D'.$row);
			$objPHPExcel->getActiveSheet()->SetCellValue('E'.$row, $totalTime);
			$objPHPExcel->getActiveSheet()->SetCellValue('F'.$row, $totalAmount);
			$objPHPExcel->getActiveSheet()->getStyle("A".$row.":G".$row)->applyFromArray($styleTableHeader);
			$objPHPExcel->getActiveSheet()->getStyle('E'.$row)->getNumberFormat()->setFormatCode(PHPExcel_Style_NumberFormat::FORMAT_NUMBER_COMMA_SEPARATED1); 
			$objPHPExcel->getActiveSheet()->getStyle('F'.$row)->getNumberFormat()->setFormatCode(PHPExcel_Style_NumberFormat::FORMAT_NUMBER_COMMA_SEPARATED1); 
		}
		else
		{
			$row++;
			$objPHPExcel->getActiveSheet()->SetCellValue('A'.$row, 'NO RECORD TO BE DISPLAYED');
			$objPHPExcel->setActiveSheetIndex(0)->mergeCells('A'.$row.':G'.$row);
			$objPHPExcel->getActiveSheet()->getStyle("A".$row.":G".$row)->applyFromArray($styleTableHeader);
		}		
		$name = 'JEM Summary Report.xlsx';
		header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
		header('Content-Disposition: attachment;filename="'.$name.'"');
		header('Cache-Control: max-age=0');

		// $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
		$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
		$objWriter->setIncludeCharts(TRUE);
		$objWriter->save('php://output');
		exit;
	}
	
	private function getJEMTotalTime($id)
	{
		$db = new MSSQLDatabase();
		$sql = 'SELECT sum(time_spent) as time FROM file_billing_vw WHERE file_id = '.$id.' AND active = 1';
		$rec = $db->selectDatafromDB($sql);
		$rowCnt = mysql_num_rows($rec);
		if ($rowCnt > 0)
		{
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				return $row['time'];
			}
		}
		return 0;
	}
	
	private function getJEMTotalAmount($id)
	{
		$db = new MSSQLDatabase();
		$sql = 'SELECT sum(time_spent * rate) as amount FROM file_billing_vw WHERE file_id = '.$id.' AND active = 1';
		$rec = $db->selectDatafromDB($sql);
		$rowCnt = mysql_num_rows($rec);
		if ($rowCnt > 0)
		{
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				return $row['amount'];
			}
		}
		return 0;
	}
	
	public function getClientFiles($clientId)
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_FILE_INFO.' WHERE active = 1 AND '.self::FD_CLIENT_ID.' = '. intval($clientId);
		$rec = $this->Db->selectDatafromDB($sql);
		
		// $table = '<table width="100%" id="files-list-table" border="0" cellpadding="0" cellspacing="0" style="border: solid 1px #3c546d; padding:5px 2px 2px 2px;">';
		// $table .= '		<tr id="table-header">';
		// $table .= '			<td colspan="6" id="table-header"><b>Files List</b></td>';
		// $table .= '		</tr>';
		// $table .= '		<tr id="table-header">';
		// $table .= '			<th id="table-header">File</th>';
		// $table .= '			<th id="table-header">Case Name</th>';
		// $table .= '			<th id="table-header">Status</th>';
		// $table .= '			<th colspan="2" align="center" id="table-header"><a href="#" onclick="events(\'addFile\', '.$clientId.')" title="Add File"><img src="images/add.png" border="0"></a></th>';
		// $table .= '		 </tr>';
		
		$table = '<div class="table">';
		$table .= '		<div class="tr" id="table-header">';
		$table .= '			<div class="th" id="table-header"><b>JEM List</b></div>';
		$table .= '		</div>';
		$table .= '		<div class="tr"  id="table-header">';
		$table .= '			<div class="th client_flielist_file"  id="table-header">JEM Code</div>';
		$table .= '			<div class="th client_flielist_cn"  id="table-header">Title</div>';
		$table .= '			<div class="th client_flielist_status"  id="table-header">Status</div>';
		$table .= '			<div class="th add"  id="table-header"><a href="#" onclick="events(\'addFile\', '.$clientId.')" title="Add JEM"><img src="images/add.png" border="0"></a></div>';
		$table .= '		 </div>';
		
		$rowCnt = mysql_num_rows($rec);
		
		if ($rowCnt > 0)
		{
			$ctr = 1;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				if (($ctr % 2) == 0 )
				{
					$classRow = "table-row2";
				}
				else
				{
					$classRow = "table-row1";
				}
				$status = self::$fileStatus[$row[self::FD_FILE_STATUS]];
				$table .= '		 <div  class="tr" id="'.$classRow.'">';
				$table .= '			<div class="td client_flielist_file" id="table-row"><span>File : </span>'.$row[self::FD_JEM_NO].'</div>';
				$table .= '			<div class="td client_flielist_cn" id="table-row"><span>Case Name : </span>'.ellipsis($row[self::FD_TITLE], 20).'</div>';
				$table .= '			<div class="td client_flielist_status" id="table-row"><span>Status : </span>'.$status.'</div>';
				$table .= '			<div class="td actions" align="center" id="table-row"><a href="#" onclick="events(\'editFile\', '.$row['file_id'].')" title="Edit JEM"><img src="images/edit.png" border="0"></a></div>';
				$table .= '			<div class="td actions" align="center" id="table-row"><a href="#" onclick="events(\'viewFile\', '.$row['file_id'].')" title="View JEM"><img src="images/view.png" border="0"></a></div>';
				$table .= '			<div class="td actions" id="table-row"><a href="#" onclick="events(\'deleteFile\', '.$row['file_id'].')"><img src="images/delete.png" border="0" title="Delete JEM"></a></div>';
				$table .= '		 </div>';
				$ctr++;
			}
		}
		else
		{
			$table .= '		 <div class="tr" >';
			$table .= '			<div class="td" align="center"><i>--NO RECORD TO BE DISPLAYED--</i></div>';
			$table .= '		 </div>';
		}
		$table .= '	</div>';
		
		return $table;
	}
	
	public function getClientFileType($clientId, $fileType=NULL)
	{
		$sql = 'SELECT file_id, file_type, file_number, file_name FROM '.self::VIEWNAME_LIST.' WHERE client_id = '.intval($clientId)." and active =1";
		// if (is_null($fileType))
		// {
			// $fileType = '';
		// }
		// $sql .= ' AND file_type = '.dbString($fileType);
		$rec = $this->Db->selectDatafromDB($sql);
		$rowCnt = mysql_num_rows($rec);
		
		$table = '<table width="90%" align="center">';
		$table .= '	<tr>';
		$table .= '		<td align="right" colspan="3"><a onclick="events(\'closeFiles\', 0)"><img src="images/close.png" alt="Close" height="10px" width="10px"></td>';
		$table .= '	</tr>';
		
		if ($rowCnt > 0)
		{
			$table .= '	<tr>';
			$table .= '		<td align="left"><b>No</b></td>';
			$table .= '		<td align="left"><b>File</b></td>';
			$table .= '		<td align="left"><b>Case</b></td>';
			$table .= '	</tr>';
			$ctr = 1;
			while($row = mysql_fetch_array($rec, MYSQL_ASSOC)) 
			{
				//$filename = stripslashes($row[self::FD_FILE_NAME]);
				$filename = str_replace('\"', '_', $row[self::FD_FILE_NAME]);
				$table .= '		 <tr onclick="events(\'setFile\', \''.$row[self::FD_FILE_ID].'#'.$row[self::FD_FILE_NUMBER].'#'.$filename.'\')">';
				$table .= '			<td>'.$ctr.'</td>';
				$table .= '			<td width="50px">'.$row[self::FD_FILE_TYPE].'.'.$row[self::FD_FILE_NUMBER].'</td>';
				$table .= '			<td>'.stripslashes($row[self::FD_FILE_NAME]).'</td>';
				$table .= '		 </tr>';
				$ctr++;
			}
		}
		else
		{
			$table .= '		 <tr>';
			$table .= '			<td colspan="5" align="center"><i>--No Files Listed--</i></td>';
			$table .= '		 </tr>';
		}
		$table .= '	</table>';
		return $table;
	}
	
	public static function arrClientsFiles($clientId=NULL, $fileType=NULL, $fileNumber=NULL)
	{
		$Db = new MSSQLDatabase();
		$arrField = array('DISTINCT(client_id)', 'COUNT(*) AS file_count');
		$cond = 'active = 1';
		if ($clientId != NULL && $clientId != '')
			$cond = ' AND client_id = ' . intval($clientId);
		if ($fileType != NULL && $fileType != '') 
			$cond .= ' AND UCASE(file_type) = "' . strtoupper($fileType) . '"';
		if ($fileNumber != NULL && $fileNumber != '') 
			$cond .= ' AND file_number like "' . strtoupper($fileNumber) . '%"';
		$rec = $Db->getDatafromDB(self::VIEWNAME_LIST, $arrField, $cond, 'client_id', 'client_id');
		$arrData = array();
		while($data = mysql_fetch_array($rec, MYSQL_ASSOC))
		{
			$arrData[$data['client_id']] = $data;
		}
		return $arrData;
	}	
	
	public function getJemsPerClient($clientId)
	{
		$sql = 'SELECT * FROM '.self::TABLENAME_FILE_INFO.' WHERE '.self::FD_CLIENT_ID.' = '. intval($clientId);
		$rec = $this->Db->selectDatafromDB($sql);		
		$cnt = mysql_num_rows($rec);
		$jems = array();
		if ($clientId != 0 && $cnt != 0)
		{
			while ($row = mysql_fetch_array($rec, MYSQL_ASSOC))
			{
				$jems[$row['file_id']] = $row['file_id'];
			}
		}
		return $jems;
	}

}
?>