DROP TABLE file_info_tbl;

CREATE TABLE `file_info_tbl` (
  `file_id` int(11) NOT NULL AUTO_INCREMENT,
  `client_id` mediumint(9) NOT NULL,
  `file_type` varchar(2) NOT NULL,
  `file_number` varchar(10) NOT NULL,
  `file_name` varchar(250) NOT NULL,
  `file_re` text,
  `file_adverse_party` varchar(100) DEFAULT NULL,
  `file_adverse_address` varchar(250) DEFAULT NULL,
  `file_opposing_counsel` varchar(100) DEFAULT NULL,
  `file_opposing_address` varchar(250) DEFAULT NULL,
  `file_acceptance_fee` varchar(300) DEFAULT NULL,
  `file_fixed_fee` varchar(300) DEFAULT NULL,
  `file_initial_fee` varchar(300) DEFAULT NULL,
  `file_retainers_fee` varchar(300) DEFAULT NULL,
  `file_ope_deposit` varchar(300) DEFAULT NULL,
  `file_unused_ope` varchar(300) DEFAULT NULL,
  `file_last_billing` datetime DEFAULT NULL,
  `file_date_opened` datetime DEFAULT NULL,
  `file_status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1-Active; 0 - Pending; 2- Inactive',
  `file_remarks` varchar(100) DEFAULT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `insert_by` tinyint(4) DEFAULT NULL,
  `insert_dt` datetime DEFAULT NULL,
  `update_by` tinyint(4) DEFAULT NULL,
  `update_dt` datetime DEFAULT NULL,
  `department_id` int(11) NOT NULL,
  `jobs_id` int(11) NOT NULL,
  `referred_by` int(11) NOT NULL,
  `short_title` text,
  `job_desc` text,
  `file_retainers_fee_us` varchar(300) DEFAULT NULL,
  `file_acceptance_fee_us` varchar(300) DEFAULT NULL,
  `file_fixed_fee_us` varchar(300) DEFAULT NULL,
  `file_initial_fee_us` varchar(300) DEFAULT NULL,
  `file_max_fee` varchar(300) DEFAULT NULL,
  `file_max_fee_us` varchar(300) DEFAULT NULL,
  `file_jem_no` varchar(50) NOT NULL,
  `file_others` text NOT NULL,
  `file_billing_details` varchar(200) NOT NULL,
  PRIMARY KEY (`file_id`)
) ENGINE=InnoDB AUTO_INCREMENT=164 DEFAULT CHARSET=latin1;

INSERT INTO file_info_tbl VALUES("1","1","","","","","","","","","0","0","","100000","","","","2016-08-04 11:47:02","1","","1","1","2016-08-04 19:47:02","1","2016-10-05 10:23:51","2","5","0","CMMTC Director","Acting as director of CMMTC","0.00","0.00","0.00","","0.00","0.00","CMT-001-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("2","2","","","","","","","","","0","0","","0","","","","2016-08-04 12:11:42","1","","1","1","2016-08-04 20:11:42","","","7","6","12","Various matters","To render advice on various issues","0.00","0.00","0.00","","0.00","0.00","ABC-002-SP-A-1","","");
INSERT INTO file_info_tbl VALUES("3","3","","","","","","","","","0","0","","0","","","","2016-08-04 12:13:40","1","","1","1","2016-08-04 20:13:40","","","7","6","12","Various matters","To render advice on various issues","0.00","0.00","0.00","","0.00","0.00","PDF-003-SP-A-1","","");
INSERT INTO file_info_tbl VALUES("4","4","","","","","","","","","25000","0","","0","","","","2016-08-04 12:30:23","1","","1","1","2016-08-04 20:30:23","","","8","6","12","MPSA Assignment","To render advice on various tax issues involving the assignment of its MPSA","0.00","0.00","0.00","","0.00","0.00","TAO-004-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("5","4","","","","","","","","","0","0","","0","","","","2016-08-04 12:32:48","1","","1","1","2016-08-04 20:32:48","","","8","6","12","2010 Assessment","To render legal services in connection to internal revenue tax liabilities and assessment of the company for the taxable year ending December 31, 2010","0.00","0.00","0.00","","0.00","0.00","TAO-004-TAX-A-2","","");
INSERT INTO file_info_tbl VALUES("6","5","","","","","","","","","20000","0","","0","","","","2016-08-04 12:44:23","1","","1","1","2016-08-04 20:44:23","1","2016-08-11 19:00:49","8","5","0","Asset Transfer","To assist client in achieving the transfer of certain assets in a tax efficient manner","0.00","0.00","0.00","","0.00","0.00","GEN-005-TAX-O-1","20000","");
INSERT INTO file_info_tbl VALUES("7","6","","","","","","","","","20000","0","","0","","","","2016-08-04 12:46:54","1","","1","1","2016-08-04 20:46:54","1","2016-08-11 19:02:15","2","5","0","VLAP Matters","To assist the Segovia and Teodoro families on matters involving VLAP","0.00","0.00","0.00","","0.00","0.00","SEG-006-COS-O-1","5000","");
INSERT INTO file_info_tbl VALUES("8","7","","","","","","","","","75000","0","","0","","","","2016-08-04 12:49:23","1","","1","1","2016-08-04 20:49:23","","","7","5","12","Spin-Off","To assist client in the spin-off of its nationalized assets","0.00","0.00","0.00","","0.00","0.00","HPI-007-SP-O-1","","");
INSERT INTO file_info_tbl VALUES("9","7","","","","","","","","","0","0","","0","","","","2016-08-04 12:53:16","1","","1","1","2016-08-04 20:53:16","1","2016-10-06 11:30:37","7","6","0","Combination-Lafarge Republic, Inc.","To assist and advise client on various legal advice of proposed combination with Lafarge Republic, Inc.","0.00","0.00","0.00","","0.00","0.00","HPI-007-SP-A-2","","");
INSERT INTO file_info_tbl VALUES("10","7","","","","","","","","","0","0","","0","","","","2016-08-04 12:57:21","1","","1","1","2016-08-04 20:57:21","","","8","5","0","ACC-CAR Acquisition","To get the Certificate Authorizing Registration of the ACC (Alsons Cements Corporation)","0.00","0.00","0.00","","0.00","0.00","HPI-007-TAX-O-3","","");
INSERT INTO file_info_tbl VALUES("11","4","","","","","","","","","0","0","","0","","","","2016-08-11 10:58:30","1","","1","1","2016-08-11 18:58:30","","","5","3","12","Donor\'s Tax (CTA Case No. 9078)","To assist client in protesting its assessment of donor\'s tax","0.00","0.00","0.00","","0.00","0.00","TAO-004-LIT-L-3","","");
INSERT INTO file_info_tbl VALUES("12","6","","","","","","","","","20000","0","","0","","","","2016-08-11 11:05:19","1","","1","1","2016-08-11 19:05:19","","","8","5","12","Tax Consultation","To render advice on various tax issues and other matters","0.00","0.00","0.00","","0.00","0.00","SEG-006-TAX-O-2","5000","");
INSERT INTO file_info_tbl VALUES("13","7","","","","","","","","","0","0","","0","","","","2016-08-11 11:15:46","1","","1","1","2016-08-11 19:15:46","1","2016-09-20 09:06:31","7","6","0","Roliva","To assist HPI in the liquidation of Roliva B.V.","0.00","0.00","0.00","","0.00","0.00","HPI-007-SP-A-4","","");
INSERT INTO file_info_tbl VALUES("14","8","","","","","","","","","50000","0","","0","","","","2016-08-11 11:21:39","1","","1","1","2016-08-11 19:21:39","","","8","5","12","Tax Clearance Application","To assist client in securing the certificate authorizing registration on the sale of its shares","0.00","0.00","0.00","","0.00","0.00","CII-008-TAX-O-1","10000","");
INSERT INTO file_info_tbl VALUES("15","9","","","","","","","","","25000","0","","0","","","","2016-08-11 11:27:51","1","","1","1","2016-08-11 19:27:51","","","8","6","12","Contractor\'s VAT","To render advice on various tax issues involving the VAT of its contracts","0.00","0.00","0.00","","0.00","0.00","TAR-009-TAX-A-1","5000","");
INSERT INTO file_info_tbl VALUES("16","10","","","","","","","","","0","0","","10000","","","","2016-08-11 11:30:17","1","","1","1","2016-08-11 19:30:17","1","2016-08-11 19:31:19","6","3","0","Retainer","To assist in routing conclusion, advice and opinions on various fields of law","0.00","0.00","0.00","","0.00","0.00","STC-010-RET-L-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("17","11","","","","","","","","","20000","0","","0","","","","2016-08-11 11:33:33","1","","1","1","2016-08-11 19:33:33","1","2016-08-11 19:33:50","8","6","12","Tax Consultation","To render advice on various tax issues involving the company","0.00","0.00","0.00","","0.00","0.00","FU-011-TAX-A-1","5000","");
INSERT INTO file_info_tbl VALUES("18","11","","","","","","","","","0","0","","0","","","","2016-08-11 11:47:22","1","","1","1","2016-08-11 19:47:22","","","8","3","12","CTA Case No. 8659","To assist client in pursuing its judicial remedy on its 2006-2007 tax assessment","0.00","0.00","0.00","","0.00","0.00","FU-011-TAX-L-2","","");
INSERT INTO file_info_tbl VALUES("19","11","","","","","","","","","0","0","","10000","","","","2016-08-11 11:50:34","1","","1","1","2016-08-11 19:50:34","1","2016-09-26 17:26:33","2","5","12","Corporate Services","To provide corporate secretarial work to the company","0.00","0.00","0.00","","0.00","0.00","FU-011-COS-O-3","","5th day of the month");
INSERT INTO file_info_tbl VALUES("20","12","","","","","","","","","0","20000","","0","","","","2016-08-11 11:56:13","1","","1","1","2016-08-11 19:56:13","","","2","5","12","Incorporation","Incorporation of Corsalis, Inc.","0.00","0.00","0.00","","0.00","0.00","COR-012-COS-O-1","5000","");
INSERT INTO file_info_tbl VALUES("21","13","","","","","","","","","0","0","","10000","","","","2016-08-11 11:58:02","1","","1","1","2016-08-11 19:58:02","","","6","6","0","Corporate Services","Retainer Arrangement","0.00","0.00","0.00","","0.00","0.00","SLTC-013-RET-A-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("22","14","","","","","","","","","20000","0","","0","","","","2016-08-11 12:02:53","1","","1","1","2016-08-11 20:02:53","","","8","6","12","Tax Consultation","To render advice on various tax issues involving the company","0.00","0.00","0.00","","0.00","0.00","VLAP-014-TAX-A-1","5000","");
INSERT INTO file_info_tbl VALUES("23","14","","","","","","","","","0","0","","0","","","","2016-08-11 12:22:36","1","","1","1","2016-08-11 20:22:36","","","7","6","12","Property Partition","To provide the company with certain legal services involving property partition with regard to the tax and other legal consequences and requirements","0.00","0.00","0.00","","0.00","0.00","VLAP-014-SP-A-2","","");
INSERT INTO file_info_tbl VALUES("24","15","","","","","","","","","0","0","","10000","","","","2016-08-11 12:25:05","1","","1","1","2016-08-11 20:25:05","1","2016-09-26 17:25:09","2","5","12","Corporate Services","To provide corporate secretarial work to the company","0.00","0.00","0.00","","0.00","0.00","RPMC-015-COS-O-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("25","16","","","","","","","","","30000","0","","0","","","","2016-08-11 12:28:01","1","","1","1","2016-08-11 20:28:01","","","8","6","12","Tax Consultation","To render advice on various tax issues","0.00","0.00","0.00","","0.00","0.00","RFM-016-TAX-A-1","5000","");
INSERT INTO file_info_tbl VALUES("26","17","","","","","","","","","20000","0","","0","","","","2016-08-11 12:30:44","1","","1","1","2016-08-11 20:30:44","","","8","6","12","General Consultation","To advise client on various tax matters","0.00","0.00","0.00","","0.00","0.00","TEH-017-TAX-A-1","5000","");
INSERT INTO file_info_tbl VALUES("27","18","","","","","","","","","0","0","","0","","","","2016-08-11 12:33:28","1","","1","1","2016-08-11 20:33:28","","","7","5","12","Property Due Diligence (RP Review)","To conduct a due diligence review on the ownership and title covering the Marina Square Suites and the Plaza Building","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-1","","");
INSERT INTO file_info_tbl VALUES("28","18","","","","","","","","","0","0","","0","","","","2016-08-11 12:36:34","1","","1","1","2016-08-11 20:36:34","","","7","5","12","Blue Marine Properties","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-2","","");
INSERT INTO file_info_tbl VALUES("29","18","","","","","","","","","0","0","","0","","","","2016-08-11 12:38:01","1","","1","1","2016-08-11 20:38:01","","","7","5","0","CTF Hotels and Entertainment, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-3","","");
INSERT INTO file_info_tbl VALUES("30","18","","","","","","","","","0","0","","0","","","","2016-08-11 12:40:22","1","","1","1","2016-08-11 20:40:22","","","7","5","12","CTF Properties, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-4","","");
INSERT INTO file_info_tbl VALUES("31","18","","","","","","","","","0","0","","0","","","","2016-08-15 10:05:28","1","","1","1","2016-08-15 18:05:28","","","7","5","12","Foreign Holiday Philippines, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-5","","");
INSERT INTO file_info_tbl VALUES("32","18","","","","","","","","","0","0","","0","","","","2016-08-15 10:07:09","1","","1","1","2016-08-15 18:07:09","","","7","5","12","Fortunegate Holiday Philippines, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-6","","");
INSERT INTO file_info_tbl VALUES("33","18","","","","","","","","","0","0","","0","","","","2016-08-15 10:08:49","1","","1","1","2016-08-15 18:08:49","","","7","5","12","Great Holiday Entertainment, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-7","","");
INSERT INTO file_info_tbl VALUES("34","18","","","","","","","","","0","0","","0","","","","2016-08-15 10:10:15","1","","1","1","2016-08-15 18:10:15","","","7","5","12","Great Holiday Health &amp; Spa, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-8","","");
INSERT INTO file_info_tbl VALUES("35","18","","","","","","","","","0","0","","0","","","","2016-08-15 10:11:45","1","","1","1","2016-08-15 18:11:45","","","7","5","12","Harbor View Properties and Holdings, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-9","","");
INSERT INTO file_info_tbl VALUES("36","18","","","","","","","","","0","0","","0","","","","2016-08-15 10:13:01","1","","1","1","2016-08-15 18:13:01","","","7","5","12","New Coast Hotel, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-10","","");
INSERT INTO file_info_tbl VALUES("37","18","","","","","","","","","0","0","","0","","","","2016-08-15 10:15:53","1","","1","1","2016-08-15 18:15:53","","","7","5","12","Pacific Bayview Properties, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-11","","");
INSERT INTO file_info_tbl VALUES("38","18","","","","","","","","","75000","0","","0","","","","2016-08-15 10:19:44","1","","1","1","2016-08-15 18:19:44","","","7","4","12","PAGCOR Lease","To render and advice on various issue involve in the amendment of Lease Agreement with PAGCOR","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-T-12","","");
INSERT INTO file_info_tbl VALUES("39","19","","","","","","","","","0","0","","0","","","","2016-08-15 10:41:12","1","","1","1","2016-08-15 18:41:12","1","2016-08-15 18:42:35","8","3","13","Civil Case No. 13-1108","Annulment of Local Business Tax Assessment","0.00","0.00","0.00","","0.00","0.00","CAC-019-TAX-L-1","","");
INSERT INTO file_info_tbl VALUES("40","19","","","","","","","","","0","0","","0","","","","2016-08-15 10:44:22","1","","1","1","2016-08-15 18:44:22","","","8","3","13","Casop Atlas Holding Corporation","","0.00","0.00","0.00","","0.00","0.00","CAC-019-TAX-L-2","","");
INSERT INTO file_info_tbl VALUES("41","20","","","","","","","","","75000","0","","0","","","","2016-08-15 10:56:06","1","","1","1","2016-08-15 18:56:06","","","7","4","12","Vanguard Hospitality Assets (Phils.), Inc.","Assistance on the proposed joint venture","0.00","0.00","0.00","","0.00","0.00","KLC-020-SP-T-1","15000","");
INSERT INTO file_info_tbl VALUES("42","20","","","","","","","","","0","0","","0","","","","2016-08-15 10:59:29","1","","1","1","2016-08-15 18:59:29","","","7","4","12","Vanguard Hotels (Phils.), Inc.","Assistance on the proposed joint venture","0.00","0.00","0.00","","0.00","0.00","KLC-020-SP-T-2","","");
INSERT INTO file_info_tbl VALUES("43","21","","","","","","","","","0","0","","0","","","","2016-08-15 11:29:14","1","","1","1","2016-08-15 19:29:15","","","2","6","12","E-Linkage/Intelligent E-Solutions Holding Corp.","To provide legal service to the company in connection with the on-going project to establish E-Linkage, a clearing house with an EMI license from the BSP","0.00","0.00","0.00","","0.00","0.00","AAI-021-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("44","22","","","","","","","","","0","0","","0","","","","2016-08-15 11:35:04","1","","1","1","2016-08-15 19:35:04","","","2","6","12","","","0.00","0.00","0.00","","0.00","0.00","DHH-022-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("45","23","","","","","","","","","75000","0","","0","","","","2016-08-15 11:40:40","1","","1","1","2016-08-15 19:40:40","","","2","5","12","The Big@St.Ig., Inc.","Incorporation of Land Holding Company","0.00","0.00","0.00","","0.00","0.00","ACI-023-COS-O-1","10000","");
INSERT INTO file_info_tbl VALUES("46","24","","","","","","","","","15000","0","","0","","","","2016-08-15 12:21:16","1","","1","1","2016-08-15 20:21:16","","","8","5","12","2011-2012 Tax Annulment","To assist client in verification of their tax liabilities for TY 2011 and 2012","0.00","0.00","0.00","","0.00","0.00","OLEP-024-TAX-O-1","5000","");
INSERT INTO file_info_tbl VALUES("47","25","","","","","","","","","0","0","","5000","","","","2016-08-15 12:23:54","1","","1","1","2016-08-15 20:23:54","1","2016-08-15 20:26:15","2","6","12","","To provide corporate secretarial work, to assist in the conduct of regular meetings of the BOD or SH and assist in filing with SEC and maintenance of STB","0.00","0.00","0.00","","0.00","0.00","CLI-025-COS-A-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("48","26","","","","","","","","","0","0","","0","","","","2016-08-15 12:28:15","1","","1","1","2016-08-15 20:28:15","1","2016-08-15 20:30:27","2","6","0","","To provide corporate secretarial work to the company","0.00","0.00","0.00","","0.00","0.00","CHI-026-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("49","26","","","","","","","","","75000","0","","0","","","","2016-08-15 12:32:34","1","","1","1","2016-08-15 20:32:34","","","5","3","0","Civil Case No. 14-137","To assist the client in Civil Case No. 14-137 involving local tax assessment","0.00","0.00","0.00","","0.00","0.00","CHI-026-LIT-L-2","15000","");
INSERT INTO file_info_tbl VALUES("50","27","","","","","","","","","30000","0","","0","","","","2016-08-15 12:35:23","1","","1","1","2016-08-15 20:35:23","","","8","6","12","","To provide the company with certain legal services involving shareholding structure, status updates, advice and render opinions with regard to the tax and other legal consequences and requirements","0.00","0.00","0.00","","0.00","0.00","HRI-027-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("51","28","","","","","","","","","0","60000","","0","","","","2016-08-15 12:37:41","1","","1","1","2016-08-15 20:37:41","","","8","6","12","","To render legal services and opinion as tax counsel to the company in connection with the listing of its shares","0.00","0.00","0.00","","0.00","0.00","TAPC-028-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("52","29","","","","","","","","","0","0","","0","","","","2016-08-15 12:42:51","1","","1","1","2016-08-15 20:42:51","","","8","3","12","CTA Case No. 8289","To render legal services in connection to CTA Case involving the company","0.00","0.00","0.00","","0.00","0.00","TPGC-029-TAX-L-1","","");
INSERT INTO file_info_tbl VALUES("53","30","","","","","","","","","0","0","","8000","","","","2016-08-15 12:45:11","1","","1","1","2016-08-15 20:45:11","","","6","6","0","","To provide the company routine and/or basic advice and opinions on various fields of Philippine Law and corporate services","0.00","0.00","0.00","","0.00","0.00","SYN-030-RET-A-1","","");
INSERT INTO file_info_tbl VALUES("54","31","","","","","","","","","0","0","","8000","","","","2016-08-15 12:49:54","1","","1","1","2016-08-15 20:49:54","","","5","3","0","Margallo Case","To assist client in the case entitled &quot;Heirs of Late Margallo, et. al vs. Heirs of Late Gregorio Margallo, et. al.&quot; Civil Case No. 6913, RTC of Masbate City","0.00","0.00","0.00","","0.00","0.00","GMP-031-LIT-L-1","","");
INSERT INTO file_info_tbl VALUES("55","32","","","","","","","","","0","0","","0","","","","2016-08-25 11:19:50","1","","1","1","2016-08-25 19:19:50","","","2","5","0","Incorporation-FKC Capital Investment, Inc.","To assist in incorporating a new company","0.00","0.00","0.00","","0.00","0.00","FKC-032-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("56","33","","","","","","","","","0","0","","13000","","","","2016-08-25 11:21:49","1","","1","1","2016-08-25 19:21:49","","","6","6","0","","To provide corporate secretarial and retainer services to the company","0.00","0.00","0.00","","0.00","0.00","GDS-033-RET-A-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("57","33","","","","","","","","","18000","0","","0","","","","2016-08-25 11:24:12","1","","1","1","2016-08-25 19:24:12","","","4","6","0","Alien Employment Permit Application","To assist client in achieving the Alien Employment Permit to be issued by DOLE","0.00","0.00","0.00","","0.00","0.00","GDS-033-LAB-A-2","","");
INSERT INTO file_info_tbl VALUES("58","34","","","","","","","","","0","0","","6000","","","","2016-08-25 11:26:29","1","","1","1","2016-08-25 19:26:29","","","2","6","0","","To provide corporate service to the company","0.00","0.00","0.00","","0.00","0.00","MBG-034-COS-A-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("59","35","","","","","","","","","0","0","","0","","","","2016-08-25 11:29:39","1","","1","1","2016-08-25 19:29:39","1","2016-08-25 19:29:58","8","6","0","Tax Sparing","To secure tax sparing ruling from the BIR with respect to dividends received by the Cayman Islands Fund","0.00","0.00","0.00","","0.00","0.00","SPF-035-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("60","36","","","","","","","","","0","0","","0","","","","2016-08-25 11:31:54","1","","1","1","2016-08-25 19:31:54","","","8","4","0","Lima Land, Inc. (CAR)","To secure a certificate authorizing registration (CAR) in relation to its sale of all of its shares of stock in Lima Land, Inc. to Aboitiz Land, Inc.","0.00","0.00","0.00","","0.00","0.00","MAR-036-TAX-T-1","15000","");
INSERT INTO file_info_tbl VALUES("61","36","","","","","","","","","0","0","","0","","","","2016-08-25 11:37:02","1","","1","1","2016-08-25 19:37:02","","","8","3","0","TAT Filipinas Golf Club","To provide certain legal services to Marubeni Philippines Corp. in connection with the due and demandable liability of TAT Filipinas Golf Club, Inc./TAT International Company","0.00","0.00","0.00","","0.00","0.00","MAR-036-TAX-L-2","5680","");
INSERT INTO file_info_tbl VALUES("62","37","","","","","","","","","50000","0","","0","","","","2016-08-25 11:53:50","1","","1","1","2016-08-25 19:53:50","","","2","6","0","Tax on Sale of Shares","To provide legal advice to the corporation and its stockholder PT Citra Lamtoro Gung Persada with respect to the proposed sale by CLP of its shares in the Corporation to a joint venture company","0.00","0.00","0.00","","0.00","0.00","CCEC-037-COS-A-1","10000","");
INSERT INTO file_info_tbl VALUES("63","38","","","","","","","","","0","0","","0","","","","2016-08-25 12:02:41","1","","1","1","2016-08-25 20:02:41","","","7","5","12","Mining Rights (SPIN-OFF)","To assist client in various mining requirements","0.00","0.00","0.00","","0.00","0.00","HMDC-038-SP-O-1","","");
INSERT INTO file_info_tbl VALUES("64","38","","","","","","","","","0","0","","0","","","","2016-09-05 11:08:19","1","","1","1","2016-09-05 19:08:19","","","2","5","12","Corporate Services","To render work as corporate secretary","0.00","0.00","0.00","","0.00","0.00","HMDC-038-COS-O-2","","");
INSERT INTO file_info_tbl VALUES("65","16","","","","","","","","","0","0","","0","","","","2016-09-05 11:18:02","1","","1","1","2016-09-05 19:18:02","","","8","6","12","Tax Consultation","To render advice on various tax issues","0.00","0.00","0.00","","0.00","0.00","RFM-016-TAX-A-2","","");
INSERT INTO file_info_tbl VALUES("66","38","","","","","","","","","0","0","","0","","","","2016-09-05 11:31:31","1","","1","1","2016-09-05 19:31:31","","","7","6","12","Agreements","To assist client in the drafting of various agreements","0.00","0.00","0.00","","0.00","0.00","HMDC-038-SP-A-3","","");
INSERT INTO file_info_tbl VALUES("67","39","","","","","","","","","20000","0","","0","","","","2016-09-05 11:36:23","1","","1","1","2016-09-05 19:36:23","","","8","6","12","Estate Tax","To provide legal advice and services in connection to Estate Tax Return of the Estate of Theresa Wai Ching Kwa","0.00","0.00","0.00","","0.00","0.00","TTP-039-TAX-A-1","10000","");
INSERT INTO file_info_tbl VALUES("68","40","","","","","","","","","50000","0","","0","","","","2016-09-05 11:38:53","1","","1","1","2016-09-05 19:38:53","","","8","6","0","Invoicing Requirements","To provide legal advice with respect to the company\'s compliance with the invoicing requirements imposed by the BIR","0.00","0.00","0.00","","0.00","0.00","PHIN-040-TAX-A-1","10000","");
INSERT INTO file_info_tbl VALUES("69","41","","","","","","","","","25000","0","","0","","","","2016-09-05 11:42:06","1","","1","1","2016-09-05 19:42:06","","","8","6","12","Estate Tax","To provide legal advice and services in connection to Estate Tax Return of the Estate of Antonio Borromeo","0.00","0.00","0.00","","0.00","0.00","MSB-041-TAX-A-1","15000","");
INSERT INTO file_info_tbl VALUES("70","42","","","","","","","","","30000","0","","0","","","","2016-09-05 11:44:16","1","","1","1","2016-09-05 19:44:16","","","8","3","0","2012 Assessment","To assist client in its potential 2012 Assessment","0.00","0.00","0.00","","0.00","0.00","SMDC-042-TAX-L-1","","");
INSERT INTO file_info_tbl VALUES("71","43","","","","","","","","","30000","0","","0","","","","2016-09-05 11:49:54","1","","1","1","2016-09-05 19:49:54","","","8","6","0","Sual Global Industries","To provide tax advice and other services with respect to some transactions involving the company  (SGI) and its stockholders","0.00","0.00","0.00","","0.00","0.00","ELA-043-TAX-A-1","5000","");
INSERT INTO file_info_tbl VALUES("72","44","","","","","","","","","20000","0","","0","","","","2016-09-05 12:05:08","1","","1","1","2016-09-05 20:05:08","","","2","6","12","SLII Incorporation","To provide legal advice to the client with respect to their plans to set up an outsourcing entity, to provide trainings on the Spanish language to call center or school for the Spanish language","0.00","0.00","0.00","","0.00","0.00","SLII-044-COS-A-1","10000","");
INSERT INTO file_info_tbl VALUES("73","45","","","","","","","","","100000","0","","0","","","","2016-09-05 12:14:48","1","","1","1","2016-09-05 20:14:48","","","2","6","12","E-Linkage Clearing House, Inc.","To provide the company legal services in connection with the ongoing project to establish E-linkage, a clearing house with an electronic money issuer (EMI) license from the BSP","0.00","0.00","0.00","","0.00","0.00","ECHI-045-COS-A-1","10000","");
INSERT INTO file_info_tbl VALUES("74","45","","","","","","","","","0","0","","5000","","","","2016-09-05 12:19:23","1","","1","1","2016-09-05 20:19:23","","","6","6","12","Retainer","To provide corporate secretarial work to E-Linkage Clearing House, Inc.","0.00","0.00","0.00","","0.00","0.00","ECHI-045-RET-A-2","","5th day of the month");
INSERT INTO file_info_tbl VALUES("75","46","","","","","","","","","0","0","","0","","","","2016-09-05 12:22:37","1","","1","1","2016-09-05 20:22:37","1","2016-09-05 20:22:55","8","6","0","Tax Clearance/CAR on the Sale of Shares","To assist client in securing tax clearance or Certificate Authorizing Registration (&quot;CAR&quot;) on the proposed sale of its shares in SM Development Corporation","0.00","500.00","0.00","","0.00","0.00","FTE-046-TAX-A-1","US$250","");
INSERT INTO file_info_tbl VALUES("76","47","","","","","","","","","25000","0","","0","","","","2016-09-05 12:32:36","1","","1","1","2016-09-05 20:32:36","","","2","6","0","","To provide legal advice and services to the company with respect to certain matters involving loans or advances from AMSPEC","0.00","0.00","0.00","","0.00","0.00","WMH-047-COS-A-1","5000","");
INSERT INTO file_info_tbl VALUES("77","48","","","","","","","","","0","0","","0","","","","2016-09-05 12:35:09","1","","1","1","2016-09-05 20:35:09","","","8","6","0","Sale of Real Property","To provide legal services to the company in connection with the proposed sale of its real property to potential buyers","0.00","0.00","0.00","","0.00","0.00","CCRH-048-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("78","48","","","","","","","","","0","0","","0","","","","2016-09-05 12:44:26","1","","0","1","2016-09-05 20:44:27","","","8","6","0","Sale of Real Property","To provide legal services to the company in connection with the proposed sale of its real property to potential buyers","0.00","0.00","0.00","","0.00","0.00","CCRH-048-TAX-A-2","","");
INSERT INTO file_info_tbl VALUES("79","49","","","","","","","","","15000","0","","0","","","","2016-09-08 10:26:02","1","","1","1","2016-09-08 18:26:02","","","2","5","0","MEDC Incorporation","To assist client in incorporating a stock corporation that will engage in the energy and power generation and distribution business.","0.00","0.00","0.00","","0.00","0.00","MEDC-049-COS-O-1","15000","");
INSERT INTO file_info_tbl VALUES("80","50","","","","","","","","","0","0","","0","","","","2016-09-08 10:35:20","1","","1","1","2016-09-08 18:35:20","1","2016-10-06 11:32:09","7","6","0","Philippine ROHQ","To assist client in drafting various documents and other legal requirements of its ROHQ","0.00","0.00","0.00","","0.00","0.00","HEAB-050-SP-A-1","","");
INSERT INTO file_info_tbl VALUES("81","50","","","","","","","","","0","0","","0","","","","2016-09-08 10:38:45","1","","1","1","2016-09-08 18:38:45","","","8","6","0","Philippine ROHQ-TAX","To assist client in compliant with various tax requirements and render advice on tax issues.","0.00","0.00","0.00","","0.00","0.00","HEAB-050-TAX-A-2","","");
INSERT INTO file_info_tbl VALUES("82","50","","","","","","","","","0","0","","0","","","","2016-09-08 10:40:27","1","","1","1","2016-09-08 18:40:27","","","4","6","0","Philippine ROHQ-LABOR","To render advice on various labor law issues and requirements","0.00","0.00","0.00","","0.00","0.00","HEAB-050-LAB-A-3","","");
INSERT INTO file_info_tbl VALUES("83","50","","","","","","","","","0","0","","0","","","","2016-09-08 10:42:36","1","","1","1","2016-09-08 18:42:36","","","5","6","0","Philippine ROHQ-LIT (Victoria Pauline Hernandez)","","0.00","0.00","0.00","","0.00","0.00","HEAB-050-LIT-A-4","","");
INSERT INTO file_info_tbl VALUES("84","51","","","","","","","","","50000","150000","","0","","","","2016-09-08 10:46:49","1","","1","1","2016-09-08 18:46:49","1","2016-09-08 18:49:01","7","6","0","Shareholder Agreement","To advise client with respect to a shareholders\' agreement with Hijo Power and Light Company Inc.","0.00","0.00","0.00","","0.00","0.00","WTL-051-SP-A-1","10000 (Note: expenses will be at cost and any expense over P2,000 will be pre-approved by the client)","");
INSERT INTO file_info_tbl VALUES("85","52","","","","","","","","","200000","0","","0","","","","2016-09-08 10:52:22","1","","1","1","2016-09-08 18:52:22","","","7","4","0","Acquisition","To provide legal services to Ms. Liuson-Tan and Family on the proposed acquisition by a purchaser to be chosen after bidding of their majority stake in the following companies: TGP Pharma, Inc.; The Generics Pharmacy Franchising Corp.; Pacific Pharmaceuticals, Inc.; TheGenerics Pharmacy, Inc.","0.00","0.00","0.00","","0.00","0.00","TGP-052-SP-T-1","10000","");
INSERT INTO file_info_tbl VALUES("86","53","","","","","","","","","0","0","","0","","","","2016-09-08 10:56:01","1","","1","1","2016-09-08 18:56:01","","","2","5","0","Philippine Subsidy","To provide legal advice to the client with respect to the establishment of Philippine subsidiary/business presence which will be acting as importer and distributor of the company\'s products within the Philippines","0.00","1500.00","0.00","","0.00","0.00","IASA-053-COS-O-1","US$1000","");
INSERT INTO file_info_tbl VALUES("87","53","","","","","","","","","0","0","","0","","","","2016-09-08 10:58:37","1","","1","1","2016-09-08 18:58:37","","","2","5","0","Produmix Termination","To provide legal advice to the client with respect to termination of contract","0.00","0.00","0.00","","0.00","0.00","IASA-053-COS-O-2","","");
INSERT INTO file_info_tbl VALUES("88","54","","","","","","","","","0","0","","0","","","","2016-09-08 11:01:23","1","","1","1","2016-09-08 19:01:23","1","2016-09-26 14:08:57","7","6","0","COHECO International Limited","To provide certain legal services to COHECO International Limited in connection with the company\'s investments in hydropower projects in the Philippines","0.00","1000.00","0.00","","0.00","0.00","CIL-054-SP-A-1","US$500","");
INSERT INTO file_info_tbl VALUES("89","55","","","","","","","","","25000","0","","0","","","","2016-09-19 06:42:20","1","","1","1","2016-09-19 14:42:20","","","4","6","13","Dennis R. Llarena","To provide the company with legal services in connection with Mr. Llarena\'s resignation from AMSPEC and filing of a request for Assistance with NLRC","0.00","0.00","0.00","","0.00","0.00","TCI-055-LAB-A-1","P10000","");
INSERT INTO file_info_tbl VALUES("90","56","","","","","","","","","0","0","","0","","","","2016-09-19 07:22:17","1","","1","1","2016-09-19 15:22:17","","","5","3","13","Joanne Francisco","Assist client in the settlement of the estate of Jonathan Michael Osmeña","0.00","0.00","0.00","","0.00","0.00","JCFK-056-LIT-L-1","","");
INSERT INTO file_info_tbl VALUES("91","57","","","","","","","","","0","0","","0","","","","2016-09-19 07:34:14","1","","1","1","2016-09-19 15:34:14","","","8","3","12","2011 Assessment","To provide legal services to the corporation on its judicial appeal to the final decision on disputed assessment (FDDA) issued by the BIR","0.00","0.00","0.00","","0.00","0.00","DCFI-057-TAX-L-1","","");
INSERT INTO file_info_tbl VALUES("92","58","","","","","","","","","0","0","","0","","","","2016-09-19 07:46:17","1","","1","1","2016-09-19 15:46:17","","","5","3","13","Hodges","To cause the cancellation of the name Hodges from the birth certificates and school records of Jeremi Garais Hodges and Simone Garais Hodges","0.00","1000.00","0.00","","0.00","0.00","RGH-058-LIT-L-1","USD250","");
INSERT INTO file_info_tbl VALUES("93","59","","","","","","","","","75000","0","","0","","","","2016-09-19 08:03:58","1","","1","1","2016-09-19 16:03:58","1","2016-09-19 16:13:16","8","3","12","Claim for Refund of Unutilized Input VAT for CY 2011 (CTA Case No. 9009)","To provide legal services in connection with the handling of its judicial claim for the refund of unutilized VAT which arose from the company\'s transaction from the CY ending December 31, 2011 which input VAT is attributable to its zero-rated sales","0.00","0.00","0.00","","0.00","0.00","HED-059-TAX-L-1","P15000","");
INSERT INTO file_info_tbl VALUES("94","59","","","","","","","","","60000","0","","0","","","","2016-09-19 08:18:48","1","","1","1","2016-09-19 16:18:48","1","2016-10-11 14:08:23","8","3","12","Claim for Value Added Tax Credit Certificate-TCC (CTA Case No. 9080)","To provide legal services in connection with the handling of its judicial claim with respect to its application for Value Added Credit (TCC) covering the period January to December 2012","0.00","0.00","0.00","","0.00","0.00","HED-059-TAX-L-2","P15000","");
INSERT INTO file_info_tbl VALUES("95","60","","","","","","","","","0","0","","0","","","","2016-09-19 08:22:46","1","","1","1","2016-09-19 16:22:46","","","8","6","12","","To provide advice and render opinions in the areas of law and taxation that may affect the company\'s business","0.00","0.00","0.00","","0.00","0.00","PRU-060-TAX-A-1","P10000","");
INSERT INTO file_info_tbl VALUES("96","62","","","","","","","","","40000","0","","0","","","","2016-09-19 08:31:13","1","","1","1","2016-09-19 16:31:13","","","8","6","0","Twinning Arrangement","To provide the company with certain tax and legal advice on the tax consequences of its proposed partnership with de Paul University","0.00","0.00","0.00","","0.00","0.00","IACA-062-TAX-A-1","P10000","");
INSERT INTO file_info_tbl VALUES("97","63","","","","","","","","","40000","0","","0","","","","2016-09-19 08:37:20","1","","1","1","2016-09-19 16:37:20","1","2016-09-19 16:57:26","7","6","0","Partnership Arrangement","To provide assistance in drafting partnership agreements and stockholders agreements","0.00","0.00","0.00","","0.00","0.00","FCC-063-SP-A-1","P10,000.00","");
INSERT INTO file_info_tbl VALUES("98","64","","","","","","","","","15000","0","","6000","","","","2016-09-19 08:43:05","1","","1","1","2016-09-19 16:43:05","","","2","6","0","","To provide certain legal services with regard to establishing a Philippine Corporation","0.00","0.00","0.00","","0.00","0.00","MSCS-064-COS-A-1","P5,000.00","5th day of the month");
INSERT INTO file_info_tbl VALUES("99","65","","","","","","","","","10000","0","","10000","","","","2016-09-19 08:51:03","1","","1","1","2016-09-19 16:51:03","1","2016-09-23 10:32:07","6","6","0","","To provide services of a corporate secretary and legal assistance on legal routinary matters","0.00","0.00","0.00","","0.00","0.00","SAN-065-RET-A-1","P5,000.00","5th day of the month");
INSERT INTO file_info_tbl VALUES("100","66","","","","","","","","","10000","18000","","0","","","","2016-09-19 08:55:10","1","","1","1","2016-09-19 16:55:10","1","2016-09-19 16:55:47","2","6","0","","To provide certain legal services it may require in incorporating the company","0.00","0.00","0.00","","0.00","0.00","JAZ-066-COS-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("101","67","","","","","","","","","0","0","","0","","","","2016-09-19 08:59:24","1","","1","1","2016-09-19 16:59:24","","","8","6","0","Withholding Tax on Payments to PEMC","To provide certain legal services it may require","0.00","0.00","0.00","","0.00","0.00","CIP-067-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("102","68","","","","","","","","","10000","18000","","0","","","","2016-09-19 09:10:13","1","","1","1","2016-09-19 17:10:13","","","3","6","0","Incorporation-AsiaMortar Philippines, Inc.","To provide certain legal services it may  require in incorporating the company","0.00","0.00","0.00","","0.00","0.00","AMI-068-IMM-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("103","69","","","","","","","","","0","0","","0","","","","2016-09-19 09:11:40","1","","1","1","2016-09-19 17:11:40","","","2","6","0","","To provide services involving various legal matters","0.00","0.00","0.00","","0.00","0.00","NFCI-069-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("104","70","","","","","","","","","45000","0","","0","","","","2016-09-19 09:14:30","1","","1","1","2016-09-19 17:14:30","","","2","6","14","Incorporation","To provide with certain legal services it may require in advisory work, incorporation of Philippine Entity, post registration requirements, and corporate services","0.00","0.00","0.00","","0.00","0.00","OVD-070-COS-A-1","P50,000.00","");
INSERT INTO file_info_tbl VALUES("105","71","","","","","","","","","0","0","","0","","","","2016-09-19 09:21:16","1","","1","1","2016-09-19 17:21:16","","","7","4","0","","To render legal services to the company with respect to a potential solar power project in the Philippines","0.00","1000.00","0.00","","0.00","0.00","ALLO-071-SP-T-1","US$300","");
INSERT INTO file_info_tbl VALUES("106","72","","","","","","","","","40000","0","","0","","","","2016-09-19 09:24:47","1","","1","1","2016-09-19 17:24:47","","","8","6","0","2011 Assessment","To provide legal and tax services in connection with the handling, for and on behalf of the company of its administrative protest to the FAN issued by BIR","0.00","0.00","0.00","","0.00","0.00","CAI-072-TAX-A-1","P15,000.00","");
INSERT INTO file_info_tbl VALUES("107","73","","","","","","","","","60000","0","","0","","","","2016-09-19 09:27:37","1","","1","1","2016-09-19 17:27:37","","","7","6","0","Due Diligence Review","To provide legal services in connection with the conduct of a legal due diligence review and assistance in the completion of the Acquisition","0.00","0.00","0.00","","0.00","0.00","FPG-073-SP-A-1","P20,000.00","");
INSERT INTO file_info_tbl VALUES("108","74","","","","","","","","","0","35000","","0","","","","2016-09-19 09:30:07","1","","1","1","2016-09-19 17:30:07","","","2","5","0","LRAI Amendment (LHAI)","To assist client with respect to amendment and change of name","0.00","0.00","0.00","","0.00","0.00","LRAI-074-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("109","104","","","","","","","","","0","0","","2000","","","","2016-09-20 01:31:27","1","","1","1","2016-09-20 09:31:27","1","2016-09-20 09:32:31","2","6","0","Corporate Secretary","To Provide Corporate secretarial work to the company","0.00","0.00","0.00","","0.00","0.00","OMN-104-COS-A-1","","Every 5th of the Month");
INSERT INTO file_info_tbl VALUES("110","75","","","","","","","","","0","35000","","0","","","","2016-09-20 03:05:07","1","","1","1","2016-09-20 11:05:07","","","2","5","12","APC Amendment","To assist client with respect to amendment","0.00","0.00","0.00","","0.00","0.00","APC-075-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("111","76","","","","","","","","","0","35000","","0","","","","2016-09-20 03:06:48","1","","1","1","2016-09-20 11:06:48","","","2","5","12","QLI Amendment","To assist client with respect to amendment","0.00","0.00","0.00","","0.00","0.00","QLI-076-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("112","77","","","","","","","","","0","35000","","0","","","","2016-09-20 03:09:30","1","","1","1","2016-09-20 11:09:30","","","2","5","12","SCMC Amendment","To assist client with respect to amendment","0.00","0.00","0.00","","0.00","0.00","SCMC-077-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("113","78","","","","","","","","","0","0","","0","","","","2016-09-20 03:15:18","1","","1","1","2016-09-20 11:15:18","","","2","6","12","","Directorship/Corporate Secretary Services","0.00","0.00","0.00","","0.00","0.00","CSR-078-COS-A-1","no charge","");
INSERT INTO file_info_tbl VALUES("114","79","","","","","","","","","20000","0","","0","","","","2016-09-20 03:21:46","1","","1","1","2016-09-20 11:21:46","","","7","5","12","","To review various agreements or contracts proposed to be entered into by Infocycle Solutions, Inc. with several counter parties","0.00","0.00","0.00","","0.00","0.00","ISI-079-SP-O-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("115","80","","","","","","","","","0","0","","0","","","","2016-09-20 03:23:26","1","","1","1","2016-09-20 11:23:26","1","2016-09-20 12:45:53","2","5","0","","To assist in the incorporation of the company","0.00","0.00","0.00","","0.00","0.00","PCMP-080-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("116","81","","","","","","","","","0","0","","0","","","","2016-09-20 03:25:11","1","","1","1","2016-09-20 11:25:11","","","8","6","0","","To render advice regards to importation of Denatured Alcohol","0.00","0.00","0.00","","0.00","0.00","BMC-081-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("117","81","","","","","","","","","0","0","","0","","","","2016-09-20 03:25:15","1","","0","1","2016-09-20 11:25:15","","","8","6","0","","To render advice regards to importation of Denatured Alcohol","0.00","0.00","0.00","","0.00","0.00","BMC-081-TAX-A-2","","");
INSERT INTO file_info_tbl VALUES("118","82","","","","","","","","","0","0","","0","","","","2016-09-20 03:28:25","1","","1","1","2016-09-20 11:28:25","","","8","6","0","","To render advice on certain tax issue","0.00","0.00","0.00","","0.00","0.00","FWPI-082-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("119","83","","","","","","","","","1000","0","","0","","","","2016-09-20 03:32:05","1","","1","1","2016-09-20 11:32:05","","","8","6","0","Mr. Nils Ulrick Bonen (Estate Tax)","To provide legal service in relation to settlement of the estate of Mr. Nils Ulrick Bonen, A Danish citizen, who left certain funds in a Philippine bank account","0.00","0.00","3000.00","","0.00","0.00","WEST-083-TAX-A-1","US$300","");
INSERT INTO file_info_tbl VALUES("120","84","","","","","","","","","75000","0","","0","","","","2016-09-20 04:54:33","1","","1","1","2016-09-20 12:54:33","","","8","3","0","Input VAT Refund for CY 2013-2015 (CTA Case No. 9276)","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (VAT)","0.00","0.00","0.00","","0.00","0.00","HSI-084-TAX-L-1","P20,000.00","");
INSERT INTO file_info_tbl VALUES("121","112","","","","","","","","","0","0","","0","","","","2016-09-20 06:49:29","1","","0","1","2016-09-20 14:49:29","","","2","6","14","","To provide with certain legal services it may require in advisory work, incorporation of Philippine Entity, post registration requirements, and corporate services","0.00","0.00","0.00","","0.00","0.00","PLBM-112-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("122","110","","","","","","","","","40000","0","","0","","","","2016-09-20 06:50:50","1","","1","1","2016-09-20 14:50:50","1","2016-09-21 15:56:26","7","6","0","Joint Venture Arrangements with Water Districts","To provide the company with certain legal services it may require in dealing with joint venture arrangements with Water Districts","0.00","0.00","0.00","","0.00","0.00","PWC-110-SP-A-1","P10,000.00","");
INSERT INTO file_info_tbl VALUES("123","112","","","","","","","","","0","0","","0","","","","2016-09-20 06:52:39","1","","0","1","2016-09-20 14:52:39","","","2","6","0","","","0.00","0.00","0.00","","0.00","0.00","PLBM-112-COS-A-2","","");
INSERT INTO file_info_tbl VALUES("124","85","","","","","","","","","25000","","","","","","","2016-09-21 02:07:13","1","","1","1","2016-09-21 10:07:13","","","2","6","0","PETRON MEGAPLAZA CONDOMINIUM ASSOC., INC.","To render legal advice or opinion with respect to the foregoing, assistance in identifying options for the company; and assistance in discussions or negotiations with the building administration and other unit owners","","","","","","","ARA-085-COS-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("125","87","","","","","","","","","45000","","","","","","","2016-09-21 02:15:55","1","","1","1","2016-09-21 10:15:55","","","2","6","14","Various Services","To provide with certain legal services it may require in advisory work, incorporation of Philippine Entity, post registration requirements, and corporate services","","","","","","","NFC-087-COS-A-1","P15,000.00","");
INSERT INTO file_info_tbl VALUES("126","87","","","","","","","","","45000","","","","","","","2016-09-21 02:15:55","1","","1","1","2016-09-21 10:15:55","","","2","6","14","Various Services","To provide with certain legal services it may require in advisory work, incorporation of Philippine Entity, post registration requirements, and corporate services","","","","","","","NFC-087-COS-A-2","P15,000.00","");
INSERT INTO file_info_tbl VALUES("127","88","","","","","","","","","","","","","","","","2016-09-21 02:19:31","1","","1","1","2016-09-21 10:19:31","","","2","5","12","","To render work as corporate secretary","","","","","","","HRDC-088-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("128","89","","","","","","","","","","","","","","","","2016-09-21 02:36:34","1","","1","1","2016-09-21 10:36:34","","","2","5","12","","To render work as corporate secretary","","","","","","","LHAI-089-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("129","90","","","","","","","","","","15000","","","","","","2016-09-21 02:39:27","1","","1","1","2016-09-21 10:39:27","","","2","5","0","Business Permit","To assist the company in processing their business permit application and other matters","","","","","","","APCD-090-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("130","91","","","","","","","","","","15000","","","","","","2016-09-21 02:43:18","1","","1","1","2016-09-21 10:43:18","","","2","5","0","Business Permit","To assist the company in processing their business permit application and other matters","","","","","","","LGMC-091-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("131","92","","","","","","","","","","15000","","","","","","2016-09-21 02:47:16","1","","1","1","2016-09-21 10:47:16","","","2","5","0","Business Permit","To assist the company in processing their business permit application and other matters","","","","","","","SSI-092-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("132","93","","","","","","","","","","15000","","","","","","2016-09-21 02:51:27","1","","1","1","2016-09-21 10:51:27","","","2","5","0","Business Permit","To assist the company in processing their business permit application and other matters","","","","","","","SCCC-093-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("133","94","","","","","","","","","","","","","","","","2016-09-21 04:48:02","1","","1","1","2016-09-21 12:48:02","","","2","6","0","","To provide the company with certain legal, tax and other advice and assistance on certain matters and transactions, more specifically with respect in establishment of company.","","500","","","","","GCH-094-COS-A-1","US$800","");
INSERT INTO file_info_tbl VALUES("134","95","","","","","","","","","","","","","","","","2016-09-21 04:51:12","1","","1","1","2016-09-21 12:51:12","","","2","6","0","","To provide legal, tax and other advice and assistance on certain matters and transactions, more specifically with respect to the establishment of a Philippine entity or business presence in the Philippines","","1000","","","","","BBS-095-COS-A-1","US$500","");
INSERT INTO file_info_tbl VALUES("135","96","","","","","","","","","60000","","","","","","","2016-09-21 05:05:42","1","","1","1","2016-09-21 13:05:42","","","8","3","0","CTA Case No. 8875-Project Libra","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value","","","","","","","HINC-096-TAX-L-1","P20,000.00","");
INSERT INTO file_info_tbl VALUES("136","96","","","","","","","","","60000","","","","","","","2016-09-21 05:12:47","1","","1","1","2016-09-21 13:12:47","","","8","3","0","CTA Case No. 8931-Project Gemini","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value added tax (&quot;VAT&quot;) 2nd Quarter of 2012","","","","","","","HINC-096-TAX-L-2","P20,000.00","");
INSERT INTO file_info_tbl VALUES("137","96","","","","","","","","","60000","","","","","","","2016-09-21 05:45:43","1","","1","1","2016-09-21 13:45:43","","","8","3","0","CTA Case No. 8990-Project Scorpio","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (&quot;VAT&quot;) 3rd Quarter of 2012","","","","","","","HINC-096-TAX-L-3","P20,000.00","");
INSERT INTO file_info_tbl VALUES("138","96","","","","","","","","","60000","","","","","","","2016-09-21 05:50:28","1","","1","1","2016-09-21 13:50:28","","","8","3","0","CTA Case No. 8964-Project Capricorn","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (&quot;VAT&quot;) 1st, 2nd, 3rd &amp; 4th Quarter of 2010","","","","","","","HINC-096-TAX-L-4","P20,000.00","");
INSERT INTO file_info_tbl VALUES("139","96","","","","","","","","","60000","","","","","","","2016-09-21 05:53:10","1","","1","1","2016-09-21 13:53:10","","","8","3","0","CTA Case No. 8967-Project Virgo","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (&quot;VAT&quot;) 1st, 2nd, 3rd &amp; 4th Quarter of 2011","","","","","","","HINC-096-TAX-L-5","P20,000.00","");
INSERT INTO file_info_tbl VALUES("140","96","","","","","","","","","60000","","","","","","","2016-09-21 06:03:14","1","","1","1","2016-09-21 14:03:14","1","2016-09-28 12:01:35","8","3","0","CTA Case No. 9218-Project Taurus","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (&quot;VAT&quot;) 3rd Quarter of 2006","","","","","","","HINC-096-TAX-L-6","P20,000.00","");
INSERT INTO file_info_tbl VALUES("141","97","","","","","","","","","60000","","","","","","","2016-09-21 06:15:42","1","","1","1","2016-09-21 14:15:42","","","8","3","0","CTA Case No. 9187-Project Pisces","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (&quot;VAT&quot;) 1st, 2nd, &amp; 4th Quarter of 2006","","","","","","","LHC-097-TAX-L-1","P20,000.00","");
INSERT INTO file_info_tbl VALUES("142","97","","","","","","","","","60000","","","","","","","2016-09-21 06:20:26","1","","1","1","2016-09-21 14:20:26","1","2016-09-21 14:20:46","8","3","0","CTA Case No. 9188-Project Leo","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (&quot;VAT&quot;) 3rd and 4th Quarter of 2008","","","","","","","LHC-097-TAX-L-2","P20,000.00","");
INSERT INTO file_info_tbl VALUES("143","97","","","","","","","","","60000","","","","","","","2016-09-21 06:23:30","1","","1","1","2016-09-21 14:23:30","1","2016-09-26 13:53:14","8","3","0","CTA Case No. 9183-Project Cancer","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (&quot;VAT&quot;) 1st, 2nd, 3RD &amp; 4th Quarter of 2009","","","","","","","LHC-097-TAX-L-3","P20,000.00","");
INSERT INTO file_info_tbl VALUES("144","98","","","","","","","","","","10000","","10000","","","","2016-09-21 06:25:47","1","","1","1","2016-09-21 14:25:47","","","2","6","0","Corporate Secretary","To provide corporate secretarial work to the company","","","","","","","VSI-098-COS-A-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("145","99","","","","","","","","","","","","","","","","2016-09-21 06:45:47","1","","1","1","2016-09-21 14:45:47","","","2","6","0","Incorporation","To provide the company with certain legal, tax and other advice and assistance on certain matters and transactions, more specifically with respect in establishment of company","","1000","","","","","GLGI-099-COS-A-1","US$2,000","");
INSERT INTO file_info_tbl VALUES("146","100","","","","","","","","","","","","","","","","2016-09-21 06:48:22","1","","1","1","2016-09-21 14:48:22","","","2","6","0","Incorporation","To provide the company with certain legal, tax and other advice and assistance on certain matters and transactions, more specifically with respect in establishment of company","","","","","","","SMC-100-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("147","101","","","","","","","","","30000","","","","","","","2016-09-21 06:50:54","1","","1","1","2016-09-21 14:50:54","","","7","6","0","","To provide the client with certain legal services if may require in the interplay and JSI\'s entitlement of incentives","","","","","","","EPI-101-SP-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("148","102","","","","","","","","","15000","35000","","","","","","2016-09-21 06:55:32","1","","1","1","2016-09-21 14:55:32","","","2","6","0","Incorporation","To provide legal, tax and other advice and assistance on certain matters and transactions, more specifically with respect to the establishment of a Philippine Entity in the Philippines","","","","","","","BRH-102-COS-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("149","103","","","","","","","","","40000","","","","","","","2016-09-21 07:28:42","1","","1","1","2016-09-21 15:28:42","","","8","5","0","Transfer of Shares","To provide the client with legal services related to a contemplated sale to him of all shares of the held by his parents in Drugmakers Laboratories, Inc. and Terramedic, Inc.","","","","","","","DLI-103-TAX-O-1","P10,000.00","");
INSERT INTO file_info_tbl VALUES("150","104","","","","","","","","","","","","2000","","","","2016-09-21 07:32:18","1","","1","1","2016-09-21 15:32:18","","","2","6","0","Corporate Secretary","To provide corporate secretarial work to the company","","","","","","","OMN-104-COS-A-2","","");
INSERT INTO file_info_tbl VALUES("151","105","","","","","","","","","45000","10000","","","","","","2016-09-21 07:34:10","1","","1","1","2016-09-21 15:34:10","","","2","6","0","","To provide with certain legal services it may require in advisory work and corporate services","","","","","","","PPIC-105-COS-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("152","106","","","","","","","","","20000","","","","","","","2016-09-21 07:38:30","1","","1","1","2016-09-21 15:38:30","","","8","6","0","2009 Assessment","To provide the client legal and tax services in connection with the demand for collection by BIR for the unpaid internal revenue tax liabilities for the taxable year 2009","","","","","","","AII-106-TAX-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("153","107","","","","","","","","","20000","","","","","","","2016-09-21 07:44:28","1","","1","1","2016-09-21 15:44:28","","","8","6","0","RORO Vessels","To provide advice to client on the tax consequences of the acquisition of RORO vessels","","","","","50000","","SWMC-107-TAX-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("154","108","","","","","","","","","","","","","","","","2016-09-21 07:49:54","1","","1","1","2016-09-21 15:49:54","","","2","5","0","SEC Matters","To assist client in various SEC matters","","","","","","","MIR-108-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("155","109","","","","","","","","","20000","","","","","","","2016-09-21 07:51:51","1","","1","1","2016-09-21 15:51:51","","","2","6","0","","To provide the company with certain legal, tax and other advice and assistance on certain matters and transactions, more specifically with respect in establishment of company","","","","","","","GCC-109-COS-A-1","P10,000.00","");
INSERT INTO file_info_tbl VALUES("156","111","","","","","","","","","","","","","","","","2016-09-21 07:58:27","1","","1","1","2016-09-21 15:58:27","","","2","6","0","","To provide with certain legal services it may require in advisory work, incorporation of Philippine Entity, post registration requirements, and corporate services","","","","","","","PLBD-111-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("157","112","","","","","","","","","","","","","","","","2016-09-21 08:00:55","1","","1","1","2016-09-21 16:00:55","","","2","6","0","","To provide with certain legal services it may require in advisory work, incorporation of Philippine Entity, post registration requirements and corporate services","","","","","","","PLBM-112-COS-A-3","","");
INSERT INTO file_info_tbl VALUES("158","113","","","","","","","","","50000","","","","","","","2016-09-21 08:10:48","1","","1","1","2016-09-21 16:10:48","","","8","6","0","GANV-Application for CAR","To provide the firm with certain legal services it may require in the purchase of GLAPI Shares and sale of GPHC shares","","","","","","","NMGR-113-TAX-A-1","P15,000.00","");
INSERT INTO file_info_tbl VALUES("159","61","","","","","","","","","","","","","","","","2016-09-22 07:38:30","0","","1","24","2016-09-22 09:48:05","","","2","6","0","","To provide certain legal services with regard to establishing a Philippine Corporation","","","","","","","ACQ-061-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("160","114","","","","","","","","","75000","","","","","","","2016-09-22 02:19:35","1","","0","24","2016-09-22 10:17:13","1","","2","6","13","","To provide the client with certain legal services to the in-house tam primarily in the area of corporate secretarial work","","","","","","","TEMP-114-COS-A-1","P15,000.00","");
INSERT INTO file_info_tbl VALUES("161","115","","","","","","","","","40000","","","","","","","2016-09-22 05:41:58","1","","1","1","2016-09-22 13:41:58","1","2016-09-22 13:42:27","8","6","0","FEMCO 2010 Assessment","To provide the company a legal and tax services in connection with the handling of FEMCO deficiency tax assessment for taxable year 2010","","","","","","","FEMC-115-TAX-A-1","P20,000.0","");
INSERT INTO file_info_tbl VALUES("162","116","","","","","","","","","40000","","","","","","","2016-09-22 05:52:00","1","","1","1","2016-09-22 13:52:00","","","8","6","0","2012 Assessment","To provide the company a legal and tax services in connection with the administrative protest to FAN issued by BIR","","","","","","","VITA-116-TAX-A-1","P20,000.00","");
INSERT INTO file_info_tbl VALUES("163","114","","","","","","","","","","","","","","","","2016-09-22 07:00:52","1","","1","1","2016-09-22 15:00:52","1","2016-09-22 15:09:21","2","6","0","MPF Account-Non Billable","JEM for all the MPF Non-billable works","","","","","","","MPF-114-COS-A-2","","");
# end of file