DROP TABLE file_info_tbl;

CREATE TABLE `file_info_tbl` (
  `file_id` int(11) NOT NULL AUTO_INCREMENT,
  `client_id` mediumint(9) NOT NULL,
  `file_type` varchar(2) NOT NULL,
  `file_number` varchar(10) NOT NULL,
  `file_name` varchar(250) NOT NULL,
  `file_re` text,
  `file_adverse_party` varchar(100) DEFAULT NULL,
  `file_adverse_address` varchar(250) DEFAULT NULL,
  `file_opposing_counsel` varchar(100) DEFAULT NULL,
  `file_opposing_address` varchar(250) DEFAULT NULL,
  `file_acceptance_fee` varchar(300) DEFAULT NULL,
  `file_fixed_fee` varchar(300) DEFAULT NULL,
  `file_initial_fee` varchar(300) DEFAULT NULL,
  `file_retainers_fee` varchar(300) DEFAULT NULL,
  `file_ope_deposit` varchar(300) DEFAULT NULL,
  `file_unused_ope` varchar(300) DEFAULT NULL,
  `file_last_billing` datetime DEFAULT NULL,
  `file_date_opened` datetime DEFAULT NULL,
  `file_status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1-Active; 0 - Pending; 2- Inactive',
  `file_remarks` varchar(100) DEFAULT NULL,
  `active` tinyint(1) NOT NULL DEFAULT '1',
  `insert_by` tinyint(4) DEFAULT NULL,
  `insert_dt` datetime DEFAULT NULL,
  `update_by` tinyint(4) DEFAULT NULL,
  `update_dt` datetime DEFAULT NULL,
  `department_id` int(11) NOT NULL,
  `jobs_id` int(11) NOT NULL,
  `referred_by` int(11) NOT NULL,
  `short_title` text,
  `job_desc` text,
  `file_retainers_fee_us` varchar(300) DEFAULT NULL,
  `file_acceptance_fee_us` varchar(300) DEFAULT NULL,
  `file_fixed_fee_us` varchar(300) DEFAULT NULL,
  `file_initial_fee_us` varchar(300) DEFAULT NULL,
  `file_max_fee` varchar(300) DEFAULT NULL,
  `file_max_fee_us` varchar(300) DEFAULT NULL,
  `file_jem_no` varchar(50) NOT NULL,
  `file_others` text NOT NULL,
  `file_billing_details` varchar(200) NOT NULL,
  PRIMARY KEY (`file_id`)
) ENGINE=InnoDB AUTO_INCREMENT=229 DEFAULT CHARSET=latin1;

INSERT INTO file_info_tbl VALUES("1","1","","","","","","","","","0","0","","100000","","","","2016-08-04 11:47:02","1","","1","1","2016-08-04 19:47:02","1","2017-02-22 09:34:05","2","5","0","CMMTC Director","Acting as director of CMMTC","0.00","0.00","0.00","","0.00","0.00","CMT-001-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("2","2","","","","","","","","","0","0","","0","","","","2016-08-04 12:11:42","1","","1","1","2016-08-04 20:11:42","","","7","6","12","Various matters","To render advice on various issues","0.00","0.00","0.00","","0.00","0.00","ABC-002-SP-A-1","","");
INSERT INTO file_info_tbl VALUES("3","3","","","","","","","","","0","0","","0","","","","2016-08-04 12:13:40","1","","1","1","2016-08-04 20:13:40","1","2017-02-10 17:56:17","7","6","12","Various matters","To render advice on various issues","0.00","0.00","0.00","","0.00","0.00","PDF-003-SP-A-1","","");
INSERT INTO file_info_tbl VALUES("4","4","","","","","","","","","25000","0","","0","","","","2016-08-04 12:30:23","1","","1","1","2016-08-04 20:30:23","","","8","6","12","MPSA Assignment","To render advice on various tax issues involving the assignment of its MPSA","0.00","0.00","0.00","","0.00","0.00","TAO-004-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("5","4","","","","","","","","","0","0","","0","","","","2016-08-04 12:32:48","1","","1","1","2016-08-04 20:32:48","","","8","6","12","2010 Assessment","To render legal services in connection to internal revenue tax liabilities and assessment of the company for the taxable year ending December 31, 2010","0.00","0.00","0.00","","0.00","0.00","TAO-004-TAX-A-2","","");
INSERT INTO file_info_tbl VALUES("6","5","","","","","","","","","20000","0","","0","","","","2016-08-04 12:44:23","1","","1","1","2016-08-04 20:44:23","1","2017-02-15 12:10:16","8","5","0","Asset Transfer","To assist client in achieving the transfer of certain assets in a tax efficient manner","0.00","0.00","0.00","","0.00","0.00","GEN-005-TAX-O-1","20000","");
INSERT INTO file_info_tbl VALUES("7","6","","","","","","","","","20000","0","","0","","","","2016-08-04 12:46:54","1","","1","1","2016-08-04 20:46:54","1","2016-08-11 19:02:15","2","5","0","VLAP Matters","To assist the Segovia and Teodoro families on matters involving VLAP","0.00","0.00","0.00","","0.00","0.00","SEG-006-COS-O-1","5000","");
INSERT INTO file_info_tbl VALUES("8","7","","","","","","","","","75000","0","","0","","","","2016-08-04 12:49:23","1","","1","1","2016-08-04 20:49:23","1","2017-01-23 15:33:48","7","5","12","Spin-Off","To assist client in the spin-off of its nationalized assets","0.00","0.00","0.00","","0.00","0.00","HPI-007-SP-O-1","","");
INSERT INTO file_info_tbl VALUES("9","7","","","","","","","","","0","0","","0","","","","2016-08-04 12:53:16","1","","1","1","2016-08-04 20:53:16","1","2016-10-06 11:30:37","7","6","0","Combination-Lafarge Republic, Inc.","To assist and advise client on various legal advice of proposed combination with Lafarge Republic, Inc.","0.00","0.00","0.00","","0.00","0.00","HPI-007-SP-A-2","","");
INSERT INTO file_info_tbl VALUES("10","7","","","","","","","","","0","0","","0","","","","2016-08-04 12:57:21","1","","1","1","2016-08-04 20:57:21","1","2017-07-12 14:29:10","8","5","0","ACC-CAR Acquisition","To get the Certificate Authorizing Registration of the ACC (Alsons Cements Corporation)","0.00","0.00","0.00","","0.00","0.00","HPI-007-TAX-O-3","","");
INSERT INTO file_info_tbl VALUES("11","4","","","","","","","","","0","0","","0","","","","2016-08-11 10:58:30","1","","1","1","2016-08-11 18:58:30","1","2017-07-05 09:48:08","5","3","12","Donor\'s Tax (CTA Case No. 9078)","To assist client in protesting its assessment of donor\'s tax","0.00","0.00","0.00","","0.00","0.00","TAO-004-LIT-L-3","","");
INSERT INTO file_info_tbl VALUES("12","6","","","","","","","","","20000","0","","0","","","","2016-08-11 11:05:19","1","","1","1","2016-08-11 19:05:19","","","8","5","12","Tax Consultation","To render advice on various tax issues and other matters","0.00","0.00","0.00","","0.00","0.00","SEG-006-TAX-O-2","5000","");
INSERT INTO file_info_tbl VALUES("13","7","","","","","","","","","0","0","","0","","","","2016-08-11 11:15:46","1","","1","1","2016-08-11 19:15:46","1","2016-09-20 09:06:31","7","6","0","Roliva","To assist HPI in the liquidation of Roliva B.V.","0.00","0.00","0.00","","0.00","0.00","HPI-007-SP-A-4","","");
INSERT INTO file_info_tbl VALUES("14","8","","","","","","","","","50000","0","","0","","","","2016-08-11 11:21:39","1","","1","1","2016-08-11 19:21:39","","","8","5","12","Tax Clearance Application","To assist client in securing the certificate authorizing registration on the sale of its shares","0.00","0.00","0.00","","0.00","0.00","CII-008-TAX-O-1","10000","");
INSERT INTO file_info_tbl VALUES("15","9","","","","","","","","","25000","0","","0","","","","2016-08-11 11:27:51","1","","1","1","2016-08-11 19:27:51","","","8","6","12","Contractor\'s VAT","To render advice on various tax issues involving the VAT of its contracts","0.00","0.00","0.00","","0.00","0.00","TAR-009-TAX-A-1","5000","");
INSERT INTO file_info_tbl VALUES("16","10","","","","","","","","","0","0","","10000","","","","2016-08-11 11:30:17","1","","1","1","2016-08-11 19:30:17","1","2016-08-11 19:31:19","6","3","0","Retainer","To assist in routing conclusion, advice and opinions on various fields of law","0.00","0.00","0.00","","0.00","0.00","STC-010-RET-L-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("17","11","","","","","","","","","20000","0","","0","","","","2016-08-11 11:33:33","1","","1","1","2016-08-11 19:33:33","1","2016-08-11 19:33:50","8","6","12","Tax Consultation","To render advice on various tax issues involving the company","0.00","0.00","0.00","","0.00","0.00","FU-011-TAX-A-1","5000","");
INSERT INTO file_info_tbl VALUES("18","11","","","","","","","","","0","0","","0","","","","2016-08-11 11:47:22","1","","1","1","2016-08-11 19:47:22","","","8","3","12","CTA Case No. 8659","To assist client in pursuing its judicial remedy on its 2006-2007 tax assessment","0.00","0.00","0.00","","0.00","0.00","FU-011-TAX-L-2","","");
INSERT INTO file_info_tbl VALUES("19","11","","","","","","","","","0","0","","10000","","","","2016-08-11 11:50:34","1","","1","1","2016-08-11 19:50:34","1","2016-09-26 17:26:33","2","5","12","Corporate Services","To provide corporate secretarial work to the company","0.00","0.00","0.00","","0.00","0.00","FU-011-COS-O-3","","5th day of the month");
INSERT INTO file_info_tbl VALUES("20","12","","","","","","","","","0","20000","","0","","","","2016-08-11 11:56:13","1","","1","1","2016-08-11 19:56:13","","","2","5","12","Incorporation","Incorporation of Corsalis, Inc.","0.00","0.00","0.00","","0.00","0.00","COR-012-COS-O-1","5000","");
INSERT INTO file_info_tbl VALUES("21","13","","","","","","","","","0","0","","10000","","","","2016-08-11 11:58:02","1","","1","1","2016-08-11 19:58:02","1","2017-02-16 17:04:36","6","6","0","Corporate Services","Retainer Arrangement","0.00","0.00","0.00","","0.00","0.00","SLTC-013-RET-A-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("22","14","","","","","","","","","20000","0","","0","","","","2016-08-11 12:02:53","1","","1","1","2016-08-11 20:02:53","1","2017-01-30 14:53:15","8","6","12","Tax Consultation","To render advice on various tax issues involving the company","0.00","0.00","0.00","","0.00","0.00","VLAP-014-TAX-A-1","5000","");
INSERT INTO file_info_tbl VALUES("23","14","","","","","","","","","0","0","","0","","","","2016-08-11 12:22:36","1","","1","1","2016-08-11 20:22:36","1","2017-01-11 11:22:44","7","6","12","Property Partition","To provide the company with certain legal services involving property partition with regard to the tax and other legal consequences and requirements","0.00","0.00","0.00","","0.00","0.00","VLAP-014-SP-A-2","","");
INSERT INTO file_info_tbl VALUES("24","15","","","","","","","","","0","0","","10000","","","","2016-08-11 12:25:05","1","","1","1","2016-08-11 20:25:05","1","2016-09-26 17:25:09","2","5","12","Corporate Services","To provide corporate secretarial work to the company","0.00","0.00","0.00","","0.00","0.00","RPMC-015-COS-O-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("25","16","","","","","","","","","30000","0","","0","","","","2016-08-11 12:28:01","1","","1","1","2016-08-11 20:28:01","1","2017-01-23 15:01:16","8","6","12","Tax Consultation","To render advice on various tax issues","0.00","0.00","0.00","","0.00","0.00","RFM-016-TAX-A-1","5000","");
INSERT INTO file_info_tbl VALUES("26","17","","","","","","","","","20000","0","","0","","","","2016-08-11 12:30:44","1","","1","1","2016-08-11 20:30:44","","","8","6","12","General Consultation","To advise client on various tax matters","0.00","0.00","0.00","","0.00","0.00","TEH-017-TAX-A-1","5000","");
INSERT INTO file_info_tbl VALUES("27","18","","","","","","","","","0","0","","0","","","","2016-08-11 12:33:28","1","","1","1","2016-08-11 20:33:28","","","7","5","12","Property Due Diligence (RP Review)","To conduct a due diligence review on the ownership and title covering the Marina Square Suites and the Plaza Building","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-1","","");
INSERT INTO file_info_tbl VALUES("28","18","","","","","","","","","0","0","","0","","","","2016-08-11 12:36:34","1","","1","1","2016-08-11 20:36:34","","","7","5","12","Blue Marine Properties","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-2","","");
INSERT INTO file_info_tbl VALUES("29","18","","","","","","","","","0","0","","0","","","","2016-08-11 12:38:01","1","","1","1","2016-08-11 20:38:01","","","7","5","0","CTF Hotels and Entertainment, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-3","","");
INSERT INTO file_info_tbl VALUES("30","18","","","","","","","","","0","0","","0","","","","2016-08-11 12:40:22","1","","1","1","2016-08-11 20:40:22","","","7","5","12","CTF Properties, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-4","","");
INSERT INTO file_info_tbl VALUES("31","18","","","","","","","","","0","0","","0","","","","2016-08-15 10:05:28","1","","1","1","2016-08-15 18:05:28","","","7","5","12","Foreign Holiday Philippines, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-5","","");
INSERT INTO file_info_tbl VALUES("32","18","","","","","","","","","0","0","","0","","","","2016-08-15 10:07:09","1","","1","1","2016-08-15 18:07:09","","","7","5","12","Fortunegate Holiday Philippines, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-6","","");
INSERT INTO file_info_tbl VALUES("33","18","","","","","","","","","0","0","","0","","","","2016-08-15 10:08:49","1","","1","1","2016-08-15 18:08:49","","","7","5","12","Great Holiday Entertainment, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-7","","");
INSERT INTO file_info_tbl VALUES("34","18","","","","","","","","","0","0","","0","","","","2016-08-15 10:10:15","1","","1","1","2016-08-15 18:10:15","","","7","5","12","Great Holiday Health &amp; Spa, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-8","","");
INSERT INTO file_info_tbl VALUES("35","18","","","","","","","","","0","0","","0","","","","2016-08-15 10:11:45","1","","1","1","2016-08-15 18:11:45","","","7","5","12","Harbor View Properties and Holdings, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-9","","");
INSERT INTO file_info_tbl VALUES("36","18","","","","","","","","","0","0","","0","","","","2016-08-15 10:13:01","1","","1","1","2016-08-15 18:13:01","","","7","5","12","New Coast Hotel, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-10","","");
INSERT INTO file_info_tbl VALUES("37","18","","","","","","","","","0","0","","0","","","","2016-08-15 10:15:53","1","","1","1","2016-08-15 18:15:53","","","7","5","12","Pacific Bayview Properties, Inc.","","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-O-11","","");
INSERT INTO file_info_tbl VALUES("38","18","","","","","","","","","75000","0","","0","","","","2016-08-15 10:19:44","1","","1","1","2016-08-15 18:19:44","","","7","4","12","PAGCOR Lease","To render and advice on various issue involve in the amendment of Lease Agreement with PAGCOR","0.00","0.00","0.00","","0.00","0.00","MSPI-018-SP-T-12","","");
INSERT INTO file_info_tbl VALUES("39","19","","","","","","","","","0","0","","0","","","","2016-08-15 10:41:12","1","","1","1","2016-08-15 18:41:12","1","2017-01-25 16:04:26","8","3","13","Civil Case No. 13-1108","Annulment of Local Business Tax Assessment","0.00","0.00","0.00","","0.00","0.00","CRES-019-TAX-L-1","","");
INSERT INTO file_info_tbl VALUES("40","19","","","","","","","","","0","0","","0","","","","2016-08-15 10:44:22","1","","1","1","2016-08-15 18:44:22","1","2017-01-25 16:11:24","7","6","13","Casop Atlas Corporation - SP","","0.00","0.00","0.00","","0.00","0.00","CRES-019-SP-A-2","","");
INSERT INTO file_info_tbl VALUES("41","20","","","","","","","","","75000","0","","0","","","","2016-08-15 10:56:06","1","","1","1","2016-08-15 18:56:06","","","7","4","12","Vanguard Hospitality Assets (Phils.), Inc.","Assistance on the proposed joint venture","0.00","0.00","0.00","","0.00","0.00","KLC-020-SP-T-1","15000","");
INSERT INTO file_info_tbl VALUES("42","20","","","","","","","","","0","0","","0","","","","2016-08-15 10:59:29","1","","1","1","2016-08-15 18:59:29","","","7","4","12","Vanguard Hotels (Phils.), Inc.","Assistance on the proposed joint venture","0.00","0.00","0.00","","0.00","0.00","KLC-020-SP-T-2","","");
INSERT INTO file_info_tbl VALUES("43","21","","","","","","","","","0","0","","0","","","","2016-08-15 11:29:14","1","","1","1","2016-08-15 19:29:15","","","2","6","12","E-Linkage/Intelligent E-Solutions Holding Corp.","To provide legal service to the company in connection with the on-going project to establish E-Linkage, a clearing house with an EMI license from the BSP","0.00","0.00","0.00","","0.00","0.00","AAI-021-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("44","22","","","","","","","","","0","0","","0","","","","2016-08-15 11:35:04","1","","1","1","2016-08-15 19:35:04","","","2","6","12","","","0.00","0.00","0.00","","0.00","0.00","DHH-022-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("45","23","","","","","","","","","75000","0","","0","","","","2016-08-15 11:40:40","1","","1","1","2016-08-15 19:40:40","1","2017-01-30 11:27:07","2","5","12","The Big@St.Ig., Inc.","Incorporation of Land Holding Company","0.00","0.00","0.00","","0.00","0.00","ACI-023-COS-O-1","10000","");
INSERT INTO file_info_tbl VALUES("46","24","","","","","","","","","15000","0","","0","","","","2016-08-15 12:21:16","1","","1","1","2016-08-15 20:21:16","","","8","5","12","2011-2012 Tax Annulment","To assist client in verification of their tax liabilities for TY 2011 and 2012","0.00","0.00","0.00","","0.00","0.00","OLEP-024-TAX-O-1","5000","");
INSERT INTO file_info_tbl VALUES("47","25","","","","","","","","","0","0","","5000","","","","2016-08-15 12:23:54","1","","1","1","2016-08-15 20:23:54","1","2016-08-15 20:26:15","2","6","12","","To provide corporate secretarial work, to assist in the conduct of regular meetings of the BOD or SH and assist in filing with SEC and maintenance of STB","0.00","0.00","0.00","","0.00","0.00","CLI-025-COS-A-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("48","26","","","","","","","","","0","0","","0","","","","2016-08-15 12:28:15","1","","1","1","2016-08-15 20:28:15","1","2017-04-17 14:11:02","2","6","0","","To provide corporate secretarial work to the company","0.00","0.00","0.00","","0.00","0.00","CHI-026-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("49","26","","","","","","","","","75000","0","","0","","","","2016-08-15 12:32:34","1","","1","1","2016-08-15 20:32:34","","","5","3","0","Civil Case No. 14-137","To assist the client in Civil Case No. 14-137 involving local tax assessment","0.00","0.00","0.00","","0.00","0.00","CHI-026-LIT-L-2","15000","");
INSERT INTO file_info_tbl VALUES("50","27","","","","","","","","","30000","0","","0","","","","2016-08-15 12:35:23","1","","1","1","2016-08-15 20:35:23","","","8","6","12","","To provide the company with certain legal services involving shareholding structure, status updates, advice and render opinions with regard to the tax and other legal consequences and requirements","0.00","0.00","0.00","","0.00","0.00","HRI-027-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("51","28","","","","","","","","","0","60000","","0","","","","2016-08-15 12:37:41","1","","1","1","2016-08-15 20:37:41","","","8","6","12","","To render legal services and opinion as tax counsel to the company in connection with the listing of its shares","0.00","0.00","0.00","","0.00","0.00","TAPC-028-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("52","29","","","","","","","","","0","0","","0","","","","2016-08-15 12:42:51","1","","1","1","2016-08-15 20:42:51","","","8","3","12","CTA Case No. 8289","To render legal services in connection to CTA Case involving the company","0.00","0.00","0.00","","0.00","0.00","TPGC-029-TAX-L-1","","");
INSERT INTO file_info_tbl VALUES("53","30","","","","","","","","","0","0","","8000","","","","2016-08-15 12:45:11","1","","1","1","2016-08-15 20:45:11","","","6","6","0","","To provide the company routine and/or basic advice and opinions on various fields of Philippine Law and corporate services","0.00","0.00","0.00","","0.00","0.00","SYN-030-RET-A-1","","");
INSERT INTO file_info_tbl VALUES("54","31","","","","","","","","","0","0","","8000","","","","2016-08-15 12:49:54","1","","1","1","2016-08-15 20:49:54","","","5","3","0","Margallo Case","To assist client in the case entitled &quot;Heirs of Late Margallo, et. al vs. Heirs of Late Gregorio Margallo, et. al.&quot; Civil Case No. 6913, RTC of Masbate City","0.00","0.00","0.00","","0.00","0.00","GMP-031-LIT-L-1","","");
INSERT INTO file_info_tbl VALUES("55","32","","","","","","","","","0","0","","0","","","","2016-08-25 11:19:50","1","","1","1","2016-08-25 19:19:50","1","2017-01-25 15:46:12","2","5","0","Incorporation-FKC Capital Investment, Inc.","To assist in incorporating a new company","0.00","0.00","0.00","","0.00","0.00","FKC-032-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("56","33","","","","","","","","","0","0","","13000","","","","2016-08-25 11:21:49","1","","1","1","2016-08-25 19:21:49","","","6","6","0","","To provide corporate secretarial and retainer services to the company","0.00","0.00","0.00","","0.00","0.00","GDS-033-RET-A-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("57","33","","","","","","","","","18000","0","","0","","","","2016-08-25 11:24:12","1","","1","1","2016-08-25 19:24:12","","","4","6","0","Alien Employment Permit Application","To assist client in achieving the Alien Employment Permit to be issued by DOLE","0.00","0.00","0.00","","0.00","0.00","GDS-033-LAB-A-2","","");
INSERT INTO file_info_tbl VALUES("58","34","","","","","","","","","0","0","","6000","","","","2016-08-25 11:26:29","1","","1","1","2016-08-25 19:26:29","1","2017-05-31 14:23:57","2","6","0","","To provide corporate service to the company","0.00","0.00","0.00","","0.00","0.00","MBG-034-COS-A-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("59","35","","","","","","","","","0","0","","0","","","","2016-08-25 11:29:39","1","","1","1","2016-08-25 19:29:39","1","2016-08-25 19:29:58","8","6","0","Tax Sparing","To secure tax sparing ruling from the BIR with respect to dividends received by the Cayman Islands Fund","0.00","0.00","0.00","","0.00","0.00","SPF-035-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("60","36","","","","","","","","","0","0","","0","","","","2016-08-25 11:31:54","1","","1","1","2016-08-25 19:31:54","","","8","4","0","Lima Land, Inc. (CAR)","To secure a certificate authorizing registration (CAR) in relation to its sale of all of its shares of stock in Lima Land, Inc. to Aboitiz Land, Inc.","0.00","0.00","0.00","","0.00","0.00","MAR-036-TAX-T-1","15000","");
INSERT INTO file_info_tbl VALUES("61","36","","","","","","","","","0","0","","0","","","","2016-08-25 11:37:02","1","","1","1","2016-08-25 19:37:02","","","8","3","0","TAT Filipinas Golf Club","To provide certain legal services to Marubeni Philippines Corp. in connection with the due and demandable liability of TAT Filipinas Golf Club, Inc./TAT International Company","0.00","0.00","0.00","","0.00","0.00","MAR-036-TAX-L-2","5680","");
INSERT INTO file_info_tbl VALUES("62","37","","","","","","","","","50000","0","","0","","","","2016-08-25 11:53:50","1","","1","1","2016-08-25 19:53:50","","","2","6","0","Tax on Sale of Shares","To provide legal advice to the corporation and its stockholder PT Citra Lamtoro Gung Persada with respect to the proposed sale by CLP of its shares in the Corporation to a joint venture company","0.00","0.00","0.00","","0.00","0.00","CCEC-037-COS-A-1","10000","");
INSERT INTO file_info_tbl VALUES("63","38","","","","","","","","","0","0","","0","","","","2016-08-25 12:02:41","1","","1","1","2016-08-25 20:02:41","1","2017-06-29 18:12:05","7","5","12","Mining Rights (SPIN-OFF)","To assist client in various mining requirements","0.00","0.00","0.00","","0.00","0.00","HMDC-038-SP-O-1","","");
INSERT INTO file_info_tbl VALUES("64","38","","","","","","","","","0","0","","0","","","","2016-09-05 11:08:19","1","","1","1","2016-09-05 19:08:19","1","2017-01-11 11:21:54","2","5","12","Corporate Services","To render work as corporate secretary","0.00","0.00","0.00","","0.00","0.00","HMDC-038-COS-O-2","","");
INSERT INTO file_info_tbl VALUES("65","16","","","","","","","","","0","0","","0","","","","2016-09-05 11:18:02","1","","1","1","2016-09-05 19:18:02","1","2017-01-23 15:01:44","8","6","12","Tax Consultation","To render advice on various tax issues","0.00","0.00","0.00","","0.00","0.00","RFM-016-TAX-A-2","","");
INSERT INTO file_info_tbl VALUES("66","38","","","","","","","","","0","0","","0","","","","2016-09-05 11:31:31","1","","1","1","2016-09-05 19:31:31","1","2017-03-06 16:40:09","7","6","12","Agreements","To assist client in the drafting of various agreements","0.00","0.00","0.00","","0.00","0.00","HMDC-038-SP-A-3","","");
INSERT INTO file_info_tbl VALUES("67","39","","","","","","","","","20000","0","","0","","","","2016-09-05 11:36:23","1","","1","1","2016-09-05 19:36:23","1","2017-02-06 11:48:04","8","6","12","Estate Tax","To provide legal advice and services in connection to Estate Tax Return of the Estate of Theresa Wai Ching Kwa","0.00","0.00","0.00","","0.00","0.00","TTP-039-TAX-A-1","10000","");
INSERT INTO file_info_tbl VALUES("68","40","","","","","","","","","50000","0","","0","","","","2016-09-05 11:38:53","1","","1","1","2016-09-05 19:38:53","","","8","6","0","Invoicing Requirements","To provide legal advice with respect to the company\'s compliance with the invoicing requirements imposed by the BIR","0.00","0.00","0.00","","0.00","0.00","PHIN-040-TAX-A-1","10000","");
INSERT INTO file_info_tbl VALUES("69","41","","","","","","","","","25000","0","","0","","","","2016-09-05 11:42:06","1","","1","1","2016-09-05 19:42:06","1","2017-08-01 15:09:39","8","6","12","Estate Tax","To provide legal advice and services in connection to Estate Tax Return of the Estate of Antonio Borromeo","0.00","0.00","0.00","","0.00","0.00","MSB-041-TAX-A-1","15000","");
INSERT INTO file_info_tbl VALUES("70","42","","","","","","","","","30000","0","","0","","","","2016-09-05 11:44:16","1","","1","1","2016-09-05 19:44:16","","","8","3","0","2012 Assessment","To assist client in its potential 2012 Assessment","0.00","0.00","0.00","","0.00","0.00","SMDC-042-TAX-L-1","","");
INSERT INTO file_info_tbl VALUES("71","43","","","","","","","","","30000","0","","0","","","","2016-09-05 11:49:54","1","","1","1","2016-09-05 19:49:54","","","8","6","0","Sual Global Industries","To provide tax advice and other services with respect to some transactions involving the company  (SGI) and its stockholders","0.00","0.00","0.00","","0.00","0.00","ELA-043-TAX-A-1","5000","");
INSERT INTO file_info_tbl VALUES("72","44","","","","","","","","","20000","0","","0","","","","2016-09-05 12:05:08","1","","1","1","2016-09-05 20:05:08","","","2","6","12","SLII Incorporation","To provide legal advice to the client with respect to their plans to set up an outsourcing entity, to provide trainings on the Spanish language to call center or school for the Spanish language","0.00","0.00","0.00","","0.00","0.00","SLII-044-COS-A-1","10000","");
INSERT INTO file_info_tbl VALUES("73","45","","","","","","","","","100000","0","","0","","","","2016-09-05 12:14:48","1","","1","1","2016-09-05 20:14:48","1","2017-01-25 16:17:20","2","6","12","E-Linkage Clearing House, Inc.","To provide the company legal services in connection with the ongoing project to establish E-linkage, a clearing house with an electronic money issuer (EMI) license from the BSP","0.00","0.00","0.00","","0.00","0.00","ECHI-045-COS-A-1","10000","");
INSERT INTO file_info_tbl VALUES("74","45","","","","","","","","","0","0","","5000","","","","2016-09-05 12:19:23","1","","1","1","2016-09-05 20:19:23","","","6","6","12","Retainer","To provide corporate secretarial work to E-Linkage Clearing House, Inc.","0.00","0.00","0.00","","0.00","0.00","ECHI-045-RET-A-2","","5th day of the month");
INSERT INTO file_info_tbl VALUES("75","46","","","","","","","","","0","0","","0","","","","2016-09-05 12:22:37","1","","1","1","2016-09-05 20:22:37","1","2016-09-05 20:22:55","8","6","0","Tax Clearance/CAR on the Sale of Shares","To assist client in securing tax clearance or Certificate Authorizing Registration (&quot;CAR&quot;) on the proposed sale of its shares in SM Development Corporation","0.00","500.00","0.00","","0.00","0.00","FTE-046-TAX-A-1","US$250","");
INSERT INTO file_info_tbl VALUES("76","47","","","","","","","","","25000","0","","0","","","","2016-09-05 12:32:36","1","","1","1","2016-09-05 20:32:36","","","2","6","0","","To provide legal advice and services to the company with respect to certain matters involving loans or advances from AMSPEC","0.00","0.00","0.00","","0.00","0.00","WMH-047-COS-A-1","5000","");
INSERT INTO file_info_tbl VALUES("77","48","","","","","","","","","0","0","","0","","","","2016-09-05 12:35:09","1","","1","1","2016-09-05 20:35:09","","","8","6","0","Sale of Real Property","To provide legal services to the company in connection with the proposed sale of its real property to potential buyers","0.00","0.00","0.00","","0.00","0.00","CCRH-048-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("78","48","","","","","","","","","0","0","","0","","","","2016-09-05 12:44:26","1","","0","1","2016-09-05 20:44:27","","","8","6","0","Sale of Real Property","To provide legal services to the company in connection with the proposed sale of its real property to potential buyers","0.00","0.00","0.00","","0.00","0.00","CCRH-048-TAX-A-2","","");
INSERT INTO file_info_tbl VALUES("79","49","","","","","","","","","15000","0","","0","","","","2016-09-08 10:26:02","1","","1","1","2016-09-08 18:26:02","","","2","5","0","MEDC Incorporation","To assist client in incorporating a stock corporation that will engage in the energy and power generation and distribution business.","0.00","0.00","0.00","","0.00","0.00","MEDC-049-COS-O-1","15000","");
INSERT INTO file_info_tbl VALUES("80","50","","","","","","","","","0","0","","0","","","","2016-09-08 10:35:20","1","","1","1","2016-09-08 18:35:20","1","2017-07-12 11:28:45","7","6","0","Philippine ROHQ","To assist client in drafting various documents and other legal requirements of its ROHQ","0.00","0.00","0.00","","0.00","0.00","HEAB-050-SP-A-1","","");
INSERT INTO file_info_tbl VALUES("81","50","","","","","","","","","0","0","","0","","","","2016-09-08 10:38:45","1","","1","1","2016-09-08 18:38:45","1","2016-11-29 14:51:50","8","6","0","Philippine ROHQ-TAX","To assist client in compliant with various tax requirements and render advice on tax issues.","0.00","0.00","0.00","","0.00","0.00","HEAB-050-TAX-A-2","","");
INSERT INTO file_info_tbl VALUES("82","50","","","","","","","","","0","0","","0","","","","2016-09-08 10:40:27","1","","1","1","2016-09-08 18:40:27","1","2016-11-29 14:52:18","4","6","0","Philippine ROHQ-LABOR","To render advice on various labor law issues and requirements","0.00","0.00","0.00","","0.00","0.00","HEAB-050-LAB-A-3","","");
INSERT INTO file_info_tbl VALUES("83","50","","","","","","","","","0","0","","0","","","","2016-09-08 10:42:36","1","","1","1","2016-09-08 18:42:36","1","2016-11-29 14:52:48","5","6","0","Philippine ROHQ-LIT (Victoria Pauline Hernandez)","","0.00","0.00","0.00","","0.00","0.00","HEAB-050-LIT-A-4","","");
INSERT INTO file_info_tbl VALUES("84","51","","","","","","","","","50000","150000","","0","","","","2016-09-08 10:46:49","1","","1","1","2016-09-08 18:46:49","1","2017-04-17 14:13:38","7","6","0","Shareholder Agreement","To advise client with respect to a shareholders\' agreement with Hijo Power and Light Company Inc.","0.00","0.00","0.00","","0.00","0.00","WTL-051-SP-A-1","10000 (Note: expenses will be at cost and any expense over P2,000 will be pre-approved by the client)","");
INSERT INTO file_info_tbl VALUES("85","52","","","","","","","","","200000","0","","0","","","","2016-09-08 10:52:22","1","","1","1","2016-09-08 18:52:22","1","2017-07-05 09:46:30","7","4","0","Acquisition","To provide legal services to Ms. Liuson-Tan and Family on the proposed acquisition by a purchaser to be chosen after bidding of their majority stake in the following companies: TGP Pharma, Inc.; The Generics Pharmacy Franchising Corp.; Pacific Pharmaceuticals, Inc.; TheGenerics Pharmacy, Inc.","0.00","0.00","0.00","","0.00","0.00","TGP-052-SP-T-1","10000","");
INSERT INTO file_info_tbl VALUES("86","53","","","","","","","","","0","0","","0","","","","2016-09-08 10:56:01","1","","1","1","2016-09-08 18:56:01","1","2017-03-06 17:19:23","2","5","0","Philippine Subsidy","To provide legal advice to the client with respect to the establishment of Philippine subsidiary/business presence which will be acting as importer and distributor of the company\'s products within the Philippines","0.00","1500.00","0.00","","0.00","0.00","IASA-053-COS-O-1","US$1000","");
INSERT INTO file_info_tbl VALUES("87","53","","","","","","","","","0","0","","0","","","","2016-09-08 10:58:37","1","","1","1","2016-09-08 18:58:37","1","2017-07-12 11:25:13","2","5","0","Produmix Termination","To provide legal advice to the client with respect to termination of contract","0.00","0.00","0.00","","0.00","0.00","IASA-053-COS-O-2","","");
INSERT INTO file_info_tbl VALUES("88","54","","","","","","","","","0","0","","0","","","","2016-09-08 11:01:23","1","","1","1","2016-09-08 19:01:23","1","2017-01-25 15:49:02","7","6","0","COHECO International Limited","To provide certain legal services to COHECO International Limited in connection with the company\'s investments in hydropower projects in the Philippines","0.00","1000.00","0.00","","0.00","0.00","CIL-054-SP-A-1","US$500","");
INSERT INTO file_info_tbl VALUES("89","55","","","","","","","","","25000","0","","0","","","","2016-09-19 06:42:20","1","","1","1","2016-09-19 14:42:20","","","4","6","13","Dennis R. Llarena","To provide the company with legal services in connection with Mr. Llarena\'s resignation from AMSPEC and filing of a request for Assistance with NLRC","0.00","0.00","0.00","","0.00","0.00","TCI-055-LAB-A-1","P10000","");
INSERT INTO file_info_tbl VALUES("90","56","","","","","","","","","0","0","","0","","","","2016-09-19 07:22:17","1","","1","1","2016-09-19 15:22:17","1","2017-07-05 09:47:08","5","3","13","Joanne Francisco","Assist client in the settlement of the estate of Jonathan Michael Osmeña","0.00","0.00","0.00","","0.00","0.00","JCFK-056-LIT-L-1","","");
INSERT INTO file_info_tbl VALUES("91","57","","","","","","","","","0","0","","0","","","","2016-09-19 07:34:14","1","","1","1","2016-09-19 15:34:14","","","8","3","12","2011 Assessment","To provide legal services to the corporation on its judicial appeal to the final decision on disputed assessment (FDDA) issued by the BIR","0.00","0.00","0.00","","0.00","0.00","DCFI-057-TAX-L-1","","");
INSERT INTO file_info_tbl VALUES("92","58","","","","","","","","","0","0","","0","","","","2016-09-19 07:46:17","1","","1","1","2016-09-19 15:46:17","","","5","3","13","Hodges","To cause the cancellation of the name Hodges from the birth certificates and school records of Jeremi Garais Hodges and Simone Garais Hodges","0.00","1000.00","0.00","","0.00","0.00","RGH-058-LIT-L-1","USD250","");
INSERT INTO file_info_tbl VALUES("93","59","","","","","","","","","75000","0","","0","","","","2016-09-19 08:03:58","1","","1","1","2016-09-19 16:03:58","1","2017-03-06 16:40:41","8","3","12","Claim for Refund of Unutilized Input VAT for CY 2011 (CTA Case No. 9009)","To provide legal services in connection with the handling of its judicial claim for the refund of unutilized VAT which arose from the company\'s transaction from the CY ending December 31, 2011 which input VAT is attributable to its zero-rated sales","0.00","0.00","0.00","","0.00","0.00","HED-059-TAX-L-1","P15000","");
INSERT INTO file_info_tbl VALUES("94","59","","","","","","","","","60000","0","","0","","","","2016-09-19 08:18:48","1","","1","1","2016-09-19 16:18:48","1","2017-02-06 11:45:12","8","3","12","Claim for Value Added Tax Credit Certificate-TCC (CTA Case No. 9080)","To provide legal services in connection with the handling of its judicial claim with respect to its application for Value Added Credit (TCC) covering the period January to December 2012","0.00","0.00","0.00","","0.00","0.00","HED-059-TAX-L-2","P15000","");
INSERT INTO file_info_tbl VALUES("95","60","","","","","","","","","0","0","","0","","","","2016-09-19 08:22:46","1","","1","1","2016-09-19 16:22:46","","","8","6","12","","To provide advice and render opinions in the areas of law and taxation that may affect the company\'s business","0.00","0.00","0.00","","0.00","0.00","PRU-060-TAX-A-1","P10000","");
INSERT INTO file_info_tbl VALUES("96","62","","","","","","","","","40000","0","","0","","","","2016-09-19 08:31:13","1","","1","1","2016-09-19 16:31:13","","","8","6","0","Twinning Arrangement","To provide the company with certain tax and legal advice on the tax consequences of its proposed partnership with de Paul University","0.00","0.00","0.00","","0.00","0.00","IACA-062-TAX-A-1","P10000","");
INSERT INTO file_info_tbl VALUES("97","63","","","","","","","","","40000","0","","0","","","","2016-09-19 08:37:20","1","","1","1","2016-09-19 16:37:20","1","2017-01-11 11:20:59","7","6","0","Partnership Arrangement","To provide assistance in drafting partnership agreements and stockholders agreements","0.00","0.00","0.00","","0.00","0.00","FCC-063-SP-A-1","P10,000.00","");
INSERT INTO file_info_tbl VALUES("98","64","","","","","","","","","15000","0","","6000","","","","2016-09-19 08:43:05","1","","1","1","2016-09-19 16:43:05","","","2","6","0","","To provide certain legal services with regard to establishing a Philippine Corporation","0.00","0.00","0.00","","0.00","0.00","MSCS-064-COS-A-1","P5,000.00","5th day of the month");
INSERT INTO file_info_tbl VALUES("99","65","","","","","","","","","10000","0","","10000","","","","2016-09-19 08:51:03","1","","1","1","2016-09-19 16:51:03","1","2016-09-23 10:32:07","6","6","0","","To provide services of a corporate secretary and legal assistance on legal routinary matters","0.00","0.00","0.00","","0.00","0.00","SAN-065-RET-A-1","P5,000.00","5th day of the month");
INSERT INTO file_info_tbl VALUES("100","66","","","","","","","","","10000","18000","","0","","","","2016-09-19 08:55:10","1","","1","1","2016-09-19 16:55:10","1","2017-02-06 11:46:22","2","6","0","","To provide certain legal services it may require in incorporating the company","0.00","0.00","0.00","","0.00","0.00","JAZ-066-COS-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("101","67","","","","","","","","","0","0","","0","","","","2016-09-19 08:59:24","1","","1","1","2016-09-19 16:59:24","1","2017-01-30 10:37:59","8","6","0","Withholding Tax on Payments to PEMC","To provide certain legal services it may require","0.00","0.00","0.00","","0.00","0.00","CIP-067-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("102","68","","","","","","","","","10000","18000","","0","","","","2016-09-19 09:10:13","1","","1","1","2016-09-19 17:10:13","1","2017-02-06 11:47:32","3","6","0","Incorporation-AsiaMortar Philippines, Inc.","To provide certain legal services it may  require in incorporating the company","0.00","0.00","0.00","","0.00","0.00","API-068-IMM-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("103","69","","","","","","","","","0","0","","0","","","","2016-09-19 09:11:40","1","","1","1","2016-09-19 17:11:40","","","2","6","0","","To provide services involving various legal matters","0.00","0.00","0.00","","0.00","0.00","NFCI-069-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("104","70","","","","","","","","","45000","0","","0","","","","2016-09-19 09:14:30","1","","1","1","2016-09-19 17:14:30","1","2017-06-29 18:13:10","2","6","14","Incorporation","To provide with certain legal services it may require in advisory work, incorporation of Philippine Entity, post registration requirements, and corporate services","0.00","0.00","0.00","","0.00","0.00","OVD-070-COS-A-1","P50,000.00","");
INSERT INTO file_info_tbl VALUES("105","71","","","","","","","","","0","0","","0","","","","2016-09-19 09:21:16","1","","1","1","2016-09-19 17:21:16","1","2017-03-06 17:19:06","7","4","0","","To render legal services to the company with respect to a potential solar power project in the Philippines","0.00","1000.00","0.00","","0.00","0.00","ALLO-071-SP-T-1","US$300","");
INSERT INTO file_info_tbl VALUES("106","72","","","","","","","","","40000","0","","0","","","","2016-09-19 09:24:47","1","","1","1","2016-09-19 17:24:47","","","8","6","0","2011 Assessment","To provide legal and tax services in connection with the handling, for and on behalf of the company of its administrative protest to the FAN issued by BIR","0.00","0.00","0.00","","0.00","0.00","CAI-072-TAX-A-1","P15,000.00","");
INSERT INTO file_info_tbl VALUES("107","73","","","","","","","","","60000","0","","0","","","","2016-09-19 09:27:37","1","","1","1","2016-09-19 17:27:37","","","7","6","0","Due Diligence Review","To provide legal services in connection with the conduct of a legal due diligence review and assistance in the completion of the Acquisition","0.00","0.00","0.00","","0.00","0.00","FPG-073-SP-A-1","P20,000.00","");
INSERT INTO file_info_tbl VALUES("108","74","","","","","","","","","0","35000","","0","","","","2016-09-19 09:30:07","1","","1","1","2016-09-19 17:30:07","","","2","5","0","LRAI Amendment (LHAI)","To assist client with respect to amendment and change of name","0.00","0.00","0.00","","0.00","0.00","LRAI-074-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("109","104","","","","","","","","","0","0","","2000","","","","2016-09-20 01:31:27","1","","1","1","2016-09-20 09:31:27","1","2016-09-20 09:32:31","2","6","0","Corporate Secretary","To Provide Corporate secretarial work to the company","0.00","0.00","0.00","","0.00","0.00","OMN-104-COS-A-1","","Every 5th of the Month");
INSERT INTO file_info_tbl VALUES("110","75","","","","","","","","","0","35000","","0","","","","2016-09-20 03:05:07","1","","1","1","2016-09-20 11:05:07","1","2017-04-17 14:03:23","2","5","12","APC Amendment","To assist client with respect to amendment","0.00","0.00","0.00","","0.00","0.00","APC-075-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("111","76","","","","","","","","","0","35000","","0","","","","2016-09-20 03:06:48","1","","1","1","2016-09-20 11:06:48","1","2017-04-17 14:05:10","2","5","12","QLI Amendment","To assist client with respect to amendment","0.00","0.00","0.00","","0.00","0.00","QLI-076-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("112","77","","","","","","","","","0","35000","","0","","","","2016-09-20 03:09:30","1","","1","1","2016-09-20 11:09:30","1","2017-04-17 14:06:28","2","5","12","SCMC Amendment","To assist client with respect to amendment","0.00","0.00","0.00","","0.00","0.00","SCMC-077-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("113","78","","","","","","","","","0","0","","0","","","","2016-09-20 03:15:18","1","","1","1","2016-09-20 11:15:18","","","2","6","12","","Directorship/Corporate Secretary Services","0.00","0.00","0.00","","0.00","0.00","CSR-078-COS-A-1","no charge","");
INSERT INTO file_info_tbl VALUES("114","79","","","","","","","","","20000","0","","0","","","","2016-09-20 03:21:46","1","","1","1","2016-09-20 11:21:46","","","7","5","12","","To review various agreements or contracts proposed to be entered into by Infocycle Solutions, Inc. with several counter parties","0.00","0.00","0.00","","0.00","0.00","ISI-079-SP-O-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("115","80","","","","","","","","","0","0","","0","","","","2016-09-20 03:23:26","1","","1","1","2016-09-20 11:23:26","1","2016-09-20 12:45:53","2","5","0","","To assist in the incorporation of the company","0.00","0.00","0.00","","0.00","0.00","PCMP-080-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("116","81","","","","","","","","","0","0","","0","","","","2016-09-20 03:25:11","1","","1","1","2016-09-20 11:25:11","1","2017-05-03 14:42:18","8","6","0","","To render advice regards to importation of Denatured Alcohol","0.00","0.00","0.00","","0.00","0.00","BMC-081-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("117","81","","","","","","","","","0","0","","0","","","","2016-09-20 03:25:15","1","","0","1","2016-09-20 11:25:15","","","8","6","0","","To render advice regards to importation of Denatured Alcohol","0.00","0.00","0.00","","0.00","0.00","BMC-081-TAX-A-2","","");
INSERT INTO file_info_tbl VALUES("118","82","","","","","","","","","0","0","","0","","","","2016-09-20 03:28:25","1","","1","1","2016-09-20 11:28:25","1","2017-05-03 14:43:49","8","6","0","","To render advice on certain tax issue","0.00","0.00","0.00","","0.00","0.00","FWPI-082-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("119","83","","","","","","","","","1000","0","","0","","","","2016-09-20 03:32:05","1","","1","1","2016-09-20 11:32:05","","","8","6","0","Mr. Nils Ulrick Bonen (Estate Tax)","To provide legal service in relation to settlement of the estate of Mr. Nils Ulrick Bonen, A Danish citizen, who left certain funds in a Philippine bank account","0.00","0.00","3000.00","","0.00","0.00","WEST-083-TAX-A-1","US$300","");
INSERT INTO file_info_tbl VALUES("120","84","","","","","","","","","75000","0","","0","","","","2016-09-20 04:54:33","1","","1","1","2016-09-20 12:54:33","","","8","3","0","Input VAT Refund for CY 2013-2015 (CTA Case No. 9276)","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (VAT)","0.00","0.00","0.00","","0.00","0.00","HSI-084-TAX-L-1","P20,000.00","");
INSERT INTO file_info_tbl VALUES("121","112","","","","","","","","","0","0","","0","","","","2016-09-20 06:49:29","1","","0","1","2016-09-20 14:49:29","","","2","6","14","","To provide with certain legal services it may require in advisory work, incorporation of Philippine Entity, post registration requirements, and corporate services","0.00","0.00","0.00","","0.00","0.00","PLBM-112-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("122","110","","","","","","","","","40000","0","","0","","","","2016-09-20 06:50:50","1","","1","1","2016-09-20 14:50:50","1","2016-09-21 15:56:26","7","6","0","Joint Venture Arrangements with Water Districts","To provide the company with certain legal services it may require in dealing with joint venture arrangements with Water Districts","0.00","0.00","0.00","","0.00","0.00","PWC-110-SP-A-1","P10,000.00","");
INSERT INTO file_info_tbl VALUES("123","112","","","","","","","","","0","0","","0","","","","2016-09-20 06:52:39","1","","0","1","2016-09-20 14:52:39","","","2","6","0","","","0.00","0.00","0.00","","0.00","0.00","PLBM-112-COS-A-2","","");
INSERT INTO file_info_tbl VALUES("124","85","","","","","","","","","25000","","","","","","","2016-09-21 02:07:13","1","","1","1","2016-09-21 10:07:13","","","2","6","0","PETRON MEGAPLAZA CONDOMINIUM ASSOC., INC.","To render legal advice or opinion with respect to the foregoing, assistance in identifying options for the company; and assistance in discussions or negotiations with the building administration and other unit owners","","","","","","","ARA-085-COS-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("125","87","","","","","","","","","45000","","","","","","","2016-09-21 02:15:55","1","","1","1","2016-09-21 10:15:55","1","2017-03-06 16:35:53","2","6","14","Various Services","To provide with certain legal services it may require in advisory work, incorporation of Philippine Entity, post registration requirements, and corporate services","","","","","","","NFC-087-COS-A-1","P15,000.00","");
INSERT INTO file_info_tbl VALUES("126","87","","","","","","","","","45000","","","","","","","2016-09-21 02:15:55","1","","1","1","2016-09-21 10:15:55","1","2017-03-06 16:36:40","2","6","14","Various Services","To provide with certain legal services it may require in advisory work, incorporation of Philippine Entity, post registration requirements, and corporate services","","","","","","","NFC-087-COS-A-2","P15,000.00","");
INSERT INTO file_info_tbl VALUES("127","88","","","","","","","","","","","","","","","","2016-09-21 02:19:31","1","","1","1","2016-09-21 10:19:31","1","2017-04-17 14:02:32","2","5","12","","To render work as corporate secretary","","","","","","","HRDC-088-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("128","89","","","","","","","","","","","","","","","","2016-09-21 02:36:34","1","","1","1","2016-09-21 10:36:34","1","2017-01-11 11:13:59","2","5","12","","To render work as corporate secretary","","","","","","","LHAI-089-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("129","90","","","","","","","","","","15000","","","","","","2016-09-21 02:39:27","1","","1","1","2016-09-21 10:39:27","","","2","5","0","Business Permit","To assist the company in processing their business permit application and other matters","","","","","","","APCD-090-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("130","91","","","","","","","","","","15000","","","","","","2016-09-21 02:43:18","1","","1","1","2016-09-21 10:43:18","","","2","5","0","Business Permit","To assist the company in processing their business permit application and other matters","","","","","","","LGMC-091-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("131","92","","","","","","","","","","15000","","","","","","2016-09-21 02:47:16","1","","1","1","2016-09-21 10:47:16","","","2","5","0","Business Permit","To assist the company in processing their business permit application and other matters","","","","","","","SSI-092-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("132","93","","","","","","","","","","15000","","","","","","2016-09-21 02:51:27","1","","1","1","2016-09-21 10:51:27","","","2","5","0","Business Permit","To assist the company in processing their business permit application and other matters","","","","","","","SCCC-093-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("133","94","","","","","","","","","","","","","","","","2016-09-21 04:48:02","1","","1","1","2016-09-21 12:48:02","","","2","6","0","","To provide the company with certain legal, tax and other advice and assistance on certain matters and transactions, more specifically with respect in establishment of company.","","500","","","","","GCH-094-COS-A-1","US$800","");
INSERT INTO file_info_tbl VALUES("134","95","","","","","","","","","","","","","","","","2016-09-21 04:51:12","1","","1","1","2016-09-21 12:51:12","1","2017-07-12 14:20:39","2","6","0","","To provide legal, tax and other advice and assistance on certain matters and transactions, more specifically with respect to the establishment of a Philippine entity or business presence in the Philippines","","1000","","","","","BBS-095-COS-A-1","US$500","");
INSERT INTO file_info_tbl VALUES("135","96","","","","","","","","","60000","","","","","","","2016-09-21 05:05:42","1","","1","1","2016-09-21 13:05:42","","","8","3","0","CTA Case No. 8875-Project Libra","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value","","","","","","","HINC-096-TAX-L-1","P20,000.00","");
INSERT INTO file_info_tbl VALUES("136","96","","","","","","","","","60000","","","","","","","2016-09-21 05:12:47","1","","1","1","2016-09-21 13:12:47","","","8","3","0","CTA Case No. 8931-Project Gemini","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value added tax (&quot;VAT&quot;) 2nd Quarter of 2012","","","","","","","HINC-096-TAX-L-2","P20,000.00","");
INSERT INTO file_info_tbl VALUES("137","96","","","","","","","","","60000","","","","","","","2016-09-21 05:45:43","1","","1","1","2016-09-21 13:45:43","","","8","3","0","CTA Case No. 8990-Project Scorpio","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (&quot;VAT&quot;) 3rd Quarter of 2012","","","","","","","HINC-096-TAX-L-3","P20,000.00","");
INSERT INTO file_info_tbl VALUES("138","96","","","","","","","","","60000","","","","","","","2016-09-21 05:50:28","1","","1","1","2016-09-21 13:50:28","","","8","3","0","CTA Case No. 8964-Project Capricorn","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (&quot;VAT&quot;) 1st, 2nd, 3rd &amp; 4th Quarter of 2010","","","","","","","HINC-096-TAX-L-4","P20,000.00","");
INSERT INTO file_info_tbl VALUES("139","96","","","","","","","","","60000","","","","","","","2016-09-21 05:53:10","1","","1","1","2016-09-21 13:53:10","1","2017-07-07 15:35:50","8","3","0","CTA Case No. 8967-Project Virgo","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (&quot;VAT&quot;) 1st, 2nd, 3rd &amp; 4th Quarter of 2011","","","","","","","HINC-096-TAX-L-5","P20,000.00","");
INSERT INTO file_info_tbl VALUES("140","96","","","","","","","","","60000","","","","","","","2016-09-21 06:03:14","1","","1","1","2016-09-21 14:03:14","1","2017-01-30 10:49:28","8","3","0","CTA Case No. 9218-Project Taurus","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (&quot;VAT&quot;) 3rd Quarter of 2006","","","","","","","HINC-096-TAX-L-6","P20,000.00","");
INSERT INTO file_info_tbl VALUES("141","97","","","","","","","","","60000","","","","","","","2016-09-21 06:15:42","1","","1","1","2016-09-21 14:15:42","1","2017-07-12 14:18:31","8","3","0","CTA Case No. 9187-Project Pisces","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (&quot;VAT&quot;) 1st, 2nd, &amp; 4th Quarter of 2006","","","","","","","LHC-097-TAX-L-1","P20,000.00","");
INSERT INTO file_info_tbl VALUES("142","97","","","","","","","","","60000","","","","","","","2016-09-21 06:20:26","1","","1","1","2016-09-21 14:20:26","1","2017-07-12 14:19:22","8","3","0","CTA Case No. 9188-Project Leo","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (&quot;VAT&quot;) 3rd and 4th Quarter of 2008","","","","","","","LHC-097-TAX-L-2","P20,000.00","");
INSERT INTO file_info_tbl VALUES("143","97","","","","","","","","","60000","","","","","","","2016-09-21 06:23:30","1","","1","1","2016-09-21 14:23:30","1","2017-07-12 14:17:39","8","3","0","CTA Case No. 9183-Project Cancer","To provide legal services in connection with the handling of its judicial claim for refund of unutilized input value-added tax (&quot;VAT&quot;) 1st, 2nd, 3RD &amp; 4th Quarter of 2009","","","","","","","LHC-097-TAX-L-3","P20,000.00","");
INSERT INTO file_info_tbl VALUES("144","98","","","","","","","","","","10000","","10000","","","","2016-09-21 06:25:47","1","","1","1","2016-09-21 14:25:47","1","2017-02-06 11:45:47","2","6","0","Corporate Secretary","To provide corporate secretarial work to the company","","","","","","","VSI-098-COS-A-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("145","99","","","","","","","","","","","","","","","","2016-09-21 06:45:47","1","","1","1","2016-09-21 14:45:47","1","2017-07-12 15:07:09","2","6","0","Incorporation","To provide the company with certain legal, tax and other advice and assistance on certain matters and transactions, more specifically with respect in establishment of company","","1000","","","","","GLGI-099-COS-A-1","US$2,000","");
INSERT INTO file_info_tbl VALUES("146","100","","","","","","","","","","","","","","","","2016-09-21 06:48:22","1","","1","1","2016-09-21 14:48:22","1","2017-07-12 15:06:25","2","6","0","Incorporation","To provide the company with certain legal, tax and other advice and assistance on certain matters and transactions, more specifically with respect in establishment of company","","","","","","","SMC-100-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("147","101","","","","","","","","","30000","","","","","","","2016-09-21 06:50:54","1","","1","1","2016-09-21 14:50:54","","","7","6","0","","To provide the client with certain legal services if may require in the interplay and JSI\'s entitlement of incentives","","","","","","","EPI-101-SP-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("148","102","","","","","","","","","15000","35000","","","","","","2016-09-21 06:55:32","1","","1","1","2016-09-21 14:55:32","","","2","6","0","Incorporation","To provide legal, tax and other advice and assistance on certain matters and transactions, more specifically with respect to the establishment of a Philippine Entity in the Philippines","","","","","","","BRH-102-COS-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("149","103","","","","","","","","","40000","","","","","","","2016-09-21 07:28:42","1","","1","1","2016-09-21 15:28:42","1","2017-07-28 14:05:14","8","5","0","Transfer of Shares","To provide the client with legal services related to a contemplated sale to him of all shares of the held by his parents in Drugmakers Laboratories, Inc. and Terramedic, Inc.","","","","","","","DLI-103-TAX-O-1","P10,000.00","");
INSERT INTO file_info_tbl VALUES("150","104","","","","","","","","","","","","2000","","","","2016-09-21 07:32:18","1","","1","1","2016-09-21 15:32:18","","","2","6","0","Corporate Secretary","To provide corporate secretarial work to the company","","","","","","","OMN-104-COS-A-2","","");
INSERT INTO file_info_tbl VALUES("151","105","","","","","","","","","45000","10000","","","","","","2016-09-21 07:34:10","1","","1","1","2016-09-21 15:34:10","1","2017-05-15 14:56:04","2","6","0","","To provide with certain legal services it may require in advisory work and corporate services","","","","","","","PPIC-105-COS-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("152","106","","","","","","","","","20000","","","","","","","2016-09-21 07:38:30","1","","1","1","2016-09-21 15:38:30","1","2017-08-01 15:13:03","8","6","0","2009 Assessment","To provide the client legal and tax services in connection with the demand for collection by BIR for the unpaid internal revenue tax liabilities for the taxable year 2009","","","","","","","AII-106-TAX-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("153","107","","","","","","","","","20000","","","","","","","2016-09-21 07:44:28","1","","1","1","2016-09-21 15:44:28","","","8","6","0","RORO Vessels","To provide advice to client on the tax consequences of the acquisition of RORO vessels","","","","","50000","","SWMC-107-TAX-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("154","108","","","","","","","","","","","","","","","","2016-09-21 07:49:54","1","","1","1","2016-09-21 15:49:54","","","2","5","0","SEC Matters","To assist client in various SEC matters","","","","","","","MIR-108-COS-O-1","","");
INSERT INTO file_info_tbl VALUES("155","109","","","","","","","","","20000","","","","","","","2016-09-21 07:51:51","1","","1","1","2016-09-21 15:51:51","","","2","6","0","","To provide the company with certain legal, tax and other advice and assistance on certain matters and transactions, more specifically with respect in establishment of company","","","","","","","GCC-109-COS-A-1","P10,000.00","");
INSERT INTO file_info_tbl VALUES("156","111","","","","","","","","","","","","","","","","2016-09-21 07:58:27","1","","1","1","2016-09-21 15:58:27","","","2","6","0","","To provide with certain legal services it may require in advisory work, incorporation of Philippine Entity, post registration requirements, and corporate services","","","","","","","PLBD-111-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("157","112","","","","","","","","","","","","","","","","2016-09-21 08:00:55","1","","1","1","2016-09-21 16:00:55","","","2","6","0","","To provide with certain legal services it may require in advisory work, incorporation of Philippine Entity, post registration requirements and corporate services","","","","","","","PLBM-112-COS-A-3","","");
INSERT INTO file_info_tbl VALUES("158","113","","","","","","","","","50000","","","","","","","2016-09-21 08:10:48","1","","1","1","2016-09-21 16:10:48","1","2017-03-08 11:57:16","8","6","0","GANV-Application for CAR","To provide the firm with certain legal services it may require in the purchase of GLAPI Shares and sale of GPHC shares","","","","","","","NMGR-113-TAX-A-1","P15,000.00","");
INSERT INTO file_info_tbl VALUES("159","61","","","","","","","","","","","","","","","","2016-10-19 02:50:42","1","","1","24","2016-09-22 09:48:05","","","2","6","0","","To provide certain legal services with regard to establishing a Philippine Corporation","","","","","","","ACQ-061-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("160","114","","","","","","","","","75000","","","","","","","2016-09-22 02:19:35","1","","0","24","2016-09-22 10:17:13","1","","2","6","13","","To provide the client with certain legal services to the in-house tam primarily in the area of corporate secretarial work","","","","","","","TEMP-114-COS-A-1","P15,000.00","");
INSERT INTO file_info_tbl VALUES("161","115","","","","","","","","","40000","","","","","","","2016-09-22 05:41:58","1","","1","1","2016-09-22 13:41:58","1","2016-09-22 13:42:27","8","6","0","FEMCO 2010 Assessment","To provide the company a legal and tax services in connection with the handling of FEMCO deficiency tax assessment for taxable year 2010","","","","","","","FEMC-115-TAX-A-1","P20,000.0","");
INSERT INTO file_info_tbl VALUES("162","116","","","","","","","","","40000","","","","","","","2016-09-22 05:52:00","1","","1","1","2016-09-22 13:52:00","","","8","6","0","2012 Assessment","To provide the company a legal and tax services in connection with the administrative protest to FAN issued by BIR","","","","","","","VITA-116-TAX-A-1","P20,000.00","");
INSERT INTO file_info_tbl VALUES("163","114","","","","","","","","","","","","","","","","2016-09-22 07:00:52","1","","1","1","2016-09-22 15:00:52","1","2017-07-12 11:30:19","2","6","0","MPF Account-Non Billable","JEM for all the MPF Non-billable works","","","","","","","MPF-114-COS-A-2","","");
INSERT INTO file_info_tbl VALUES("164","119","","","","","","","","","","","","","","","","2016-10-14 06:57:05","1","","1","1","2016-10-14 14:57:05","","","2","6","0","Haven Licensing Pty. Ltd.","To render services in relation to a proposed business start-up of Haven Licensing Pty. Ltd.","","","","","","","LEVY-119-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("165","118","","","","","","","","","","","","10000","","","","2016-10-14 07:02:02","1","","1","1","2016-10-14 15:02:02","","","2","6","0","","To provide corporate secretarial work to the association","","","","","","","AGEH-118-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("166","117","","","","","","","","","","","","","","","","2016-10-14 07:04:11","1","","1","1","2016-10-14 15:04:11","1","2016-12-22 16:24:02","7","6","0","","To assist in execution of subscription agreement and amendment of AOI","","","","","","","SPFI-117-SP-A-1","","");
INSERT INTO file_info_tbl VALUES("167","72","","","","","","","","","","","","","","","","2016-11-09 02:31:50","1","","1","1","2016-11-09 10:31:50","1","2016-11-09 10:32:55","7","5","0","Merger and Acquisition","To provide the client with legal advice needed in the merger and acquisition of the company","","","","","","","CAI-072-SP-O-2","","");
INSERT INTO file_info_tbl VALUES("168","11","","","","","","","","","","","","","","","","2016-11-18 11:30:55","1","","1","1","2016-11-18 19:30:55","1","2016-11-18 19:34:02","8","6","12","Tax Consultation","To provide tax opinion and consultation","","","","","","","FU-011-TAX-A-4","","");
INSERT INTO file_info_tbl VALUES("169","120","","","","","","","","","","","","5000","","","","2016-11-21 04:39:03","1","","1","1","2016-11-21 12:39:03","1","2017-07-12 15:04:20","2","6","0","","To assist in incorporporation and post-incorporation requirements","","","","","","","CMI-120-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("170","121","","","","","","","","","","","","5000","","","","2016-11-21 04:51:36","1","","1","1","2016-11-21 12:51:36","","","2","6","0","","To assist in incorporation and post-incorporation requirements","","","","","","","ZHAH-121-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("171","122","","","","","","","","","30000","125000","","","","","","2016-11-21 05:25:45","1","","1","1","2016-11-21 13:25:45","","","7","6","0","PCAB License","To render opinion on the PCAB licensing requirement of IEE","","","","","","","MIT-122-SP-A-1","10000","");
INSERT INTO file_info_tbl VALUES("172","7","","","","","","","","","","","","","","","","2016-12-08 06:03:27","1","","1","1","2016-12-08 14:03:27","1","2017-06-28 11:49:33","8","5","0","Project Cities - CAR Acquisition","To get the Certificate Authorizing Registration (CAR) related to project cities","","","","","","","HPI-007-TAX-O-5","","");
INSERT INTO file_info_tbl VALUES("173","4","","","","","","","","","","","","","","","","2017-01-06 04:49:26","1","","1","1","2017-01-06 12:49:26","1","2017-01-06 12:50:24","8","6","0","2011 Assessment","To render legal services in connection to internal revenue tax liabilities and assessment of the company for the taxable year 2011","","","","","","","TAO-004-TAX-A-4","","");
INSERT INTO file_info_tbl VALUES("174","4","","","","","","","","","","","","","","","","2017-01-06 04:52:34","1","","1","1","2017-01-06 12:52:34","","","8","6","0","2012 Tax Assessment","To render legal services in connection to internal revenue tax liabilities and assessment of the company for the taxable year 2012","","","","","","","TAO-004-TAX-A-5","","");
INSERT INTO file_info_tbl VALUES("175","123","","","","","","","","","","","","","","","","2017-01-24 04:59:40","1","","1","1","2017-01-24 12:59:40","","","8","6","12","2013 Tax Assessment","To render legal services in connection to internal revenue tax liabilities and assessment of the company for the taxable year 2013","","","","","","","SGTI-123-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("176","124","","","","","","","","","","","","","","","","2017-01-24 05:03:41","1","","1","1","2017-01-24 13:03:41","","","2","6","12","","To provide the company with certain legal, tax and other advice and assistance on certain matters and transactions, more specifically with respect in establishment of company","","","","","","","GMPI-124-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("177","125","","","","","","","","","","","","7000","","","","2017-01-24 05:09:48","1","","1","1","2017-01-24 13:09:48","","","2","6","12","","To provide corporate secretarial and retainer services","","","","","","","GGSP-125-COS-A-1","","5th day of each Month");
INSERT INTO file_info_tbl VALUES("178","127","","","","","","","","","","","","","","","","2017-01-24 06:30:11","1","","1","1","2017-01-24 14:30:11","1","2017-01-24 14:32:16","2","6","12","","To provide legal services, tax and other advice and assistance on the certain matters and transactions, more specifically with respect to the establishment of a Philippine entity or business presence in the Philippines","","","","","","","HKS-127-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("179","128","","","","","","","","","","","","","","","","2017-01-24 08:28:21","1","","1","1","2017-01-24 16:28:21","","","7","6","0","Strongview, Inc.","To advice client on his beneficial ownership over shares of stock in Strongview, Inc.","","","","","","","JAR-128-SP-A-1","","");
INSERT INTO file_info_tbl VALUES("180","128","","","","","","","","","","","","","","","","2017-01-24 08:30:49","1","","1","1","2017-01-24 16:30:49","1","2017-07-12 11:29:15","7","6","0","Strongview, Inc. - Amendment","To amend the purpose clause of Strongview, Inc.","","","","","","","JAR-128-SP-A-2","","");
INSERT INTO file_info_tbl VALUES("181","129","","","","","","","","","","","","","","","","2017-01-24 08:35:20","1","","1","1","2017-01-24 16:35:20","1","2017-01-25 15:46:47","8","6","12","","To provide the client legal and tax services in connection with Memorandum of Agreement with Filipinas Paradise, Inc.","","","","","","","FPI-129-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("182","130","","","","","","","","","","","","","","","","2017-01-25 06:09:31","1","","1","1","2017-01-25 14:09:31","1","2017-07-12 14:17:15","2","6","12","","To provide the company with certain legal, tax and other advice and assistance on certain matters and transactions, more specifically with respect to the establishment of a Philippine entity or business presence in the Philippines.","","","","","","","CRI-130-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("183","126","","","","","","","","","","","","","","","","2017-01-25 06:58:56","1","","1","1","2017-01-25 14:58:56","1","2017-03-06 16:59:38","7","6","12","","To provide tax and legal advice on various Philippine Investments","","","","","","","SSL-126-SP-A-1","","");
INSERT INTO file_info_tbl VALUES("184","19","","","","","","","","","","","","","","","","2017-01-25 08:13:12","1","","1","1","2017-01-25 16:13:12","","","7","6","0","Casop Atlas Holding Corporation - SP","","","","","","","","CRES-019-SP-A-3","","");
INSERT INTO file_info_tbl VALUES("185","19","","","","","","","","","","","","","","","","2017-01-25 08:16:27","1","","1","1","2017-01-25 16:16:27","1","2017-07-05 09:46:46","7","6","0","Axelum","Due Diligence and documentation services related to Axelum Resources Corp.","","2500","40000","","","","CRES-019-SP-A-4","","");
INSERT INTO file_info_tbl VALUES("186","72","","","","","","","","","40000","","","","","","","2017-01-26 04:08:31","1","","1","1","2017-01-26 12:08:31","1","2017-03-06 16:35:27","8","6","0","2013 Tax Assessment","To provide legal and tax services in connection with the handling, for and on behalf of the company of its administrative protest to the FAN issued by BIR","","","","","","","CAI-072-TAX-A-3","15000","");
INSERT INTO file_info_tbl VALUES("187","125","","","","","","","","","30000","","","","","","","2017-02-01 02:12:58","1","","1","1","2017-02-01 10:12:58","1","2017-02-01 10:52:13","7","6","12","Transfer of Shares","To provide the company with certain legal services it requires in the transfer of shares to an affiliate","","","","","","","GGSP-125-SP-A-2","10000","");
INSERT INTO file_info_tbl VALUES("188","95","","","","","","","","","","","","","","","","2017-02-09 10:48:33","1","","1","1","2017-02-09 18:48:33","1","2017-07-12 14:21:00","7","6","0","ICC Application","To provide corporate secretarial work to the corporation related to importer\'s clearance certificate","","","3000","","","","BBS-095-SP-A-2","","");
INSERT INTO file_info_tbl VALUES("189","131","","","","","","","","","","","","4000","","","","2017-02-17 03:37:44","1","","1","1","2017-02-17 11:37:44","","","2","5","0","","To provide with certain legal services it may require in advisory work and corporate services","","","","","","","LORV-131-COS-O-1","20000","");
INSERT INTO file_info_tbl VALUES("190","132","","","","","","","","","30000","","","","","","","2017-02-17 03:41:27","1","","1","1","2017-02-17 11:41:27","","","7","4","13","","To provide the client with legal services related to a contemplated sale to prospective purchaser of a property owned by Pantaleon family corporation.","","","","","","","PAN-132-SP-T-1","5000","");
INSERT INTO file_info_tbl VALUES("191","133","","","","","","","","","","","","","","","","2017-03-03 03:15:50","1","","1","1","2017-03-03 11:16:20","1","2017-03-03 11:20:01","2","6","12","","To provide the company with certain legal, tax and other advice and assistance on the certain matters and transactions, more specifically with respect to the establishment of a Philippine entity or business presence in the Philippines ","","1000","","","","","ZLAS-133-COS-A-1","2000","");
INSERT INTO file_info_tbl VALUES("192","133","","","","","","","","","","","","","","","","2017-03-03 03:16:22","1","","1","1","2017-03-03 11:16:22","","","2","6","12","","To provide the company with certain legal, tax and other advice and assistance on the certain matters and transactions, more specifically with respect to the establishment of a Philippine entity or business presence in the Philippines ","","1000","","","","","ZLAS-133-COS-A-2","2000","");
INSERT INTO file_info_tbl VALUES("193","134","","","","","","","","","","","","3000","","","","2017-03-22 07:50:18","1","","1","1","2017-03-22 15:50:18","","","6","6","12","","To provide corporate secretarial and retainer services to the company","","","","","","","OAAC-134-RET-A-1","","");
INSERT INTO file_info_tbl VALUES("194","134","","","","","","","","","10000","20000","","","","","","2017-03-22 07:52:35","1","","1","1","2017-03-22 15:52:35","","","2","6","12","Amendment","To provide the client with certain legal services it requires in the filing of amendments with SEC","","","","","","","OAAC-134-COS-A-2","5000","");
INSERT INTO file_info_tbl VALUES("195","135","","","","","","","","","","","","","","","","2017-03-22 07:55:35","1","","1","1","2017-03-22 15:55:35","1","2017-07-12 15:06:45","8","6","0","Share Transfer","To assist in the transfer of shares from Mr. Bilbao to Mr. Shigekawa","","","","","","","ART-135-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("196","137","","","","","","","","","","","","","","","","2017-03-22 08:01:49","1","","1","1","2017-03-22 16:01:49","1","2017-08-01 15:08:23","2","6","12","","To provide corporate secretarial work to a Philippine Subsidiary","160","","","","","300","DPI-137-COS-A-1","$200","5th day of each month");
INSERT INTO file_info_tbl VALUES("197","138","","","","","","","","","","","","","","","","2017-03-22 08:04:59","1","","1","1","2017-03-22 16:04:59","","","2","6","0","","To provide legal advisory services and corporate secretarial work to the company","","","","","","","SCC-138-COS-A-1","","");
INSERT INTO file_info_tbl VALUES("198","139","","","","","","","","","25000","45000","","","","","","2017-03-22 08:10:03","1","","1","1","2017-03-22 16:10:03","1","2017-04-24 10:39:55","3","6","0","Employement Permit and Work Visa","To assist the client obtain an AEP from the DOLE and a 9G Visa from the Bureau of Immigration","","","","","","","ASSI-139-IMM-A-1","30000","");
INSERT INTO file_info_tbl VALUES("199","33","","","","","","","","","10000","","","","","","","2017-03-31 03:27:17","1","","1","1","2017-03-31 11:27:17","","","7","6","0","Service Agreement","To assist client with certain legal services it requires to enter into a service agreements with GDS Link LLC and a loan agreement with GDS Holdings Ltd.","","","","","","","GDS-033-SP-A-3","5000","");
INSERT INTO file_info_tbl VALUES("200","136","","","","","","","","","","","","5000","","","","2017-04-11 03:51:09","1","","1","1","2017-04-11 11:51:09","","","2","6","12","","To provide corporate Secretarial work for the company","","","","","","","DERM-136-COS-A-1","","5th day of the month");
INSERT INTO file_info_tbl VALUES("201","140","","","","","","","","","","","","","","","","2017-04-11 03:56:21","1","","1","1","2017-04-11 11:56:21","1","2017-06-29 18:05:04","4","3","12","NLRC-NCR Case No. 02-01884-16","To render legal services in connection to labor case","","","","","","","BZU-140-LAB-L-1","","");
INSERT INTO file_info_tbl VALUES("202","72","","","","","","","","","","","","","","","","2017-04-11 04:03:26","1","","1","1","2017-04-11 12:03:26","","","8","6","0","Raytheon","To provide legal and tax services in connection with the contract of the company with Raytheon Company","","","","","","","CAI-072-TAX-A-4","","");
INSERT INTO file_info_tbl VALUES("203","72","","","","","","","","","","","","","","","","2017-04-11 04:07:55","1","","1","1","2017-04-11 12:07:55","","","8","6","0","2012 Assessment","To provide legal and tax services in connection with the handling, for and on behalf of the company, of its administrative protest to the FAN issued by BIR","","","","","","","CAI-072-TAX-A-5","","");
INSERT INTO file_info_tbl VALUES("204","36","","","","","","","","","","","","","","","","2017-04-11 04:21:43","1","","1","1","2017-04-11 12:21:43","","","7","6","0","Delivered Services","To advise the company on the legal feasibility of their proposed plan to &quot;delivered&quot; services to purchasers of its petroleum products","","","","","","","MAR-036-SP-A-3","","");
INSERT INTO file_info_tbl VALUES("205","98","","","","","","","","","","","","","","","","2017-04-11 04:30:58","1","","1","1","2017-04-11 12:30:58","","","7","6","0","Share Transfers","To provide the company with legal services related to a contemplated sale or transfer of certain shares of VSI held by Mr. Razo and Ms. Go","","","","","","","VSI-098-SP-A-2","","");
INSERT INTO file_info_tbl VALUES("206","98","","","","","","","","","","","","","","","","2017-04-11 04:31:13","1","","1","1","2017-04-11 12:31:13","","","7","6","0","Share Transfers","To provide the company with legal services related to a contemplated sale or transfer of certain shares of VSI held by Mr. Razo and Ms. Go","","","","","","","VSI-098-SP-A-3","","");
INSERT INTO file_info_tbl VALUES("207","38","","","","","","","","","","","","","","","","2017-04-11 04:51:08","1","","1","1","2017-04-11 12:51:08","","","2","5","12","Amendment- AOI and By-Laws","To assist client in processing the amendment of AOI and By-Laws","","","","","","","HMDC-038-COS-O-4","","");
INSERT INTO file_info_tbl VALUES("208","141","","","","","","","","","","","","","","","","2017-04-11 04:59:07","1","","1","1","2017-04-11 12:59:07","1","2017-07-24 13:35:15","8","6","0","2013 Tax Assessment","To provide legal and tax services in connection with the handling, for and on behalf of the corporation, of this administrative protest to the PAN issued by BIR","","","","","","","ASC-141-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("209","142","","","","","","","","","","","","","","","","2017-04-11 09:42:33","1","","1","1","2017-04-11 17:42:33","","","4","6","0","Employement Matters","To provide the Client with certain legal services related to employment matters.","","","","","","","PAPS-142-LAB-A-1","","");
INSERT INTO file_info_tbl VALUES("210","143","","","","","","","","","","","","","","","","2017-04-11 09:58:55","1","","1","1","2017-04-11 17:58:55","","","8","6","0","Tax Treaty Benefits","To provide client with certain legal services it may require as the company entered several contracts with non-resident foreign corporations (NRFCs)","","","","","","","GBPC-143-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("211","106","","","","","","","","","","","","","","","","2017-04-11 10:03:13","1","","1","1","2017-04-11 18:03:13","1","2017-08-01 15:13:46","8","6","0","2013 Assessment","To provide the client with legal and tax services in connection withthe demand for collection by BIR, administrative protest to the FAN issued by BIR against the company for income tax, VAT, expanded withholding tax, final withholding tax and improperly accumulated earnings tax for the taxable year 2013","","","","","","","AII-106-TAX-A-2","","");
INSERT INTO file_info_tbl VALUES("212","144","","","","","","","","","","","","","","","","2017-04-11 10:08:16","1","","1","1","2017-04-11 18:08:16","1","2017-07-04 10:53:28","5","6","0","Growl Audio Corporation","To present the client, as a counsel of record, in the case entitled &quot;Growl Audio Corporation vs. Tradeshow International, Inc. &quot; (for damages) pending before Branch 58 of RTC-Makati","","","","","","","TII-144-LIT-A-1","","");
INSERT INTO file_info_tbl VALUES("213","145","","","","","","","","","40000","","","","","","","2017-05-10 06:16:02","1","","1","1","2017-05-10 14:16:02","","","7","6","0","Science Park","To assist client with certain legal services it requires to enter into an Agreement with SPPI and Batangas II Electric Cooperative, Inc. (&quot;BATELEC&quot;)","","","","","","","ABOI-145-SP-A-1","","");
INSERT INTO file_info_tbl VALUES("214","146","","","","","","","","","","","","","","","","2017-05-18 07:56:45","1","","1","1","2017-05-18 15:56:45","1","2017-07-28 14:05:34","8","6","0","Estate Tax","To provide legal advice and services in connection to Estate Tax Return of the Estate of Maria Angbetic Laxina","","","","","","","NJL-146-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("215","147","","","","","","","","","","","","","","","","2017-05-18 08:01:18","1","","1","1","2017-05-18 16:01:18","1","2017-07-05 09:47:32","8","6","0","","To provide general legal tax advice and assistance in the drafting and execution of agreements","","800","","","","","TGI-147-TAX-A-1","$300","");
INSERT INTO file_info_tbl VALUES("216","148","","","","","","","","","","","","","","","","2017-05-18 08:15:44","1","","1","1","2017-05-18 16:15:44","","","8","6","0","COHECO International","To provide legal services to Mr. Larry Kim","","","","","","","LHK-148-TAX-A-1","","");
INSERT INTO file_info_tbl VALUES("217","137","","","","","","","","","","","","","","","","2017-05-18 08:17:48","1","","1","1","2017-05-18 16:17:48","1","2017-08-01 15:08:50","7","6","12","Agreements","To provide the company with certain legal services it requires to enter into agreements.","","300","","","","","DPI-137-SP-A-2","$200","");
INSERT INTO file_info_tbl VALUES("218","105","","","","","","","","","30000","80000","","","","","","2017-05-18 08:23:38","1","","1","1","2017-05-18 16:23:38","","","4","6","0","Employment Permit &amp; Work Visa","To assist Mr. Hua Chi-Wen to obtain an  alien employement permit (AEP) from DOLE and a non-migrant visa for pre-arranged employement (9g visa) from Philippine Bureau of Immigration (BI)","","","","","","","PPIC-105-LAB-A-2","30000","");
INSERT INTO file_info_tbl VALUES("219","38","","","","","","","","","50000","","","","","","","2017-05-18 08:28:18","1","","1","1","2017-05-18 16:28:18","","","5","3","12","HPI vs. Luis Cruz &amp; Henry Cruz","To represent HMDC as counsel of record, in the Mines Administrative Case No. POA 2013-001 (XI)","","","","","","","HMDC-038-LIT-L-5","25000","");
INSERT INTO file_info_tbl VALUES("220","149","","","","","","","","","P40,000.00","Part A- P150,000.00     Part B-50,000.00","","","","","","2017-05-29 02:08:49","1","","1","1","2017-05-29 10:08:49","1","2017-06-29 18:11:39","8","6","0","Family Reorganization","To provide legal advice and services in connection to transfer of shares in family corporation","","","","","Partner-P6,000.00/ Senior Associate-P3,500.00/ Junior Associate-P2,500.00","","EHN-149-TAX-A-1","P5,000.00","");
INSERT INTO file_info_tbl VALUES("221","150","","","","","","","","","20000","SEC Amendment-P40,000/ Acting as Nominee Director-P25,000-annually/ Corp. Sec. P10,000-monthl","","","","","","2017-05-29 02:23:47","1","","1","1","2017-05-29 10:23:47","1","2017-07-12 15:05:55","2","6","0","AOI Amendment","To provide the company with legal, tax and other advice and assistance on the amendment of articles of incorporation.","","","","","Partner-P6,000.00/ Senior Associate-P3,500.00/ Junior Associate-P2,500.00","","HCP-150-COS-A-1","10000","");
INSERT INTO file_info_tbl VALUES("222","151","","","","","","","","","50000","","","","","","","2017-07-06 01:23:58","1","","1","1","2017-07-06 09:23:58","1","2017-08-01 14:26:35","5","3","0","Civil Case No. 224","To assist client in connection with the handling, for and behalf of the corporation of its judicial action to annul the erroneous assessment for alleged deficiency local business taxes","","","","","","","CAHI-151-LIT-L-1","75000","");
INSERT INTO file_info_tbl VALUES("223","152","","","","","","","","","50000","","","","","","","2017-07-06 01:30:23","1","","1","1","2017-07-06 09:30:23","1","2017-08-01 14:27:55","5","3","0","Civil Case No. 223","To assist client in Civil Case No. 223 to annual local business tax assessment pursuant to SEC. 195 of RA No. 7160","","","","","","","LHPI-152-LIT-L-1","75000","");
INSERT INTO file_info_tbl VALUES("224","153","","","","","","","","","50000","","","","","","","2017-07-06 01:33:59","1","","1","1","2017-07-06 09:33:59","","","5","3","0","Civil Case No. 222","To assist client in Civil Case No. 222 to annual local business tax assessment pursuant to Sec. 195 of RA No. 7160","","","","","","","UCHC-153-LIT-L-1","75000","");
INSERT INTO file_info_tbl VALUES("225","50","","","","","","","","","50000","","","","","","","2017-07-06 01:39:35","1","","1","1","2017-07-06 09:39:35","","","8","5","0","BIR Accreditation of Retirement Benefit Plan","To assist client in applying for accreditation of its retirement benefit plan with BIR Revenue Regulations No. 01-68, as amended","","","","","","","HEAB-050-TAX-O-5","15000","");
INSERT INTO file_info_tbl VALUES("226","7","","","","","","","","","","","","","","","","2017-07-12 01:42:12","1","","1","1","2017-07-12 09:42:12","1","2017-07-12 09:48:21","7","5","0","Sto. Tomas property","To assist client in drafting the amendment to the Hard Rock Agreement","","","","","","","HPI-007-SP-O-6","","");
INSERT INTO file_info_tbl VALUES("227","7","","","","","","","","","","","","","","","","2017-07-12 01:44:36","1","","1","1","2017-07-12 09:44:36","","","7","6","0","General Consultation","To advise Holcim on various matter","","","","","","","HPI-007-SP-A-7","","");
INSERT INTO file_info_tbl VALUES("228","7","","","","","","","","","100000","","","","","","","2017-07-12 01:47:25","1","","1","1","2017-07-12 09:47:25","","","7","6","0","Simplification","To provide client legal advice on how to simplify the corporate shareholdings structure of the Company\'s holding companies, subsidiaries and affiliates","","","","","","","HPI-007-SP-A-8","20000","");
# end of file